# README #


### What is this repository for? ###
The management and archiving of digital research data is an overlapping field for linguistics, library and information science (LIS) and computer science. These disciplines are cooperating in the LAUDATIO project. The name LAUDATIO is an abbreviation for Long-term Access and Usage of Deeply Annotated Information. The project is funded by the German Research Foundation from 2011-2018. The departments of Corpus Linguistics as well as Historical Linguistics, and the Computer and Media Service (CMS) at Humboldt-Universität zu Berlin and The National Institute for Research in Computer Science and Control (INRIA France) are project partners cooperating with the Berlin School of Library and Information Science (BSLIS).

LAUDATIO aims to build an open access research data repository for historical linguistic data with respect to the above mentioned requirements of historical corpus linguistics. For the access and (re-)use of historical linguistic data the LAUDATIO repository uses a flexible and appropriate documentation schema with a subset of TEI customized by TEI ODD. The extensive metadata schema contains information about the preparation and checking methods applied to the data, tools, formats and annotation guidelines used in the project, as well as bibliographic metadata, and information on the research context (e.g. the research project). To provide complex and comprehensive search in the linguistic annotation data, the linguistic search and visualization tool ANNIS will be integrated in the LAUDATIO repository infrastructure.

All corpora are available with open access Creative Commons License in LAUDATIO. All researchers from the academic disciplines of Linguistics and Historical Linguistics can use and re-use the corpora, e.g.:

* display corpora,
* search corpora,
* download corpora,
* upload new annotations to an existing corpus
* upload new corpora.

### How do I get set up? ###

* laravel (v5.8), 
* Configuration
** php 7.2.4
* Deployment instructions


### Who do I talk to? ###

* http://www.laudatio-repository.org/laudatio/mitarbeiter
* laudatio-support[at]hu-berlin.de
## License

The Laravel framework is open-source software licensed under the [MIT license](https://opensource.org/licenses/MIT)..
