<?php

namespace App;

/**
 * Class CorpusProject
 * @package App
 */
class CorpusProject extends Model
{
    protected $hidden = ["created_at", "updated_at","gitlab_parent_id"];
    /**
     * Get the corpora for a Corpus Project
     */
    public function corpora(){
        return $this->belongsToMany(Corpus::class);
    }

    /**
     * Preparations
     * @return \Illuminate\Database\Eloquent\Relations\BelongsToMany
     */
    public function preparations(){
        return $this->hasMany(Preparation::class);
    }

    /**
     * @return \Illuminate\Database\Eloquent\Relations\BelongsToMany
     */
    public function users() {
        return $this->belongsToMany(User::class)->withPivot('role_id');
    }

    /**
     * Get assigned messageboard
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function messageboard() {
        return $this->hasOne(MessageBoard::class);
    }
}