<?php
/**
 * Created by PhpStorm.
 * User: rolfguescini
 * Date: 06.07.17
 * Time: 17:12
 */
namespace App\Custom;
use Illuminate\Http\Request;

interface GitRepoInterface {
    public function createProjectFileStructure($flysystem,$projectName);
    public function createCorpusFileStructure($flysystem,$corpusProjectPath,$corpusName,$user);
    public function updateCorpusFileStructure($flysystem,$corpusProjectPath,$oldCorpusPath,$corpusName);
    public function commitStagedFiles($corpusPath,$corpusId);
    public function hasCorpusFileStructure($flysystem , $corpusProjectPath, $corpusPath);
    public function checkForCorpusFiles($path);
    public function deleteCorpusFileStructure($flysystem, $path,$username,$useremail);
    public function deleteProjectFileStructure($flysystem, $path);
    public function getCorpusFiles($flysystem,$corpusid,$path = "");
    public function getCorpusDataFiles($flysystem,$path = "",$corpusId);
    public function getUploader($headerData,$headertype);
    public function getCorpusFileInfo($flysystem, $path = "",$corpusid);
    public function addFilesToRepository($path,$file);
    public function deleteFile($flysystem, $path,$user,$email);
    public function deleteUntrackedFile($flysystem,$path);
    public function addFiles($flysystem, $path);
    public function deleteFormatFile($flysystem, $path, $user,$email);
    public function resetAdd($path,$files);
    public function archiveFiles($path,$version);
    public function commitFiles($dirname, $commitmessage, $corpusid,$user,$email);
    public function commitStructureFiles($dirname, $commitmessage, $corpusid,$user,$email);
    public function commitFile($dirname = "", $file, $commitmessage, $corpusid, $user, $email);
    public function pushFiles($dirname,$corpusid,$user);
    public function addHooks($path,$user,$email);
    public function setGitConfig($path,$configs);
    public function initialPush($path,$user);
    public function addRemote($origin,$path);
    public function setCorpusVersionTag($corpusPath, $tagmessage, $version, $user,$email,$blame);
    public function updateCorpusGitLabVisibility($gitlab_group_id,$gitlab_project_id);
    public function createFormatDirectory($flysystem,$corpusProjectPath,$corpusPath,$formatName);
    public function getFormatFileUploader($headerData);
    public function copyPipelineConfigurations($path);
    public function getLastELasticsearchIndex($dirname, $tag);

    /** HELPERS  **/
    public function filterDottedFiles($array);
    public function normalizeString ($str = '');
    public function normalizeTitle ($str = '');
    public function getCommitData($path);
}