<?php
/**
 * Created by PhpStorm.
 * User: rolfguescini
 * Date: 12.10.18
 * Time: 08:21
 */

namespace App\Exceptions;


use App\Custom\LaudatioExceptionInterface;
use Exception;
use Log;

class CorpusRepositoryFileSystemException extends \RuntimeException implements LaudatioExceptionInterface
{
    protected $wantsJSON = false;

    public function __construct($message = null, $code = 0, \Exception $previous = null, $wantsJSON = false)
    {
        $this->wantsJSON = $wantsJSON;
        parent::__construct($message, $code, $previous);
    }


    /**
     * Report the exception.
     *
     * @return void
     */

    public function wantsJSONFormat(){
        return $this->wantsJSON;
    }
    /**
     * Report the exception.
     *
     * @return void
     */


    public function  getUserFacingMessage(){
        return "We are really sorry, but something unexpected happened. 
        Please refresh the page and try again. If the problem persists, please report it to laudatio-support (at) hu-berlin.de.";
    }

    public function  createUserFacingMessage($message) {
        $notification = new \stdClass();
        $notification->Error =  array("Operations on the Corpus repository 
        returned an error . Please refresh the page and try again.
        If the problem persists, please report it to laudatio-support (at) hu-berlin.de and report the following error: ".$message);
        return $notification;
    }

    public function logErrorMessage($exception,$context){
        $notification = array(
            'error' => 'CorpusRepositoryFileSystemException',
            'payload' => explode(",",$exception->getMessage()),
            'alert_type' => 'error',
        );
        $context['notification'] = $notification;
        Log::stack(['daily', 'errorlog'])->error("An error in the repository file system occurred ", $context);
    }
}