<?php
/**
 * Created by PhpStorm.
 * User: rolfguescini
 * Date: 12.10.18
 * Time: 08:21
 */

namespace App\Exceptions;


use App\Custom\LaudatioExceptionInterface;
use Exception;
use Log;

class FileUploadException extends \RuntimeException implements LaudatioExceptionInterface
{
    protected $wantsJSON = false;

    public function __construct($message = null, $code = 0, \Exception $previous = null, $wantsJSON = false)
    {
        $this->wantsJSON = $wantsJSON;
        parent::__construct($message, $code, $previous);
    }


    /**
     * Report the exception.
     *
     * @return void
     */

    public function wantsJSONFormat(){
        return $this->wantsJSON;
    }


    public function  getUserFacingMessage(){
        return "We are really sorry, but something unexpected happened. 
        Please refresh the page and try again. If the problem persists, please report it to laudatio-support (at) hu-berlin.de.";
    }

    public function  createUserFacingMessage($exception) {
        $boilerPlate =  "We are really sorry, but something unexpected happened. 
        Please refresh the page and try again. If the problem persists, please report
        it to laudatio-support (at) hu-berlin.de and report the following error: ".$exception->getMessage();

        $notification = array(
            'error' => 'FileUploadException',
            'payload' => $boilerPlate,
            'alert_type' => 'error',
        );
        return $notification;

    }

    public function createUserFacingJSONMessage($message) {
        $notification = array(
            'error' => 'FileUploadException',
            'payload' =>  array("The system encountered an error while uploading the file. Please refresh the page and try again.
                                If the problem persists, please report it to laudatio-support (at) hu-berlin.de and report the following error: ".$message),
            'alert_type' => 'error',
        );
        return $notification;

    }

    public function logErrorMessage($message,$context){
        $notification = array(
            'error' => 'FileUploadException',
            'payload' => $message,
            'alert_type' => 'error',
        );
        $context['notification'] = $notification;
        Log::stack(['daily', 'errorlog'])->error("An error uploading files occurred ", $context);
    }
}