<?php

namespace App\Http\Controllers;

use App\CorpusProject;
use App\Invite;
use Illuminate\Http\Request;
use App\User;
use App\Role;
use App\Corpus;
use Response;
use Log;

/**
 * Class InviteController
 * @package App\Http\Controllers
 */
class InviteController extends Controller
{

    /**
     * @return mixed
     */
    public function index()
    {

        $isLoggedIn = \Auth::check();
        $loggedInUser = \Auth::user();
        $invites = Invite::all();
        $corpusinvitations = array();
        $projectinvitations = array();
        //dd($invites);

        foreach($invites as $invite) {
            $corpusId = null;
            if(isset($invite->corpus_id)){
                $corpusId = $invite->corpus_id;
            }

            $projectId = null;
            if(isset($invite->project_id)){
                $projectId = $invite->project_id;
            }

            $userId = $invite->user_id;
            $roleId = $invite->role_id;
            $accepted = $invite->accepted;

            if(null != $corpusId){
                if($loggedInUser->id == $userId && $accepted == 0) {
                    if(!array_key_exists($corpusId, $corpusinvitations)) {
                        $corpusinvitations[$corpusId] = array();
                    }

                    $corpus = Corpus::findOrFail($corpusId);
                    $corpusProjects = $corpus->corpusprojects()->get();
                    $corpusProject = $corpusProjects[0];
                    $corpus_project_admins = $corpusProject->users()->wherePivot('role_id',2)->get();
                    $corpusinvitations[$corpusId]['corpus_project_admin_name'] = $corpus_project_admins[0]->name;
                    $corpus_project_admin_role = Role::findOrFail(2);
                    $corpusinvitations[$corpusId]['corpus_project_admin_role_name'] = $corpus_project_admin_role->name;


                    $corpusinvitations[$corpusId]['corpus_project_title'] = $corpusProject->name;
                    $corpusinvitations[$corpusId]['corpus_project_description'] = $corpusProject->description;
                    $corpusinvitations[$corpusId]['corpus_project_directorypath'] = $corpusProject->directory_path;

                    $corpusinvitations[$corpusId]['corpus_title'] = $corpus->name;
                    $corpusinvitations[$corpusId]['corpus_elasticsearch_id'] = $corpus->elasticsearch_id;
                    $corpusinvitations[$corpusId]['corpus_id'] = $corpus->id;
                    $corpusinvitations[$corpusId]['corpus_directorypath'] = $corpus->directory_path;
                    $corpusinvitations[$corpusId]['corpus_logo'] = $corpus->corpus_logo;
                    $corpus_admins = $corpus->users()->wherePivot('role_id',3)->get();
                    $corpusinvitations[$corpusId]['corpus_admin_name'] = $corpus_admins[0]->name;

                    $adminRole = Role::findOrFail(3);
                    $corpusinvitations[$corpusId]['corpus_admin_role_name'] = $adminRole->name;

                    $inviteRole = Role::findOrFail($roleId);
                    $corpusinvitations[$corpusId]['invite_role_name'] = $inviteRole->name;
                    $corpusinvitations[$corpusId]['invite_role_id'] = $inviteRole->id;

                    $corpusinvitations[$corpusId]['invite_id'] = $invite->id;
                }//end if
            }//end foreach


            if(null != $projectId){
                if($loggedInUser->id == $userId && $accepted == 0) {
                    if(!array_key_exists($projectId, $projectinvitations)) {
                        $projectinvitations[$projectId] = array();
                    }

                    $corpusProject = CorpusProject::findOrFail($projectId);
                    $corpus_project_admins = $corpusProject->users()->wherePivot('role_id',2)->get();
                    $projectinvitations[$projectId]['corpus_project_admin_name'] = $corpus_project_admins[0]->name;
                    $corpus_project_admin_role = Role::findOrFail(2);
                    $projectinvitations[$projectId]['corpus_project_admin_role_name'] = $corpus_project_admin_role->name;

                    $projectinvitations[$projectId]['corpus_project_title'] = $corpusProject->name;
                    $projectinvitations[$projectId]['corpus_project_description'] = $corpusProject->description;
                    $projectinvitations[$projectId]['corpus_project_directorypath'] = $corpusProject->directory_path;

                    $inviteRole = Role::findOrFail($roleId);
                    $projectinvitations[$projectId]['invite_role_name'] = $inviteRole->name;
                    $projectinvitations[$projectId]['invite_role_id'] = $inviteRole->id;

                    $projectinvitations[$projectId]['invite_id'] = $invite->id;
                }
            }
        }

        //dd($projectinvitations);
        return view('project.corpusproject.invite')
            ->with('isLoggedIn', $isLoggedIn)
            ->with('corpusinvitations', $corpusinvitations)
            ->with('projectinvitations', $projectinvitations)
            ->with('loggedInUser',$loggedInUser);
    }

    /**
     * @param Request $request
     * @return mixed
     */
    public function storeInvitesByCorpus(Request $request)
    {
        $result = array();
        $status = "success";
        $invitedUsers = array();
        try {

            $corpusId = $request->input('corpusid');
            $invites = $request->input('invites');

           $msg = "";
            if(isset($invites)) {
                $msg = "<p>Invited the following users to collaborate </p>";
                $msg .= "<ul>";
                foreach ($invites as $userid => $roleId) {
                    $role = Role::find($roleId);
                    if($role) {
                        $user = User::findOrFail($userid);
                        if($user) {
                            $msg .= "<li>".$user->name." as ".$role->name."<ul>";
                            if(!array_key_exists($userid,$invitedUsers)){
                                $invitedUsers[$userid] = array();
                            }
                            $invitedUsers[$userid] = array(
                                "user_name" => $user->name,
                                "user_id" => $user->id,
                                "user_affiliation" => $user->affiliation,
                                "user_role_name" => $role->name,
                                "user_role_id" => $role->id,
                            );
                            $invite = new Invite();
                            $invite->corpus_id = $corpusId;
                            $invite->user_id = $userid;
                            $invite->role_id = $roleId;
                            $invite->accepted = 0;
                            $invite->save();
                            if(!$user->invites->contains($invite)){
                                $user->invites()->save($invite);
                                $msg .= "<li>".$user->name."</li>";
                            }
                        }
                        $msg .= "</ul></li>";
                    }
                }
                $msg .= "</ul>";
                $msg .= '<p>The user(s) will shortly receive a notification</p>';
            }


            $result['collaborator_invite_response'] = $msg;
            $result['collaborator_invite_data'] = $invitedUsers;
        }
        catch(\Exception $e) {
            $status = "error";
            $result['collaborator_invite_response']  = "There was a problem inviting the users with their roles to collaborate in the Corpus project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }
        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }


    public function storeInvitesByProject(Request $request)
    {
        $result = array();
        $status = "success";
        $invitedUsers = array();
        try {

            $projectId = $request->input('projectid');
            $invites = $request->input('invites');

            $msg = "";
            if(isset($invites)) {
                $msg = "<p>Invited the following users to collaborate </p>";
                $msg .= "<ul>";
                foreach ($invites as $userid => $roleId) {
                    $role = Role::find($roleId);
                    if($role) {
                        $user = User::findOrFail($userid);
                        if($user) {
                            $msg .= "<li>".$user->name." as ".$role->name."<ul>";
                            if(!array_key_exists($userid,$invitedUsers)){
                                $invitedUsers[$userid] = array();
                            }
                            $invitedUsers[$userid] = array(
                                "user_name" => $user->name,
                                "user_id" => $user->id,
                                "user_affiliation" => $user->affiliation,
                                "user_role_name" => $role->name,
                                "user_role_id" => $role->id,
                            );
                            $invite = new Invite();
                            $invite->project_id = intval($projectId);
                            $invite->user_id = intval($userid);
                            $invite->role_id = intval($roleId);
                            $invite->accepted = 0;
                            $invite->save();
                            if(!$user->invites->contains($invite)){
                                $user->invites()->save($invite);
                                $msg .= "<li>".$user->name."</li>";
                            }
                        }
                        $msg .= "</ul></li>";
                    }
                }
                $msg .= "</ul>";
                $msg .= '<p>The user(s) will shortly receive a notification</p>';
            }


            $result['collaborator_invite_response'] = $msg;
            $result['collaborator_invite_data'] = $invitedUsers;
        }
        catch(\Exception $e) {
            $status = "error";
            $result['collaborator_invite_response']  = "There was a problem inviting the users with their roles to collaborate in the Corpus project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }
        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }



    /**
     * @param Request $request
     * @return mixed
     */
    public function deleteInvitesByCorpus(Request $request) {
        $result = array();
        $status = "success";

        try {
            $corpusId = $request->input('corpusid');
            $tobedeleted = $request->input('tobedeleted');

            $msg = "<p>Removed the following collaborator invitations to the Corpus project:  </p>";
            $msg .= "<ul>";
            
            foreach ($tobedeleted as $userid => $roleId) {
                $user = User::findOrFail($userid);
                $msg .= "<li>".$user->name."</li>";
                $deletedRows = Invite::where([
                    ['corpus_id', '=', $corpusId],
                    ['user_id', '=', $userid],
                    ['role_id', '=', $roleId],
                    ['accepted', '=', 0]
                ])->delete();
            }

            $msg .= "</ul>";
            $result['invite_delete_response'] = $msg;

        }
        catch(\Exception $e){
            $status = "error";
            $result['invite_delete_response']  = "There was a problem deleting the invitations to the Corpus project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }

        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }

    /**
     * @param Request $request
     * @return mixed
     */
    public function deleteInvitesByProject(Request $request) {
        $result = array();
        $status = "success";

        try {
            $projectId = $request->input('projectid');
            $tobedeleted = $request->input('tobedeleted');

            $msg = "<p>Removed the following collaborator invitations to project:  </p>";
            $msg .= "<ul>";

            foreach ($tobedeleted as $deletionobject) {
                foreach($deletionobject as $userid => $roleId){
                    $user = User::findOrFail($userid);
                    $msg .= "<li>".$user->name."</li>";
                    $deletedRows = Invite::where([
                        ['project_id', '=', intval($projectId)],
                        ['user_id', '=', intval($userid)],
                        ['role_id', '=', intval($roleId)],
                        ['accepted', '=', 0]
                    ])->delete();
                }
            }

            $msg .= "</ul>";
            $result['invite_delete_response'] = $msg;

        }
        catch(\Exception $e){
            $status = "error";
            $result['invite_delete_response']  = "There was a problem deleting the invitations to the  project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }

        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }

    /**
     * @param Request $request
     * @return mixed
     */
    public function storeRelationsByCorpus(Request $request)
    {
        $result = array();
        $status = "success";
        $collaboratorData = array();
        try {

            $corpusId = $request->input('corpusid');
            $inviteId = $request->input('inviteid');
            $corpus = Corpus::findOrFail($corpusId);
            $invites = $request->input('invites');

            $msg = "<p>Assigned you the following role in the Corpus ".$corpus->name." </p>";
            $msg .= "<ul>";
            foreach ($invites as $userid => $roleId) {
                $role = Role::find($roleId);
                if($role) {
                    $msg .= "<li>".$role->name."</li>";
                    $user = User::findOrFail($userid);
                    if($user) {
                        //$user->roles()->attach($role);
                        $corpus->users()->save($user,['role_id' => $roleId]);
                        $deletedRows = Invite::where([
                            ['corpus_id', '=', $corpusId],
                            ['user_id', '=', $userid],
                            ['role_id', '=', $roleId],
                            ['accepted', '=', 0]
                        ])->delete();
                    }
                }
            }
            $msg .= "</ul>";


            $result['collaborator_assignment_response'] = $msg;
            $result['collaborator_data'] = $collaboratorData;
        }
        catch(\Exception $e) {
            $status = "error";
            $result['collaborator_assignment_response']  = "There was a problem assigning the users with their roles to the Corpus. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }
        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }

    public function storeRelationsByProject(Request $request)
    {
        $result = array();
        $status = "success";
        $collaboratorData = array();
        try {

            $projectId = $request->input('projectid');
            $inviteId = $request->input('inviteid');

            $corpusProject = CorpusProject::findOrFail($projectId);
            $msg = "";
            if(!empty($corpusProject)) {
                $invites = $request->input('invites');

                $msg = "<p>Assigned you the following role in the Corpus project ".$corpusProject->name." </p>";
                $msg .= "<ul>";
                foreach ($invites as $userid => $roleId) {
                    $role = Role::find($roleId);
                    if($role) {
                        $msg .= "<li>".$role->name."</li>";
                        $user = User::findOrFail($userid);
                        if($user) {
                            //$user->roles()->attach($role);
                            $corpusProject->users()->save($user,['role_id' => $roleId]);
                            foreach ($corpusProject->corpora()->get() as $projectCorpus) {
                                $projectCorpus->users()->save($user,['role_id' => $roleId]);
                            }

                            $deletedRows = Invite::where([
                                ['project_id', '=', $projectId],
                                ['user_id', '=', $userid],
                                ['role_id', '=', $roleId],
                                ['accepted', '=', 0]
                            ])->delete();
                        }
                    }
                }
                $msg .= "</ul>";
            }


            $result['collaborator_assignment_response'] = $msg;
            $result['collaborator_data'] = $collaboratorData;
        }
        catch(\Exception $e) {
            $status = "error";
            $result['collaborator_assignment_response']  = "There was a problem assigning the users with their roles to the Corpus project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }
        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }

    /**
     * @param Request $request
     * @return mixed
     */
    public function updateRelationsByCorpus(Request $request) {
        $result = array();
        $status = "success";
        try {

            $corpusId = $request->input('corpusid');
            $corpus = Corpus::findOrFail($corpusId);
            $userid = $request->input('userid');
            $roleid = $request->input('roleid');

            if($corpus) {
                $corpus->users()->updateExistingPivot($userid, ["role_id" => $roleid]);
            }


            $result['collaborator_update_response'] = "The user's role in the Corpus project was successfully updated";

        }
        catch(\Exception $e) {
            $status = "error";
            $result['collaborator_update_response']  = "There was a problem updating the users with their roles to the Corpus project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }
        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }


    /**
     * @param Request $request
     * @return mixed
     */
    public function deleteCollaboratorsByCorpus(Request $request)
    {
        $result = array();
        $status = "success";
        try {
            $corpusId = $request->input('corpusid');
            $corpus = Corpus::findOrFail($corpusId);
            $deletes = $request->input('tobedeleted');
            $msg = "<p>Removed the following user from the Corpus: </p>";
            $msg .= "<ul>";
            foreach ($deletes as $userid => $roleId) {
                $role = Role::find($roleId);
                if($role) {
                    $user = User::findOrFail($userid);
                    if($user) {
                        $user->roles()->detach($role);
                        $msg .= "<li>".$user->name."</li>";
                        $corpus->users()->detach($userid);
                    }
                }
            }
            $msg .= "</ul>";

            $result['collaborator_delete_response'] = $msg;
        }
        catch(\Exception $e) {
            $status = "error";
            $result['collaborator_delete_response']  = "There was a problem deleting the users with their roles from the Corpus project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }
        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }

    /**
     * @param Request $request
     * @return mixed
     */
    public function deleteCollaboratorsByProject(Request $request)
    {
        $result = array();
        $status = "success";
        try {
            $projectId = $request->input('projectid');
            $corpusProject = CorpusProject::findOrFail($projectId);
            $deletes = $request->input('tobedeleted');
            $msg = "<p>Removed the following user from the Corpus project: </p>";
            $msg .= "<ul>";
            foreach ($deletes as $userid => $roleId) {
                $role = Role::find($roleId);
                if($role) {
                    $user = User::findOrFail($userid);
                    if($user) {
                        $user->roles()->detach($role);
                        $msg .= "<li>".$user->name."</li>";
                        $corpusProject->users()->detach($userid);
                    }
                }
            }
            $msg .= "</ul>";

            $result['collaborator_delete_response'] = $msg;
        }
        catch(\Exception $e) {
            $status = "error";
            $result['collaborator_delete_response']  = "There was a problem deleting the users with their roles from the Corpus project. The error was: ($e) A message has been sent to the site administrator. Please try again later";
        }
        $response = array(
            'status' => $status,
            'msg' => $result,
        );

        return Response::json($response);
    }


    public function userAutocomplete(Request $request)
    {
        $data = User::select("id","name","affiliation")->where("name","LIKE","%{$request->input('query')}%")->get();
        for ($i= 0; $i < count($data); $i++){
            $roles = Role::all();
            $filteredRoles = array();
            foreach ($roles as $role){
                $roleObject = new \stdClass();
                if(
                ($role->hasPermissionTo('Can create corpus')
                    || $role->hasPermissionTo('Can edit corpus')
                )
                ){
                    $roleObject->id = $role->id;
                    $roleObject->name = $role->name;
                    array_push($filteredRoles,$roleObject);
                }
            }
            $data[$i]['roles'] = $filteredRoles;
        }

        return response()->json($data);
    }

    public function superUserAutocomplete(Request $request)
    {
        $data = User::select("id","name","affiliation")->where("name","LIKE","%{$request->input('query')}%")->get();
        for ($i= 0; $i < count($data); $i++){
            $roles = Role::all();
            $filteredRoles = array();
            foreach ($roles as $role){
                array_push($filteredRoles,$role);
            }
            $data[$i]['roles'] = $filteredRoles;
        }

        return response()->json($data);
    }
}
