<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Log;
use App\User;
use App\Role;
use Illuminate\Foundation\Auth\RegistersUsers;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\Controller as Controller;
class LaudatioRegisterController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Register Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles the registration of new users as well as their
    | validation and creation. By default this controller uses a trait to
    | provide this functionality without requiring any additional code.
    |
    */

    use RegistersUsers;
    /**
     * RegisterController constructor.
     */
    public function __construct()
    {
        $this->middleware('guest');
    }


    public function registerUser(){
        return view('auth.registeruser');
    }

    public function authenticateUser() {
        return view('auth.authenticateuser');
    }


    public function registerConsent(Request $request){
        $validated = $this->validate($request,[
            'gitlabuserid' => 'required|string|max:255',
            'email' => 'required|email|unique:users|max:255',
            'username' => "PIPP",
            //'gitlab_ssh_pubkey' => 'required|string|unique:users',
            'affiliation' => 'required|string|max:255',
            'laudatiopassword' => 'required|between:8,255|confirmed'
        ]);

        $formArray = array(
            'name' => $request->input('name'),
            'email' => $request->input('email'),
            //'gitlab_ssh_pubkey' => $request->input('gitlab_ssh_pubkey'),
            'username' => "PIPP",
            'gitlab-use-check' => 1,
            'affiliation' => $request->input('affiliation'),
            'laudatiopassword' => $request->input('laudatiopassword')
        );

        $request->session()->put($request->input('email'), $formArray);
        return view('auth.registerconsent')->with("email",$request->input('email'));
    }

    public function registerForm($userid,$redirect_path){

        Log::info("registerForm: redirect ".$redirect_path);
        Log::info("storeRegister: uid ".$userid);

        return view('auth.registerform')
            ->with("userid",$userid)
            ->with("redirect_path", $redirect_path);
    }

    public function storeRegister(Request $request) {
        $validated = $this->validate($request,[
            //'gitlabuserid' => 'required|string|max:255',
            'affiliation' => 'required|string|max:255'
        ]);


        //$gitlabuserId = $request->input('gitlabuserid');
        $affiliation = $request->input('affiliation');
        $currentuserId = $request->input('userid');
        $redirect_path = $request->input('redirect_path');

        //Log::info("storeRegister: glbuid ".$gitlabuserId);
        Log::info("storeRegister: affiliation ".$affiliation);
        Log::info("storeRegister: uid ".$currentuserId);

        $user = User::findOrFail($currentuserId);

        if($user) {
            //$user['gitlab_user_id'] = $gitlabuserId;
            $user["gitlab-use-agree"] = 1;
            $user["terms-of-use-agree"] = 1;
            $user["authenticated"] = 1;
            $user["affiliation"] = $affiliation;

            $user->save();
        }
        Auth::guard('web')->login($user, true);
        session()->flash('msg', 'You were successfully registered and logged in');

        if($redirect_path == "frontpage") {
            $redirect_path = "/";
        }

        return redirect($redirect_path);
    }
}

