<?php
/**
 * Created For Laudatio.
 * User: rolfguescini
 * Date: 2019-05-22
 * Time: 13:22
 */

namespace App\Laudatio\Utils;
use App\Custom\RestInterface;
use Log;

class RestService implements RestInterface
{

    public function sendResponse($result, $message){
        $count = 0;

        if(!is_array($result)){
            $resultdata = json_decode($result,true);
            $count = $resultdata['count'];
        }
        else{
            $count = count($result);
        }
        $response = [
            'success' => true,
            'data'    => $result,
            'message' => $message,
            'status' => 200,
            'count' => $count
        ];

        return response()->json($response, 200);
    }

    public function sendError($error, $errorMessages,$code){
        $response = [
            'success' => false,
            'message' => $error,
        ];


        if(!empty($errorMessages)){
            $response['data'] = $errorMessages;
            $response['status'] = $code;
        }


        return response()->json($response, $code);
    }
}