<?php

declare(strict_types=1);

/*
 * This file is part of Laravel GitLab.
 *
 * (c) Graham Campbell <graham@alt-three.com>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

return [

    /*
    |--------------------------------------------------------------------------
    | Default Connection Name
    |--------------------------------------------------------------------------
    |
    | Here you may specify which of the connections below you wish to use as
    | your default connection for all work. Of course, you may use many
    | connections at once using the manager class.
    |
    */

    'default' => 'main',

    /*
    |--------------------------------------------------------------------------
    | GitLab Connections
    |--------------------------------------------------------------------------
    |
    | Here are each of the connections setup for your application. Example
    | configuration has been included, but you may add as many connections as
    | you would like. Note that the 3 supported authentication methods are:
    | "none", "oauth" and "token".
    |
    */

    'connections' => [

        'main' => [
            'token' => env('GITLAB_TOKEN'),
            'url' => 'https://scm.cms.hu-berlin.de/api/v3/',
            'method' => 'token',
            // 'backoff' => false,
            // 'cache'   => false,
            // 'sudo'    => null,
            // 'url'     => null,
        ],

        'alternative' => [
            'token' => 'your-token',
            'url' => 'http://git.yourdomain.com/api/v3/',
            'method' => 'token',
        ],

    ],

];
