<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('objectguid')->nullable();
            $table->string('username')->unique();
            $table->string('name')->nullable();
            $table->string('email')->unique()->nullable();
            $table->string('gitlab_user_id')->unique()->nullable();
            $table->integer('gitlab-use-agree')->nullable();
            $table->integer('terms-of-use-agree')->nullable();
            $table->string('affiliation')->nullable();
            $table->integer('authenticated')->nullable();
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
