/**
 * Created by rolfguescini on 05.07.17.
 */
const util = require('util');

function hasObject(array, object) {
    var hasObject = false;
    for(var i = 0; i < array.length; i++) {
        if(this.isEquivalent(array[i],object)){
            hasObject = true;
            break;
        }
    }
    return hasObject;
}

function filteredMapHasObject(markuparray, markupobject) {
    if(markuparray.length > 0){
        for(let objectfield in markupobject) {
            for(var i = 0; i < markuparray.length; i++) {
                let currentHighlight = markuparray[i];
                if(currentHighlight.hasOwnProperty(objectfield)){
                    markuparray[i][objectfield] =  markupobject[objectfield]
                }
                else {
                    markuparray[i] = markupobject
                }
            }
        }
    }
    else{
        markuparray.push(markupobject)
    }

    return markuparray;
}



function removeKeyFromMap(field, activefiltersmap){
    for(let key in activefiltersmap) {
        if(key == field) {
            delete activefiltersmap[key];
        }
    }
    return activefiltersmap
}


function removeValueFromMap(field, activefiltersmap){
    for(let key in activefiltersmap) {
        if(activefiltersmap[key] == field) {
            delete activefiltersmap[key];
        }
    }
    return activefiltersmap
}
function removeValueFromActivefilters(field, activefilters){
    for (let i = 0; i < activefilters.length; i++) {
        if(activefilters[i] == field) {
            activefilters.splice(i,1)
            break;
        }
    }

    return activefilters
}

function getFilterKeyFromMap(field, activefiltersmap){
    let returnKey = ''
    for(let key in activefiltersmap) {
        if(activefiltersmap[key] == field) {
            returnKey = key;
            break;
        }
    }
    return returnKey
}

function isEquivalent(a, b) {
    // Create arrays of property names
    var aProps = Object.getOwnPropertyNames(a);
    var bProps = Object.getOwnPropertyNames(b);

    // If number of properties is different,
    // objects are not equivalent
    if (aProps.length != bProps.length) {
        return false;
    }

    for (var i = 0; i < aProps.length; i++) {
        var propName = aProps[i];

        // If values of same property are not equal,
        // objects are not equivalent
        if (a[propName] !== b[propName]) {
            return false;
        }
    }

    // If we made it this far, objects
    // are considered equivalent
    return true;
}

function filterHighlightReplace(filterstring, contentstring) {
    var newContentString = '';
    var matched = contentstring.split(' ').map(function(val){
        if (val.toLowerCase().indexOf(filterstring.toLowerCase()) > -1) {
            newContentString += '<span class=\"laudatiofilterhighlight\">'+val+'</span> ';
        }
        else if(filterstring.toLowerCase().indexOf(val.toLowerCase()) > -1) {
            newContentString += '<span class=\"laudatiofilterhighlight\">'+filterstring+'</span> ';
        }
        else{
            newContentString += val+" ";
        }
    });

    return newContentString;
}

function isBetween(theNumber, min, max) {

    if(parseInt(theNumber.replace(".","")) >= Math.floor(min) && parseInt(theNumber.replace(".","")) <= Math.floor(max)){
        return true;
    }
    else if(parseInt(theNumber.replace(".","")) >= parseInt(min) && parseInt(theNumber.replace(".","")) <= parseInt(max)){
        return true;
    }
    else{
        return false
    }
}

function hasLicense(license, filter) {
    let licenseArray = license.split("/");
    let ccLicense = licenseArray[4];
    return ccLicense == filter;
}

function hasFormats(merged_formats,filter_formats) {
    return merged_formats.indexOf(filter_formats) > -1;
}


function getActiveFilterCount(type,activefiltersmap) {
    let activeFilterCount = 0;
    for(let key in activefiltersmap) {
        if(activefiltersmap[key].indexOf(type) > -1) {
            activeFilterCount++;
        }
    }
    return activeFilterCount;
}

function getNextToLastFilterByField(field,activefiltersmap) {
    let nextToLastFilter = "";
    let fieldValues = []

    for(let key in activefiltersmap) {
        if(activefiltersmap[key].indexOf(field) > -1){
            fieldValues.push(key.substr(2))
        }
    }

    return fieldValues[0];
}


function renderArrayToString (array) {
    var string = "";
    if(array){
        if(array.isArray && array.length == 1) {
            string = array[0].toString();
        }
        else{
            string = array.toString();
        }
    }

    return string;
}

function uniqueArray (array) {
    return [...new Set(array)]
}

function removeFilterMarkup(markups, markup) {
    if (typeof markups != 'undefined') {
        for ( let i = 0; i < markups.length; i ++) {
            if (markups[i] == markup) {
                markups.splice(i,1);
            }
        }
    }

    return markups
}

function removeFilterHighLightMarkup(filterMapMarkup, markup) {
    let markupArray = filterMapMarkup.split("> <");
    let reducedMarkup = ""

    if(markupArray.length > 1 && markupArray.indexOf(markup.trim()) > -1) {
        for ( let i = 0; i < markupArray.length; i ++) {
            let markuptotest = ""

            if(i%2 == 0){
                markuptotest = markupArray[i] + '>';
            }
            else if(i%2 == 1){
                markuptotest = '<' + markupArray[i];
            }
            let strippedmarkuptotest = markuptotest.replace(/<[^>]+>/g, '');
            let strippedmarkup = markup.replace(/<[^>]+>/g, '');

            if (strippedmarkuptotest.trim() != strippedmarkup.trim()) {
                reducedMarkup = markupArray[i];
                if(i%2 == 0){
                    reducedMarkup = reducedMarkup + '>';
                }
                else if(i%2 == 1){
                    reducedMarkup =  '<' + reducedMarkup;
                }
                break;
            }

        }
        return reducedMarkup.trim();
    }
    else{
        if(markupArray.length == 1) {
            if(markupArray.indexOf(markup.trim()) > -1){
                return null;
            }
        }
        else{
            return filterMapMarkup.trim();
        }

    }


}

module.exports = {
    filteredMapHasObject: filteredMapHasObject,
    hasObject: hasObject,
    isEquivalent: isEquivalent,
    filterHighlightReplace: filterHighlightReplace,
    isBetween: isBetween,
    hasLicense: hasLicense,
    hasFormats: hasFormats,
    getActiveFilterCount: getActiveFilterCount,
    renderArrayToString: renderArrayToString,
    removeValueFromMap: removeValueFromMap,
    removeKeyFromMap: removeKeyFromMap,
    getFilterKeyFromMap: getFilterKeyFromMap,
    removeValueFromActivefilters: removeValueFromActivefilters,
    uniqueArray: uniqueArray,
    removeFilterMarkup: removeFilterMarkup,
    removeFilterHighLightMarkup: removeFilterHighLightMarkup,
    getNextToLastFilterByField: getNextToLastFilterByField
};