
/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */
require('./bootstrap');
require('./filters');
window.Vue = require('vue');
const util = require('util');
import store from './store'

import BootstrapVue from "bootstrap-vue"
Vue.use(BootstrapVue);
import VueBootstrapTypeahead from "vue-bootstrap-typeahead"
Vue.use(VueBootstrapTypeahead)

import VueSimpleSuggest from 'vue-simple-suggest'
Vue.use(VueSimpleSuggest)

import { SpinnerPlugin } from 'bootstrap-vue/es/components'
Vue.use(SpinnerPlugin)

import generalsearchwrapper from './components/GeneralSearchWrapper';
import searchfilterwrapper from './components/SearchFilterWrapper';
import searchresultwrapper from './components/SearchResultWrapper';
import searchresultheader from './components/SearchResultHeader';

Vue.component('vue-bootstrap-typeahead', VueBootstrapTypeahead);
Vue.component('vue-simple-suggest', VueSimpleSuggest);

window.axios.defaults.headers.post['Content-Type'] = 'application/json';


const app = new Vue({
    el: '#searchApp',
    store: store,
    data: {

    },
    components: {
        generalsearchwrapper,
        searchfilterwrapper,
        searchresultwrapper,
        searchresultheader
    }
});
