import axios from 'axios'
import store from '../store/index.js';
const apiClient = axios.create({
    baseURL: window.laudatioApp.baseDomain+'api/elasticapi/' + window.laudatioApp.elasticApiVersion,
    withCredentials: false, // This is the default
    headers: {
        Accept: 'application/json',
        'Content-Type': 'application/json'
    }
})


export default {
    getAllCorpora() {
        return apiClient.get('/corpora')
    },
    getLatestCorpora(from,size) {
        store.commit('SET_CORPORA_LOADING');
        return apiClient.get('/corpora/latest/'+from+'/'+size)
    },
    getLatestCorporaCount() {
        store.commit('SET_CORPORA_LOADING');
        return apiClient.get('/corpora/latest/count')
    },
    getAllDocuments() {
        return apiClient.get('/documents/')
    },
    getLatestDocuments(from,size) {
        store.commit('SET_DOCUMENTS_LOADING');
        return apiClient.get('/documents/latest/'+from+'/'+size)
    },
    getLatestDocumentsCount() {
        store.commit('SET_DOCUMENTS_LOADING');
        return apiClient.get('/documents/latest/count')
    },
    getAllAnnotations() {
        return apiClient.get('/annotations/')
    },
    getLatestAnnotations(from,size) {
        store.commit('SET_ANNOTATIONS_LOADING');
        return apiClient.get('/annotations/latest/'+from+'/'+size)
    },
    getLatestAnnotationsCount() {
        store.commit('SET_ANNOTATIONS_LOADING');
        return apiClient.get('/annotations/latest/count')
    },
    mainCorpusSearch(postData) {
        store.commit('SET_CORPORA_LOADING');
        return apiClient.post('/corpora/latest/searchMain',postData)
    },
    mainCorpusFilterSearch(postData) {
        store.commit("SET_CORPORA_LOADING");
        return apiClient.post('/corpora/latest/searchMainFilter', postData)
    },
    mainDocumentFilterSearch(postData) {
        store.commit("SET_DOCUMENTS_LOADING");
        return apiClient.post('/documents/latest/searchMainFilter', postData)
    },
    mainDocumentFilterSearchCount(postData) {
        store.commit("SET_DOCUMENTS_LOADING");
        return apiClient.post('/documents/latest/searchMainFilter/count', postData)
    },
    mainAnnotationFilterSearchCount(postData) {
        store.commit("SET_ANNOTATIONS_LOADING");
        return apiClient.post('/annotations/latest/searchMainFilter/count', postData)
    },
    mainCorpusFilterSearchCount(postData) {
        store.commit("SET_CORPORA_LOADING");
        return apiClient.post('/corpora/latest/searchMainFilter/count', postData)
    },
    mainAnnotationFilterSearch(postData) {
        store.commit("SET_ANNOTATIONS_LOADING");
        return apiClient.post('/annotations/latest/searchMainFilter', postData)
    },
    getLatestCorporaMainSearchCount(postData){
        store.commit('SET_CORPORA_LOADING');
        return apiClient.post('/corpora/latest/searchMain/count',postData)
    },
    mainDocumentSearch(postData) {
        store.commit('SET_DOCUMENTS_LOADING');
        return apiClient.post('/documents/latest/searchMain',postData)
    },
    getLatestDocumentMainSearchCount(postData){
        store.commit('SET_DOCUMENTS_LOADING');
        return apiClient.post('/documents/latest/searchMain/count',postData)
    },
    mainAnnotationSearch(postData) {
        store.commit('SET_ANNOTATIONS_LOADING');
        return apiClient.post('/annotations/latest/searchMain',postData)
    },
    getLatestAnnotationMainSearchCount(postData){
        store.commit('SET_ANNOTATIONS_LOADING');
        return apiClient.post('/annotations/latest/searchMain/count',postData)
    },
    searchSuggest(postData){
        return apiClient.post('/suggestsearch',postData)
    }
}