@extends('layouts.project_ux', ['isLoggedIn' => $isLoggedIn])
@section('title', '| Permission Administration')
@section('content')
    <div class="container-fluid">
        <div class="container pt-5">
            <div class="alert alert-dismissible fade show" role="alert" id="alert-laudatio">
                <span class="alert-laudatio-message"></span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="row">
                <div class="col-3 mt-2">
                    <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">´
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.index') }}">Role administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link active">Permission administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.assignsuperusers') }}">Assign roles to users</a>
                    </nav>
                </div>
                <div class="col">
                    <form  method="POST" action="/admin/permissions" class="w-100 permissioncreateform">
                        @csrf
                        <div class="row">
                            <div class="col-8 pl-7 pr-7">
                                <div class="d-flex justify-content-between mt-7 mb-3">
                                    <div class="h3 font-weight-normal"><i class="fa fa-key"></i> <em> Create Permission</em> </div>
                                </div>
                                <div class="form-group">
                                    <label class="text-14 text-dark-trans mb-1 pl-3" for="name">
                                        <small>Permission name</small>
                                    </label>
                                    <input type="text" class="corpusProject-title-edit form-control" name="name" id="name" required
                                           placeholder="Name of the permission?" value="">
                                </div>
                                <div class="form-group mt-3">
                                    <label class="text-14 text-dark-trans mb-1 pl-3" for="description">
                                        <small>Write a description for the permission</small>
                                    </label>
                                    <textarea id="description" name="description" class="corpusProject-description-edit form-control py-3"
                                              cols="30" rows="8" placeholder="Permission Description"></textarea>
                                </div>
                                <div class="form-row mt-3">
                                    <div class="col offset-7">
                                        <button type="button" class="role-endCreate btn btn-outline-corpus-mid text-uppercase font-weight-bold rounded w-100">Cancel</button>
                                    </div>
                                    <div class="col">
                                        <button type="submit"  class="role-saveCreate btn btn-primary rounded text-uppercase font-weight-bold w-100">Save</button>
                                    </div>
                                </div>
                            </div>
                            <!--div class="col-4">
                                <div class="d-flex justify-content-between mt-7 mb-3">
                                    <div class="h3 font-weight-normal">Assign permission to roles</div>
                                </div>
                                <div class="custom-control custom-checkbox">
                                    <input type="checkbox" class="custom-control-input" id="selectAll_roles">
                                    <label class="custom-control-label text-14" for="selectAll_roles">
                                        Select / Deselect all
                                    </label>
                                </div>
                                <br />
                                @foreach ($roles as $role)
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="roles[]" value="{{$role->id}}" id="role_{{$role->id}}">
                                        <label class="custom-control-label font-weight-bold" for="role_{{$role->id}}">
                                            {{$role->name}}
                                        </label>
                                    </div>
                                @endforeach
                            </div-->
                        </div>
                    </form>

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="deletePermissionModal" tabindex="-1" role="dialog" aria-labelledby="confirmDeleteTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="h3 modal-title mt-3 w-75" id="confirmDeleteTitle"></div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <a href="{{ route('admin.permissions.index') }}"> <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                            aria-label="Close">
                        Cancel
                        </button></a>
                    <button type="button" class="btn btn-primary" data-dismiss="modal" data-toggle="modal" id="doDelete" data-idkey="" data-callback="">Delete</button>
                    <input type="hidden" data- id="postDeleteData" value="" />
                </div>
            </div>
        </div>
    </div>
@endsection