@extends('layouts.admin_ux', ['isLoggedIn' => $isLoggedIn])
@section('title', '| Permission Administration')
@section('content')
    <div class="container-fluid">
        <div class="container pt-5">
            <div class="alert alert-dismissible fade show" role="alert" id="alert-laudatio">
                <span class="alert-laudatio-message"></span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="row">
                <div class="col-3 mt-2">
                    <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">´
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.index') }}">Role administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link active">Permission administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.assignsuperusers') }}">Assign roles to users</a>
                    </nav>
                </div>
                <div class="col">
                    <div class="d-flex justify-content-between mt-7 mb-3">
                        <div class="h3 font-weight-normal"><i class="fa fa-key"></i>Permission Administration </div>
                    </div>
                    <table class="table table-bluegrey-dark table-striped">
                        <thead class="bg-bluegrey-mid">
                        <tr class="text-14 text-grey">
                            <th>Permissions</th>
                            <th>Operation</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach ($permissions as $permission)
                            <tr>

                                <td>{{ $permission->name }}</td>
                                <td>
                                    @if (Auth::user()->hasPermissionTo('Administer the application','web'))
                                        <div class="dropdown">
                                            <button class="btn btn-outline-corpus-dark dropdown-toggle font-weight-bold text-uppercase rounded mb-4 w-20 text-left pull-right"
                                                    type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                Edit
                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                <a class="dropdown-item text-14" href="{{ route('admin.permissions.edit',['permission' => $permission->id]) }}">Edit Permission</a>
                                                <a class="dropdown-item text-14 deletePermissionButton" href="#" data-toggle="modal" data-target="#deletePermissionModal" data-permissionid="{{$permission->id}}" data-permissionname="{{$permission->name}}"  id="deletePermissionButton_{{$permission->id}}">Delete Permission</a>
                                            </div>
                                        </div>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                        <tfoot class="bg-bluegrey-mid">
                        <tr>
                            <td>&nbsp;</td>
                            <td>
                                <a href="{{ route('admin.permissions.create') }}" class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded mb-4 w-50 pull-right">
                                    Add permission
                                </a>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="deletePermissionModal" tabindex="-1" role="dialog" aria-labelledby="confirmDeleteTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="h3 modal-title mt-3 w-75" id="confirmDeleteTitle"></div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                            aria-label="Close">
                        Cancel
                    </button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal" data-toggle="modal" id="doDelete" data-idkey="" data-callback="">Delete</button>
                    <input type="hidden" data- id="postDeleteData" value="" />
                </div>
            </div>
        </div>
    </div>
@endsection