@extends('layouts.admin_ux', ['isLoggedIn' => $isLoggedIn])
@section('content')

    <div class="container-fluid">
        <div class="container">
            <div class="alert alert-dismissible fade show" role="alert" id="alert-laudatio">
                <span class="alert-laudatio-message"></span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="row mt-5">
                <div class="col-3 mt-2">
                    <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">´
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.index') }}">Role administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.permissions.index') }}">Permission administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link active" href="{{ route('admin.roles.assignsuperusers') }}">Assign roles to users</a>
                    </nav>
                </div>
                <div id="superUserContainer">
                    <div class="col">
                        <div class="d-flex justify-content-between  ">
                            <h3 class="h3 font-weight-normal">Assign super user role to user</h3>
                        </div>

                        <div class="d-flex justify-content-between mt-7 mb-3">
                            <h3 class="h3 font-weight-normal">Users</h3>
                            <button id="inviteUsersButton" class=" btn btn-primary font-weight-bold text-uppercase rounded" data-toggle="modal"
                                    data-target="#searchInviteSuperUsersModal">
                                Find users
                            </button>
                        </div>

                        <table class="superuser-table table table-bluegrey-dark  table-striped" id="superusertable">
                            <thead class="bg-bluegrey-mid">
                            <tr class="text-14 text-grey-light">
                                <th scope="col">User</th>
                                <th scope="col">Institute</th>
                                <th scope="col">Delete</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($superusers as $superUser)
                                <tr id="superUserDeleteItem-{{$superUser['user_id']}}">
                                    <td>
                                        <div class="custom-control custom-checkbox">
                                            <input type="checkbox" class="custom-control-input" id="superUserDeleteItem-{{$superUser['user_id']}}-{{$superUser['user_name']}}">
                                            <label class="custom-control-label font-weight-bold text-grey-light" for="superUserDeleteItem-{{$superUser['user_id']}}-{{$superUser['user_name']}}">
                                                <i class="fa fa-user fa-fw"></i>
                                                {{$superUser['user_name']}}
                                            </label>
                                        </div>


                                    </td>
                                    <td class="text-14 text-grey-light">{{$superUser['user_affiliation']}}</td>
                                    <td>
                                        <a href="javascript:" data-assign="superUserDeleteItem-{{$superUser['user_id']}}-{{$superUser['user_name']}}">
                                            <i class="fa fa-trash-o fa-fw fa-lg text-dark superUserDeleteTrashcan"></i>
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                            <tfoot class="bg-bluegrey-mid">
                            <tr>
                                <td colspan="2">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" id="selectAll_superUserDelete">
                                        <label class="custom-control-label text-14" for="selectAll_superUserDelete">
                                            Select all
                                        </label>
                                    </div>
                                </td>
                                <td colspan="2">
                                    <button class="float-right disabled btn btn-outline-corpus-dark font-weight-bold text-uppercase btn-sm" data-projectid="" id="deleteSelectedSuperUsersButton">
                                        Remove Assignment
                                    </button>
                                </td>
                            </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="searchInviteSuperUsersModal" tabindex="-1" role="dialog" aria-labelledby="searchInviteSuperUsersModalTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="h3 modal-title mt-3 w-75" id="searchInviteSuperUsersModalTitle">Search users you want to assign the super user role to by name</div>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body" id="searchbar">
                        <div class="form-group">
                            <label class="text-14 text-dark-trans mb-1 pl-3" for="superuser_user_name">
                                <i class="fa fa-user fa-fw"></i> User name: </label>
                            <input type="text" class="usertypeahead typeahead form-control" id="superuser_user_name" name="superuser_user_name" required placeholder="What's the name of the user?" autocomplete="off">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                                aria-label="Close">
                            Cancel
                        </button>
                        <button type="button" class="btn btn-primary font-weight-bold text-uppercase rounded px-5"  id="doAssignSuperUser" data-projectid="">Assign</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="confirmDelete" tabindex="-1" role="dialog" aria-labelledby="confirmDeleteTitle" aria-hidden="true">
                        <div class="modal-dialog modal-dialog-centered" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <div class="h3 modal-title mt-3 w-75" id="confirmDeleteTitle"></div>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body"></div>
                                <div class="modal-footer">
                                    <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                                            aria-label="Close">
                                        Cancel
                                    </button>
                                    <button type="button" class="btn btn-primary" data-dismiss="modal" data-toggle="modal" id="doDelete" data-idkey="" data-callback="">Delete</button>
                                    <input type="hidden" data- id="postDeleteData" value="" />
                                </div>
                            </div>
                        </div>
                    </div>

@endsection