@extends('layouts.project_ux', ['isLoggedIn' => $isLoggedIn])
@section('title', '| Permission Administration')
@section('content')
    <div class="container-fluid">
        <div class="container pt-5">
            <div class="alert alert-dismissible fade show" role="alert" id="alert-laudatio">
                <span class="alert-laudatio-message"></span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="row">
                <div class="col-3 mt-2">
                    <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">´
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.index') }}">Role administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.permissions.index') }}">Permission administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link active" href="{{ route('admin.roles.assignsuperusers') }}">Assign roles to users</a>
                    </nav>
                </div>
                <div class="col">

                    <div class="col-lg-12 bhoechie-tab-container">
                        <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 bhoechie-tab-menu">
                            <div class="list-group">
                                @foreach($roles as $role)
                                    @if($loop->index == 0)
                                        <a href="#" class="list-group-item active text-center">
                                            <h4 class="fa fa-users"></h4><br/>{{$role->name}}
                                        </a>
                                    @else
                                        <a href="#" class="list-group-item text-center">
                                            <h4 class="fa fa-users"></h4><br/>{{$role->name}}
                                        </a>
                                    @endif
                                @endforeach
                            </div>
                        </div>
                        <div class="bhoechie-tab">
                            @foreach($roles as $role)
                                @if($loop->index == 0)
                                    <div class="bhoechie-tab-content active">
                                        @else
                                            <div class="bhoechie-tab-content">
                                                @endif
                                                <div class="container">
                                                    <div class="dual-list list-left col-md-3">
                                                        <div class="well text-left">
                                                            <div class="row">
                                                                Assign users to {{$role->name}}
                                                            </div>
                                                            @if($loop->index == 0)
                                                                <ul class="list-group active" data-roleid="{{$role->id}}" id="ul_{{$loop->index}}">
                                                                    @else
                                                                        <ul class="list-group" data-roleid="{{$role->id}}" id="ul_{{$loop->index}}">
                                                                            @endif

                                                                        </ul>
                                                        </div>
                                                    </div>


                                                    <div class="list-arrows col-md-1 text-center">
                                                        <button class="btn btn-default btn-sm move-left">
                                                            <span class="fa fa-chevron-left"></span>
                                                        </button>
                                                    </div>
                                                    <div class="list-arrows col-md-1 text-center">
                                                        <button class="btn btn-default btn-sm move-right">
                                                            <span class="fa fa-chevron-right"></span>
                                                        </button>
                                                    </div>

                                                    <div class="dual-list list-right col-md-3">
                                                        <div class="well">
                                                            <div class="row">
                                                                <div class="col-md-2">
                                                                    <div class="btn-group">
                                                                        <a class="btn btn-default selector" title="select all"><i class="fa fa-unchecked"></i></a>
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-10">
                                                                    <div class="input-group">
                                                                        <input type="text" name="SearchDualList" class="form-control" placeholder="search" />
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            @if($loop->index == 0)
                                                                <ul class="list-group active" id="ul_{{$loop->index}}">
                                                                    @else
                                                                        <ul class="list-group" id="ul_{{$loop->index}}">
                                                                            @endif
                                                                            @foreach($users as $user)
                                                                                <li class="list-group-item"  data-userid="{{$user->id}}" ><i class="fa fa-user fa-fw"></i> {{$user->name}}</li>
                                                                            @endforeach
                                                                        </ul>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>
                                            @endforeach
                                    </div>
                        </div>
                    </div>
                    <br />
                    <button type="submit" value="Create" id="assignButton" class="btn btn-primary pull-right">Assign users</button>

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="deletePermissionModal" tabindex="-1" role="dialog" aria-labelledby="confirmDeleteTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="h3 modal-title mt-3 w-75" id="confirmDeleteTitle"></div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                            aria-label="Close">
                        Cancel
                    </button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal" data-toggle="modal" id="doDelete" data-idkey="" data-callback="">Delete</button>
                    <input type="hidden" data- id="postDeleteData" value="" />
                </div>
            </div>
        </div>
    </div>
@endsection