@extends('layouts.admin_ux', ['isLoggedIn' => $isLoggedIn])

@section('content')
    <div class="container-fluid">
        <div class="container">
            <div class="row mt-5">
                <div class="col-3 mt-2">
                    <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">´
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link active">Role administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.permissions.index') }}">Permission administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.assignsuperusers') }}">Assign roles to users</a>
                    </nav>
                </div>
                <div class="col">
                    <form  method="POST" action="/admin/roles" class="w-100 rolecreateform">
                        @csrf
                        <div class="row">
                            <div class="col-8 pl-7 pr-7">
                                <div class="d-flex justify-content-between mt-7 mb-3">
                                    <div class="h3 font-weight-normal"><i class="fa fa-key"></i> <em> Create Role</em> </div>
                                </div>
                                <div class="form-group">
                                    <label class="text-14 text-dark-trans mb-1 pl-3" for="name">
                                        <small>Role name</small>
                                    </label>
                                    <input type="text" class="corpusProject-title-edit form-control" name="name" id="name" required
                                           placeholder="Name of the role?" value="">
                                </div>
                                <div class="form-group mt-3">
                                    <label class="text-14 text-dark-trans mb-1 pl-3" for="description">
                                        <small>Write a description for the Role</small>
                                    </label>
                                    <textarea id="description" name="description" class="corpusProject-description-edit form-control py-3"
                                              cols="30" rows="8" placeholder="Role Description"></textarea>
                                </div>
                                <div class="form-group mt-3">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="role_superuser" value="on" id="role_superuser">
                                        <label class="custom-control-label font-weight-bold" for="role_superuser">
                                            Is super user
                                        </label>
                                    </div>
                                </div>
                                <div class="form-row mt-3">
                                    <div class="col offset-7">
                                        <a href="{{ route('admin.useradmin.role.index') }}"> <button type="button" class="role-endCreate btn btn-outline-corpus-mid text-uppercase font-weight-bold rounded w-100">Cancel</button></a>
                                    </div>
                                    <div class="col">
                                        <button type="submit"  class="role-saveCreate btn btn-primary rounded text-uppercase font-weight-bold w-100">Save</button>
                                    </div>
                                </div>
                            </div>
                            <div class="col-4">
                                <div class="d-flex justify-content-between mt-7 mb-3">
                                    <div class="h3 font-weight-normal">Assign Permissions</div>
                                </div>

                                @foreach ($permissions as $permission)
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" name="permissions[]" value="{{$permission->id}}" id="permission_{{$permission->id}}">
                                        <label class="custom-control-label font-weight-bold" for="permission_{{$permission->id}}">
                                            {{$permission->name}}
                                        </label>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                    </form>


                    <div class="col-lg-12">
                        @include('layouts.errors')
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection