@extends('layouts.admin_ux', ['isLoggedIn' => $isLoggedIn])
@section('title', '| Roles')
@section('content')
    <div class="container-fluid">
        <div class="container pt-5">
            <div class="alert alert-dismissible fade show" role="alert" id="alert-laudatio">
                <span class="alert-laudatio-message"></span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="row">
                <div class="col-3 mt-2">
                    <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">´
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link active">Role administration</a>
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.permissions.index') }}">Permission administration</a>
                        <!--a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.assignusers') }}">Assign roles to users</a-->
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('admin.roles.assignsuperusers') }}">Assign super user</a>
                    </nav>
                </div>
                <div class="col">
                    <div class="d-flex justify-content-between mt-7 mb-3">
                        <div class="h3 font-weight-normal"><i class="fa fa-key"></i> Role Administration </div>
                    </div>
                    <table class="custom-table table table-bluegrey-dark table-striped">
                        <thead class="bg-bluegrey-mid">
                        <tr class="text-14 text-grey">
                            <th scope="col">Role</th>
                            <th scope="col">Permissions</th>
                            <th scope="col">Operation</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach ($roles as $role)
                            <tr>

                                <td>{{ $role->name }}</td>

                                <td>{{ str_replace(array('[',']','"'),'', $role->permissions()->pluck('name')) }}</td>{{-- Retrieve array of permissions associated to a role and convert to string --}}
                                <td>
                                    @if (Auth::user()->hasPermissionTo('Administer the application','web'))
                                        <div class="dropdown">
                                            <button class="btn btn-outline-corpus-dark dropdown-toggle font-weight-bold text-uppercase rounded mb-4 w-100 text-left"
                                                    type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                Edit
                                            </button>
                                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                                <a class="dropdown-item text-14" href="{{ route('admin.roles.edit',['role' => $role->id]) }}">Edit Role</a>
                                                <a class="dropdown-item text-14 deleteRoleButton" href="#" data-toggle="modal" data-target="#deleteRoleModal" data-roleid="{{$role->id}}" data-rolename="{{$role->name}}"  id="deleteRoleButton_{{$role->id}}">Delete Role</a>
                                            </div>
                                        </div>
                                    @endif
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                        <tfoot class="bg-bluegrey-mid">
                            <tr>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>
                                    <a href="{{ route('admin.roles.create') }}" class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded mb-4 w-100">
                                        Add Role
                                    </a>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="deleteRoleModal" tabindex="-1" role="dialog" aria-labelledby="confirmDeleteTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <div class="h3 modal-title mt-3 w-75" id="confirmDeleteTitle"></div>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body"></div>
                <div class="modal-footer">
                    <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                            aria-label="Close">
                        Cancel
                    </button>
                    <button type="button" class="btn btn-primary" data-dismiss="modal" data-toggle="modal" id="doDelete" data-idkey="" data-callback="">Delete</button>
                    <input type="hidden" data- id="postDeleteData" value="" />
                </div>
            </div>
        </div>
    </div>
@endsection