@extends('layouts.auth_ux')

@section('content')
    <div class="container-fluid">
        <div class="container">
            <div class="row">
                <div class="col-6 offset-2">


                    <div class="d-flex justify-content-between mt-7 mb-3">
                        <div class="h3 font-weight-normal">Registration completion</div>
                    </div>
                    <!--div> <p>To complete your registration, you have to <a href="{{ route('registeruser') }}">add your GitLab user id</a> in order for us to give you access to the gitlab repositories related to your project(s)</p></div-->

                    <form role="form" method="POST" action="{{ route('auth.storeregister') }}" class="w-65">
                        {{ csrf_field() }}
                        <!--div class="form-group{{ $errors->has('gitlabuserid') ? ' has-error' : '' }} mt-3">
                            <label class="text-14 text-dark-trans mb-1 pl-3" for="gitlabuserid">
                                <small>Your Gitlab User Id <span style="color: red">*</span></small>
                            </label>

                            <input id="gitlabuserid" type="text" class="form-control" name="gitlabuserid" value="{{ old('gitlabuserid') }}" >

                            @if ($errors->has('gitlabuserid'))
                                <span class="help-block">
                                    <strong>{{ $errors->first('gitlabuserid') }}</strong>
                                </span>
                            @endif
                        </div-->

                        <div class="form-group{{ $errors->has('affiliation') ? ' has-error' : '' }} mt-3">
                            <label class="text-14 text-dark-trans mb-1 pl-3" for="affiliation">
                                <small>Your Affiliation <span style="color: red">*</span></small>
                            </label>

                            <input id="affiliation" type="text" class="form-control" name="affiliation" value="{{ old('affiliation') }}" >

                            @if ($errors->has('affiliation'))
                                <span class="help-block">
                                                <strong>{{ $errors->first('affiliation') }}</strong>
                                            </span>
                            @endif
                        </div>

                        <br/>
                        <!--div class="custom-control custom-checkbox">
                            <input type="checkbox" class="toBeValidated-checkbox custom-control-input" value="1" id="gitlab-use-check">
                            <label class="custom-control-label font-weight-normal text-14" for="gitlab-use-check">
                                Laudatio is allowed to use my GitLab account data. This entails my, by GitLab registered email, commit information and roles. <span style="color: red">*</span>
                            </label>
                        </div-->


                        <div class="form-group">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="toBeValidated-checkbox custom-control-input" value="" id="registerCheck_2">
                                <label class="custom-control-label font-weight-normal text-14" for="registerCheck_2">
                                    I agree with Laudatio <a href="javascript:" data-toggle="modal" data-target="#termsModal">terms of use</a>
                                </label>
                            </div>
                            <div class="form-row mt-5">
                                <div class="col">
                                    <input type="submit" class="toCheckValidation disabled btn btn-primary rounded text-uppercase font-weight-bold w-100" value="Finish registration" />
                                </div>
                            </div>
                        </div>
                        <input type="hidden" name="userid" id="userid" value="{{$userid}}" />
                        <input type="hidden" name="redirect_path" id="redirect_path" value="{{$redirect_path}}" />
                    </form>
                </div>
            </div>
        </div>
        <div class="modal fade" id="termsModal" tabindex="-1" role="dialog" aria-labelledby="termsModal" aria-hidden="true">
            <div class="modal-dialog modal-lg" role="document">
                <div class="modal-content border-0 rounded-lg bsh-1">
                    <div class="modal-body px-2">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i class="fa fa-close" aria-hidden="true"></i>
                        </button>
                        <nav class="navbar navbar-expand-sm navbar-light bg-transparent p-3 container" role="tablist">
                            <div class="navbar-nav nav row">

                                <div class="nav-item maintablink col-auto text-12 font-weight-bold active" id="deutsch-link">
                                    <a class="nav-link maintablink text-dark text-uppercase " data-toggle="tab" href="#deutsch" role="tab">
                                        Nutzungsbedingungen (Deutsch)
                                    </a>
                                </div>
                                <div class="nav-item maintablink col-auto text-12 font-weight-bold " id="external-account-link">
                                    <a class="nav-link maintablink text-dark text-uppercase " data-toggle="tab" href="#english" role="tab">Terms of use (English Translation)
                                    </a>
                                </div>
                            </div>
                        </nav>
                        <div class="container-fluid tab-content content">
                            <div role="tabpanel"  class="tab-pane active nutzung-scroll" id="deutsch">
                                <div class="card">
                                    <div class="card-header">
                                        Nutzungsbedingungen LAUDATIO-Repository
                                    </div>
                                    <div class="card-body">
                                        <p>LAUDATIO ist ein Open-Access-Repositorium für historische Textkorpora. Es wird von der Humboldt-Universität zu Berlin betrieben und von dem Computer- und Medienservice und der Sprach- und literaturwissenschaftlichen Fakultät der Humboldt-Universität zu Berlin betreut. Die Nutzung von LAUDATIO ist Gegenstand der nachfolgenden Nutzungsbedingungen: </p>
                                        <p>LAUDATIO ist nach den FAIR Guiding Principles (https://www.go-fair.org/fair-principles/) eine Publikationsplattform zur möglichst nachhaltigen Speicherung, Dokumentation und Wiederverwendung von Korpora. Durch die umfangreiche Korpusdokumentationen fördert LAUDATIO den intellektuellen Zugang zu den veröffentlichten Korpora. Über die komplexe Metadatensuche ermöglicht LAUDATIO eine hohe Sichtbarkeit und Auffindbarkeit der Korpora.</p>
                                        <p>Korpusdatengeberinnen und -geber publizieren ihre Korpusdaten zusammen mit den LAUDATIO-Metadaten. Die Metadaten beschreiben das Korpus, die darin enthaltenen Dokumente und Annotationen, die seitens der Korpusdatengeberinnen und -geber zuzuweisende Korpuslizenz und die für die Erstellung des Korpus verantwortlichen Personen. Korpusdatengeberinnen und -geber tragen die Verantwortung für die veröffentlichten Korpusdaten und deren Metadaten. Korpusdatengeberinnen bzw. -geber haben vor der Publikation sicherzustellen, dass sie Inhaberin bzw. er Inhaber aller für die Verwendung des Korpus und seinen Metadaten im Rahmen von LAUDATIO einschließlich der für die Veröffentlichung des Korpus und seinen Metadaten erforderlichen Rechte und/oder Einverständniserklärungen sind und, dass keine dieser Verwendung entgegenstehenden Vereinbarungen getroffen wurden. Korpusdatengeberin bzw. -geber hat ferner sicherzustellen, dass die Verwendung des Korpus und seiner Metadaten im Rahmen von LAUDATIO rechtmäßig ist und auch keine Rechte Dritter (z.B. von Autoren, Verlagen, Verwertungsgesellschaften, Drittmittelgebern) verletzt werden. Korpusdatengeberin bzw. -geber stellt die Humboldt-Universität zu Berlin auf erstes Anfordern von allen Ansprüchen und Kosten frei, die Dritte gegen die Verwendung des Korpus und/oder seiner Metadaten im Rahmen von LAUDATIO geltend machen. Diese Freistellungsverpflichtung umfasst auch die Verpflichtung, die Humboldt-Universität zu Berlin von Rechtsverteidigungskosten (z.B. Gerichts- und Rechtsanwaltskosten) vollständig freizustellen. Wird die Humboldt-Universität zu Berlin wegen der Verwendung des Korpus und/oder seiner Metadaten im Rahmen von LAUDATIO unmittelbar von einem Dritten in Anspruch genommen, ist Korpusdatengeberin bzw. -geber verpflichtet, der Humboldt Universität zu Berlin unverzüglich alle zur Abwehr von Ansprüchen notwendigen Informationen und Beweismittel zu übergeben. Korpusdatengeberin bzw. -geber wird der Humboldt-Universität zu Berlin zudem mitteilen, ob er bzw. sie die Ansprüche für berechtigt hält. Wird durch gerichtliche Entscheidung oder Erklärung der Korpusdatengeberin bzw. des Korpusdatengebers gegenüber dem den Anspruch erhebenden Dritten festgestellt, dass durch den Korpus und/oder seinen Metadaten Rechte Dritter verletzt wurden, hat die Korpusdatengeberin bzw. der Korpusdatengeber dies der Humboldt-Universität zu Berlin unverzüglich mitzuteilen. Sofern die Korpusdatengeberin bzw. der Korpusdatengeber Anhaltspunkte für eine Gesetzesverletzung oder eine Verletzung von Rechten Dritter hat, wird sie bzw. er die Humboldt-Universität zu Berlin hierüber unverzüglich unterrichten und ggf. den Korpus und/oder seine Metadaten in entsprechender Form anpassen und/oder die Humboldt-Universität zu Berlin bei der Abwehr von Ansprüchen Dritter unterstützen. Die Kosten hierfür trägt die Korpusdatengeberin bzw. der Korpusdatengeber. Korpusdatengeber verpflichten sich, keine schadhaften Programme und/oder Dateien hochzuladen und zu veröffentlichen.</p>

                                        <p>Die Humboldt-Universität zu Berlin als Betreiberin von LAUDATIO behält sich im Falle eines Rechtsverstoßes, bei Verstoß gegen die Nutzungsbedingungen von LAUDATIO und/oder im Falle des begründeten Verdachts eines wissenschaftlichen Fehlverhaltens vor, betroffene Accounts zu sperren, Datensätze zu entfernen und Accountdaten an Strafverfolgungsbehörden weiterzugeben.
                                            Alle veröffentlichten Korpusdaten können immer über LAUDATIO ohne weitere Zugangsvoraussetzung frei von allen Nutzerinnen und Nutzern heruntergeladen und weiterverarbeitet werden. Die Benutzung von LAUDATIO erfolgt unter generellem Ausschluss der Gewährleitung der Erreichbarkeit des Dienstes.</p>
                                        <h2>Datenschutzerklärung LAUDATIO-Repository</h2>
                                        <p>Die folgenden Daten sind zur Nutzung des Repositoriums notwendig. Korpusdatengeberinnen und -geber authentifizieren sich entweder durch ihren HU-Account beim LogIn oder einmalig durch einen Authentifizierungsbogen (verfügbar auf der „Register“-Seite auf www.laudatio-repository.org, ausgefüllt per Mail an laudatio-support@hu-berlin.de). HU-externe Korpusdatengeberinnen und -geber erhalten nach der Authentifizierung Zugangsdaten für LAUDATIO. Beide Nutzergruppen benötigen einen Account für die GitLab-Instanz der Humboldt-Universität zu Berlin (https://scm.cms.hu-berlin.de/users/sign_in). In LAUDATIO werden Vor- und Nachname, Emailadresse, föderative Zugehörigkeit, LDAP-GUID und die GitLab-User-ID der HU-Instanz (https://scm.cms.hu-berlin.de/users/sign_in) gespeichert. Die GitLab-User-ID wird einmalig beim ersten LogIn angegeben. Mit der Benutzung von LAUDATIO stimmen Nutzerinnen und Nutzer zu, dass ihr GitLab-Account mit ihrem Account im LAUDATIO-Repository verknüpft wird. LAUDATIO verwendet die bei der Registrierung erfassten personenbezogenen Daten allein zur Aufrechterhaltung des Betriebs. Korpusdatengeberinnen und -geber von LAUDATIO können bei einer Suche innerhalb von LAUDATIO andere Korpusdatengeberinnen und -geber unter Ihrem Namen finden. Dies ermöglicht eine kollaborative Arbeit an der Veröffentlichung von Korpora.</p>

                                        <h2>Kontakt LAUDATIO (für Impressum)</h2>
                                        <p>Entwickler und technischer Support: Rolf Guescini, Computer- und Medienservice HU Berlin, Unter den Linden 6, 10099 Berlin, Telefon: +49 (0)30 2093-70120, Email: laudatio-support@hu-berlin.de, Website: https://www.cms.hu-berlin.de/de/dl/multimedia/mitarbeiter/1689994</p>
                                        <p>Metadaten-  und Anwendungsmodell, User Support: Dr. Carolin Odebrecht, Sprach- und literaturwissenschaftliche Fakultät und Computer- und Medienservice HU Berlin, Unter den Linden 6, 10099 Berlin, Telefon: +49 (0)30 2093-9618, E-Mail: laudatio-support@hu-berlin.de, Website: http://hu-berlin.de/fdmslf</p>

                                        <h2>Verantwortliche im Sinne der Datenschutz-Grundverordnung</h2>
                                        <p>
                                            <strong>Verantwortlicher:</strong>
                                            Humboldt-Universität zu Berlin, vertreten durch die Präsidentin, Unter den Linden 6, 10099 Berlin
                                            <br />
                                            <strong>Verantwortliche Organisationeinheit:</strong>
                                            Computer- und Medienservice Malte Dreyer (Direktor), Unter den Linden 6, 10099 Berlin, E-Mail: cms-office@cms.hu-berlin.de, Telefon: +49 (030) 2093-70010, Website: https://www.cms.hu-berlin.de/de/ueberblick/mitarbeiter
                                            <br />
                                            <strong>Name und Anschrift der Datenschutzbeauftragten</strong>
                                            Die Datenschutzbeauftragte der Humboldt-Universität zu Berlin ist: Behördliche Datenschutzbeauftragte, Gesine Hoffmann-Holland, Tel: +49 (30) 2093-20022 E-Mail: datenschutz@uv.hu-berlin.de, Website: https://www.hu-berlin.de/de/datenschutz
                                        </p>
                                    </div>
                                </div>
                            </div>
                            <div role="tabpanel"  class="tab-pane fade in  nutzung-scroll" id="english">
                                <div class="card">
                                    <div class="card-header">
                                        Terms of use LAUDATIO-Repository
                                    </div>
                                    <div class="card-body">
                                        <p>LAUDATIO is an open access repository for historical text corpora. It is operated by the Humboldt-Universität zu Berlin and maintained by the Computer and Media Service and the Faculty of Language, Literature and Humanities of the Humboldt-Universität zu Berlin. The use of LAUDATIO is subject to the following terms of use:</p>
                                        <p>In line with the FAIR Guiding Principles (https://www.go-fair.org/fair-principles/), LAUDATIO is a publication platform for the sustainable storage, documentation and reuse of corpora. Through its extensive corpus documentation, LAUDATIO promotes intellectual access to published corpora. Through the complex metadata search, LAUDATIO enables a high visibility and findability of the corpora.</p>
                                        <p>Corpus data providers publish their corpus data together with the LAUDATIO metadata. The metadata describe the corpus, the documents and annotations as well as the corpus data licence, which is assigned by the corpus data providers and the persons responsible for the creation of the corpus. Corpus data providers are responsible for the published corpus data and its metadata. Before publication, corpus data providers must ensure that they are the owners of all rights and/or declarations of consent necessary for the use of the corpus and its metadata within the framework of LAUDATIO, including the rights and/or declarations of consent necessary for the publication of the corpus and its metadata, and that no agreements to the contrary have been made. Furthermore, the provider of the corpus data must ensure that the use of the corpus and its metadata within the framework of LAUDATIO is legal and that no rights of third parties (e.g. authors, publishers, collecting societies, providers of third-party funds) are violated. The provider of the corpus data releases the Humboldt-Universität zu Berlin on first requests from all claims and costs that third parties assert against the use of the corpus and/or its metadata in the context of LAUDATIO. This indemnification obligation also includes the obligation to fully indemnify the Humboldt-Universität zu Berlin from legal defences costs (e.g. court and attorney fees). In the event that a third party makes a direct claim against the Humboldt-Universität zu Berlin due to the use of the corpus and/or its metadata within the framework of LAUDATIO, the corpus data provider is obliged to immediately provide the Humboldt Universität zu Berlin with all information and evidence necessary to defend against claims. The corpus data provider will also inform the Humboldt University of Berlin whether he or she considers the claims to be justified. If a court decision or declaration by the corpus data provider to the third party asserting the claim establishes that the rights of third parties have been infringed by the corpus and/or its metadata, the corpus data provider must inform the Humboldt-Universität zu Berlin immediately. If the corpus data provider has evidence of a violation of the law or of the rights of third parties, he or she will inform the Humboldt-Universität zu Berlin immediately and, if necessary, adapt the corpus and/or its metadata in the appropriate form and/or support the Humboldt-Universität zu Berlin in defending itself against third-party claims. The corpus data provider shall bear the costs of this. Corpus data providers commit themselves not to upload and publish any defective programs and/or files.</p>
                                        <p>The Humboldt-Universität zu Berlin as operator of LAUDATIO reserves the right to block affected accounts, remove data records and forward account data to law enforcement agencies in the event of a legal violation, violation of the LAUDATIO terms of use and/or in the event of reasonable suspicion of scientific misconduct.
                                            All published corpus data can always be freely downloaded and processed by all users via LAUDATIO without further access requirements. The use of LAUDATIO is subject to the general exclusion of the guarantee of availability of the service.
                                        </p>
                                        <h2>Privacy Policy LAUDATIO-Repository</h2>
                                        <p>The following data is required to use the repository. Providers of corpus data authenticate themselves either through their HU account when logging in or once through an authentication form (available at the ‘register’ page at www.laudation-repository.org, completed form to laudatio-support@hu-berlin.de). After authentication, HU-external corpus data providers will receive access data for LAUDATIO. Both user groups need an account for the GitLab instance of the Humboldt-Universität zu Berlin (https://scm.cms.hu-berlin.de/users/sign_in). First and last name, email address, federal affiliation, LDAP-GUID and the GitLab-User-ID of the HU-Instance (https://scm.cms.hu-berlin.de/users/sign_in) are stored in LAUDATIO. The GitLab user ID is provided once at the first login. By using LAUDATIO, users agree that their GitLab account will be linked to their account in the LAUDATIO repository. LAUDATIO uses the personal data collected during registration solely to maintain the operation of the service. LAUDATIO corpus data providers can find other corpus data providers under your name when searching within LAUDATIO. This enables collaborative work on the publication of corpora. </p>
                                        <h2>Contact LAUDATIO (for imprint)</h2>
                                        <p>Developer and Technical Support: Rolf Guescini, Computer- und Medienservice HU Berlin, Unter den Linden 6, 10099 Berlin, Phone: +49 (0)30 2093-70120, Email: laudatio-support@hu-berlin.de, Website: https://www.cms.hu-berlin.de/en/dl/multimedia/mitarbeiter/1689994</p>
                                        <p>Metadata and Application Model, User Support: Dr. Carolin Odebrecht, Faculty of Linguistics and Literature and Computer and Media Service HU Berlin, Unter den Linden 6, 10099 Berlin, Phone: +49 (0)30 2093-9618, E-Mail: laudatio-support@hu-berlin.de, Website: http://hu-berlin.de/fdmslf</p>

                                        <h2>Responsible persons in terms of the General Data Protection Regulation</h2>
                                        <p>
                                            <strong>Person in charge:</strong>
                                            Humboldt University of Berlin, represented by the President, Unter den Linden 6, 10099 Berlin
                                            <strong>Responsible organizational unit:</strong>
                                            Computer and Media Service Malte Dreyer (Director), Unter den Linden 6, 10099 Berlin, e-mail: cms-office@cms.hu-berlin.de, Phone: +49 (030) 2093-70010, Website: https://www.cms.hu-berlin.de/de/ueberblick/mitarbeiter
                                            <strong>Name and address of the data protection officers</strong>
                                            The Data Protection Officer of Humboldt-Universität zu Berlin is: Data Protection Officer, Gesine Hoffmann-Holland, Tel: +49 (30) 2093-20022 E-Mail: datenschutz@uv.hu-berlin.de, Website: https://www.hu-berlin.de/de/datenschutz
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <style>
        .card-header {
            background-color: #f2ede6 !important;
        }
        .card-body {
            max-height: 400px;
            overflow-y: scroll;
        }
    </style>
@endsection
