@extends('layouts.auth_ux')

@section('content')


<div class="container-fluid">
    <div class="container">
        <div class="row">
            <div class="col-6 offset-2">


                <div class="d-flex justify-content-between mt-7 mb-3">
                    <div class="h3 font-weight-normal">Register/Sign in at GitLab and obtain your gitlab user id</div>
                </div>
                <div class="my-4">
                    <p>
                        To register for an account with Laudatio, you will firstly have to register a GitLab account at <a href="https://scm.cms.hu-berlin.de" target="_blank">https://scm.cms.hu-berlin.de</a>.
                        This is necessary in order to be able to save and get access to your content both inside the repository as well as directly from Humboldt-Universität zu Berlin's GitLab-installation.
                    </p>
                    <p>
                        Your user name in Laudatio will be the email address you used to register for GitLab with. For persons that already have an account as a user at Humboldt-Universität zu Berlin, the user name in Laudatio will be the HU email address.
                    </p>
                    <p>
                        Using Laudatio and publishing corpora in the Laudatio Repository is generally free of charge.
                    </p>
                    <p>
                        For further information, please see our
                        <a href="#"> Terms of use</a>.

                    </p>

                    <p class="h5 mt-7">
                        Step 1: If you don't have a HU-account or haven't registered for a GitLab account yet, register at  <a href="https://scm.cms.hu-berlin.de" target="_blank">https://scm.cms.hu-berlin.de</a>
                    </p>
                    <img src="/images/gitlab_register.png" alt="gitlab-register">


                    <p class="h5 mt-7">
                        Step 2: After registration, log in to your GitLab account, and navigate to: <a href="https://scm.cms.hu-berlin.de/profile">Gitlab Profile Pages</a> and obtain your User ID
                    </p>
                    <img src="/images/GitlabUid.png" alt="gitlab-uid" width="600" height="600">
            </div>
        </div>
    </div>
</div>
@endsection