@extends('layouts.frontpage_ux')

@section('content')
    <div class="home-fold container-fluid" style="background-image: url({{ asset('images/placeholder_header.jpg') }});">
        <div class="container h-100 d-flex flex-column align-items-center justify-content-center">
            <div class="row w-100 mb-4">
                <div class="col-3 ml-auto mr-auto">
                    <img class="w-100" src="{{ asset('images/logo-laudatio.svg') }}" alt="">
                </div>
            </div>
            <div class="row w-100">
                <div class="col-6 offset-3">
                    @if (Session::has('msg'))
                        <div class="alert alert-success alert-dismissible alert-success fade show" role="alert" id="alert-laudatio">
                            <span class="alert-laudatio-message">{{ Session::get('msg') }}</span>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    @endif
                    <h3 class="h2 font-weight-normal mb-5 text-center">
                        <strong>L</strong>ong-term
                        <strong>A</strong>ccess and
                        <strong>U</strong>sage of
                        <strong>D</strong>eeply
                        <strong>A</strong>nno<strong>t</strong>ated
                        <strong>I</strong>nformation
                    </h3>
                </div>
            </div>
            <div class="w-100 mt-3">
                <div class="container">
                    <div class="row">
                        <div class="col-sm-10 offset-sm-1 col-md-8 offset-md-2 col-lg-5 ml-auto mr-auto">
                            <form role="form" method="POST" action="{{ route('frontpagesearch') }}" class="home-fold-search bsh-2 form-group p-1 rounded bg-white ">
                                {{ csrf_field() }}
                                <div class="input-group">
                                    <input type="text" class="form-control" name="search_terms" id="search_terms" placeholder="Search metadata (German or English)" aria-label="search metadata"
                                           aria-describedby="basic-addon2">
                                    <div class="input-group-append">
                                        <span class="text-secondary m-0 h3 font-weight-normal bg-white">|</span>
                                        <button class="btn btn-outline-secondary pl-3 pr-3" type="submit">
                                            <i class="text-primary fa fa-fw fa-search "></i>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="container-fluid">
        <div class="container">
            <div class="row my-5 pt-5 pb-3">
                <div class="col">
                    @if (session('error'))
                        <div class="alert alert-danger alert-dismissible fade show" role="alert" id="alert-laudatio-danger">
                                <span class="alert-laudatio-message">
                                     We are really sorry, but something unexpected happened: <br />
                                <ul>
                                    @foreach (session('error') as $errorid => $error)
                                        <li>{{lcfirst($errorid)}} : {{ $error[0] }}</li>
                                    @endforeach
                                </ul>
                                </span>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                    @endif
                    <div class="homeCarousel matchedHeight">
                        @if (null != $corpusdata)
                            <ul class="homeCarouselContainer px-4">
                                @foreach($corpusdata as $index => $corpus)
                                    <li class="homeCarouselSlide">
                                        <div class="card bg-corpus-superlight border-0 px-4 pb-7">
                                            <div class="card-body p-6">
                                                <div class="d-flex flex-column align-items-center">
                                                    @if (isset($corpus['corpus_logo']) && $corpus['corpus_logo'] != "")
                                                        <a  href="/browse/corpus/{{$corpus['elasticid']}}">
                                                            <img class="rounded-circle bg-white w-100"  src="/images/corpuslogos/{{$corpus['corpus_project_directorypath']}}_{{$corpus['corpus_directorypath']}}_{{$corpus['corpus_logo']}}" alt="corpus-logo">
                                                        </a>
                                                    @else
                                                        <img class="rounded-circle w-30 bg-white" src="{{ asset('images/placeholder_flower.svg') }}" alt="circle-image">
                                                    @endif

                                                    <div class="h4 font-weight-bold text-center mt-4">
                                                        <a class="text-dark" href="/browse/corpus/{{$corpus['elasticid']}}/{{$corpus['corpus_index']}}">
                                                            {{$corpus['corpus_title']}} (Version {{$corpus['corpus_version']}})
                                                        </a>
                                                    </div>
                                                    <p class="text-center text-grey my-2">
                                                        {{$corpus['authors']}}
                                                    </p>
                                                    <div class="d-flex">
                                                        <div class="corpusProp text-16 d-flex align-items-center align-self-start pr-1 my-1 mr-3 flex-nowrap">
                                                            <i class="fa fa-fw fa-cubes mr-1"></i>
                                                            <span>{{$corpus['corpus_size_value']}} Tokens</span>
                                                        </div>
                                                        <div class="corpusProp smaller text-16 d-flex align-items-center align-self-start my-1 pl-2 flex-nowrap">
                                                            <i class="fa fa-fw fa-arrow-up mr-1 border-top border-dark"></i>
                                                            <span>{{$corpus['corpus_publication_date']}}</span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </li>
                                @endforeach
                            </ul>
                        @endif
                    </div>
                </div>

                <div class="col">

                    <div class="matchedHeight card bg-bluegrey-mid border-0 px-7">
                        <div class="card-body p-6">
                            <div class="d-flex flex-column align-items-center">
                                <img class="rounded-circle w-30 bg-white" src="{{ asset('images/placeholder_circle.svg') }}" alt="circle-image">
                                <h4 class="h4 font-weight-bold text-center mt-4">
                                    Take part and publish a corpus within the Laudatio repository
                                </h4>
                                <p class="text-center mt-4 text-wine">
                                    Please contact: <a href="mailto:laudatio-support@hu-berlin.de">laudatio-support (at) hu-berlin.de</a>
                                </p>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
@stop