<nav class="navbar navbar-expand-lg navbar-light bg-white bsh-1 px-1 py-0">
    <div class="container">
        <a class="navbar-brand homenav" href="/">
            <img src="{{ asset('images/logo-laudatio.svg') }}" alt="logo laudatio">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#mainNavbar" aria-controls="mainNavbar"
                aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="mainNavbar">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item headerlink text-14 font-weight-bold">
                    <a class="nav-link headerlink published px-5 pt-4 pb-3 text-dark text-uppercase" href="{{ route('browse') }}">Published Corpora</a>
                </li>
                <li class="nav-item headerlink  text-14 font-weight-bold ">
                    <a class="nav-link headerlink  search  px-5 pt-4 pb-3 text-dark text-uppercase" href="{{ route('search') }}">Search</a>
                </li>
                <li class="nav-item headerlink  text-14 font-weight-bold ">
                    <a class="nav-link headerlink corpusprojects  px-5 pt-4 pb-3 text-dark text-uppercase" href="{{ route('corpusProject.index') }}">Publish</a>
                </li>
                <!--li class="nav-item headerlink help  text-14 font-weight-bold ">
                    <a class="nav-link headerlink  px-5 pt-4 pb-3 text-dark text-uppercase" href="#">Help</a>
                </li-->
            </ul>

            @if (Auth::guest())
            <div class="nav-item text-14 font-weight-bold ">
                <a class="nav-link px-5 pt-4 pb-3 text-dark text-uppercase" href="{{ route('authenticateuser') }}">Register</a>
            </div>
            <button type="button" data-toggle="modal" data-target="#signInModal" class="btn btn-outline-corpus-dark ml-1 font-weight-bold text-14 rounded text-dark text-uppercase">
                Sign In
            </button>
            @else
                    <ul class="navbar-nav ml-auto">
                        <li class="nav-item  text-14 font-weight-bold  dropdown">
                            <a class="nav-link px-5 pt-4 pb-3 text-dark text-uppercase dropdown-toggle" href="#" id="navlink-user"
                               role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                {{Auth::user()->name}}
                            </a>
                            <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <a class="dropdown-item text-14" href="{{ route('logout') }}"
                                   onclick="event.preventDefault();document.getElementById('logout-form').submit();">
                                    Logout
                                </a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    {{ csrf_field() }}
                                </form>
                            </div>
                        </li>
                    </ul>
            @endif

        </div>
    </div>
    @if (Auth::guest())
        <div class="modal fade" id="signInModal" tabindex="-1" role="dialog" aria-labelledby="signInModal" aria-hidden="true">
            <div class="modal-dialog modal-sm" role="document">
                <div class="modal-content border-0 rounded-lg bsh-1">
                    <div class="modal-body px-2">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i class="fa fa-close" aria-hidden="true"></i>
                        </button>
                        <nav class="navbar navbar-expand-sm navbar-light bg-transparent p-3 container" role="tablist">
                            <div class="navbar-nav nav row">

                                <div class="nav-item maintablink col-auto text-12 font-weight-bold active" id="hu-account-link">
                                    <a class="nav-link maintablink text-dark text-uppercase " data-toggle="tab" href="#hu-accounts" role="tab">
                                        <div class="labelBadge badge mx-1 py-1">
                                            <img src="{{ asset('images/husiegel_bw_klein.png') }}" width="25" height="25" alt="HU-Accounts Icon">
                                        </div>
                                        Hu-accounts
                                    </a>
                                </div>
                                <div class="nav-item maintablink col-auto text-12 font-weight-bold " id="external-account-link">
                                    <a class="nav-link maintablink text-dark text-uppercase " data-toggle="tab" href="#external-accounts" role="tab">External accounts
                                        <div class="labelBadge badge mx-1 py-1 " style="margin-top: 6px;height: 25px ">&nbsp;</div>
                                    </a>
                                </div>
                            </div>
                        </nav>
                        <div class="container-fluid tab-content content">
                            <div role="tabpanel"  class="tab-pane active" id="hu-accounts">
                                <form class="form-horizontal" id="signInForm" role="form" method="POST" action="{{ route('login') }}">
                                    {{ csrf_field() }}
                                    <div class="modal-body px-4">
                                        <div class="h5 modal-title mt-3">HU-account sign in</div>
                                        <div id="login-error-message" class="alert alert-danger" role="alert"></div>
                                        <div class="form-group mt-3">
                                            <label for="username" class="text-12 text-dark-trans mb-0 pl-3">
                                                <small>User name</small>
                                            </label>
                                            <input type="text" class="toBeValidated form-control" name="username" value="{{ old('username') }}" required autofocus>
                                        </div>

                                        <div class="form-group mt-2">
                                            <label class="text-12 text-dark-trans mb-0 pl-3" for="password">
                                                <small>Password</small>
                                            </label>
                                            <input id="password" type="password" class="toBeValidated form-control" name="password" required>
                                        </div>

                                        <div class="form-group">
                                            <div class="col-md-6 col-md-offset-4">
                                                <div class="checkbox">
                                                    <label class="text-12 text-dark-trans">
                                                        <input type="checkbox" name="remember" {{ old('remember') ? 'checked' : '' }}> Remember Me
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer px-4 rounded-lg-bt">
                                        <button type="submit" class="text-12 btn btn-primary rounded text-uppercase font-weight-bold w-30 float-right">
                                            <span class="text-12">Login</span>
                                        </button>
                                    </div>
                                </form>
                            </div>
                            <div role="tabpanel"  class="tab-pane fade in" id="external-accounts">
                                <form class="form-horizontal" id="externalSignInForm" role="form" method="POST" action="{{ route('externallogin') }}">
                                    {{ csrf_field() }}
                                    <div class="modal-body px-4">
                                        <div class="h5 modal-title mt-3">External user sign in</div>
                                        <div id="external-login-error-message" class="alert alert-danger" role="alert"></div>
                                        <div class="form-group mt-3">
                                            <label for="external_username" class="text-12 text-dark-trans mb-0 pl-3">
                                                <small>User name</small>
                                            </label>
                                            <input type="text" class="toBeValidated form-control" name="external_username" value="{{ old('external_username') }}" required autofocus>
                                        </div>

                                        <div class="form-group mt-2">
                                            <label class="text-12 text-dark-trans mb-0 pl-3" for="external_password">
                                                <small>Password</small>
                                            </label>
                                            <input id="external_password" type="password" class="toBeValidated form-control" name="external_password" required>
                                        </div>

                                        <div class="form-group">
                                            <div class="col-md-6 col-md-offset-4">
                                                <div class="checkbox">
                                                    <label class="text-12 text-dark-trans">
                                                        <input type="checkbox" name="remember" {{ old('remember') ? 'checked' : '' }}> Remember Me
                                                    </label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="modal-footer px-4 rounded-lg-bt">
                                        <button type="submit" class="text-12 btn btn-primary rounded text-uppercase font-weight-bold w-30 float-right">
                                            <span class="text-12">Login</span>
                                        </button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    @endif
</nav>