<!DOCTYPE html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'Laudatio') }}</title>
    <!-- Styles -->
    <link href="https://fonts.googleapis.com/css?family=Noto+Sans" rel="stylesheet">
    <link href="{{ asset('css/all.css') }}" rel="stylesheet">
    <link href="{{ asset('css/ux_style.min.css') }}" rel="stylesheet">
    <link href="{{ asset('css/unslider.css') }}" rel="stylesheet">
    <link href="{{ asset('css/laudatio.css') }}" rel="stylesheet">
</head>

<body>
<div id="rootContainer" class="container-fluid m-0 p-0">
    @include ('layouts.main_ux_nav')
    @if($isLoggedIn)
        @include ('layouts.admin_ux_breadcrumb')
    @else
        @include ('layouts.project_ux_breadcrumb')
    @endif
    @if($flash = session('message'))
        <div id="flash-message" class="alert alert-success">
            {{ $flash }}
        </div>
    @endif
    @yield('content')
    @include('layouts.main_ux_footer')
</div>
@if(isset($corpus_data))
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
            'directorypath' => $corpus_data['filepath'],
            'corpusid' => $corpus->id,
            'filedata' => []
        ]); ?>
    </script>
@endif
<script src="{{ asset('js/vendorscripts_old.js') }}"></script>
<script src="{{ asset('js/scripts.js') }}"></script>
<script src="{{ asset('js/typeahead.min.js') }}"></script>
<script src="{{ asset('js/jq.js') }}"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.2/moment.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-3-typeahead/4.0.1/bootstrap3-typeahead.min.js"></script>
<style>
    /*
    body:after{
        content: "test";
        position: fixed;
        width: 80px;
        height: 25px;
        background: #ff6200;
        top: 7px;
        left: -20px;
        text-align: center;
        font-size: 13px;
        font-family: sans-serif;
        text-transform: uppercase;
        font-weight: bold;
        color: #fff;
        line-height: 27px;
        -ms-transform:rotate(-45deg);
        -webkit-transform:rotate(-45deg);
        transform:rotate(-45deg);
    }
     */
</style>
</body>
</html>