<div class="container-fluid">
    <div class="container">
        <div class="row mt-5" id="externalcontainer"">
            <div class="col">
                <div class="d-flex justify-content-between  ">
                    <div class="h3 font-weight-normal">External corpus processing environments</div>
                </div>
                <br />
                <div class="collapse" id="addExternal" style="padding: 4px">
                    <div class="h5 font-weight-normal">Add an external corpus processing environment</div>
                    <p>Please add the name, link and a description of your external processing environment.</p>
                    <div class="card border-0 mt-7">
                        <div class="card-body bg-bluegrey-dark p-5 ">
                            <form id="addExternalLinkForm">

                                <div class="form-group mt-3">
                                    <label class="text-14 text-dark-trans mb-1 pl-3" for="external_environment_name">
                                        <small>Name of the External Environment <span style="color: red">*</span></small>
                                    </label>
                                    <input id="external_environment_name" type="text" class="form-control" name="external_environment_name">
                                </div>

                                <div class="form-group mt-3">
                                    <label class="text-14 text-dark-trans mb-1 pl-3" for="external_environment_uri">
                                        <small>URL of the External Environment <span style="color: red">*</span></small>
                                    </label>
                                    <input id="external_environment_uri" type="text" class="form-control" name="external_environment_uri">
                                </div>

                                <div class="form-group mt-3">
                                    <label class="text-14 text-dark-trans mb-1 pl-3" for="external_environment_description">
                                        <small>Description of the External Environment <span style="color: red">*</span></small>
                                    </label>
                                    <textarea id="external_environment_description" name="external_environment_description" class="form-control py-3" cols="30" rows="8" placeholder="Describe the External Environment"></textarea>
                                </div>
                                <div class="form-row mt-3">
                                    <div class="col offset-7">
                                        <a href="#" class="btn btn-outline-corpus-mid text-uppercase font-weight-bold rounded w-100">Cancel</a>
                                    </div>
                                    <div class="col">
                                        <button type="button" class="btn btn-primary rounded text-uppercase font-weight-bold w-100 save-external-environment" data-external_corpus_id="{{$corpus->id}}" data-external_user_id="{{$user->id}}">Save</button>
                                        <!--a href="#" class="btn btn-primary rounded text-uppercase font-weight-bold w-100">Initiate</a-->
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                    <br />
                    <br />
                </div>

                @if (count($corpus_data['externalenvironments']) > 0)
                    <table class="table table-bluegrey-dark  table-striped" id="pendinginvitetable">
                        <thead class="bg-bluegrey-mid">
                        <tr class="text-14 text-grey-light">
                            <th scope="col">Name</th>
                            <th scope="col">Description</th>
                            <th scope="col">Url</th>
                            <th scope="col" colspan="2">User</th>
                        </tr>
                        </thead>
                        <tbody id="externalenvironmentbody">
                        @if (Auth::user()->hasPermissionTo('Can edit corpus','web'))
                            @foreach($corpus_data['externalenvironments'] as $externalenvironment)
                                <tr id="externalDeleteItem-{{$externalenvironment->id}}">
                                    <td>
                                        <label class="custom-control-label font-weight-bold text-grey-light">
                                            {{$externalenvironment->external_environment_name}}
                                        </label>
                                    </td>
                                    <td>
                                        <span class="font-weight-bold text-grey-light">{{$externalenvironment->external_environment_description}}</span>
                                    </td>
                                    <td class="text-14 text-grey-light">{{$externalenvironment->external_environment_uri}}</td>
                                    <td class="text-14 text-grey-light">{{$externalenvironment->user_name}}</td>
                                    <td>
                                        <a href="javascript:" class="externalDeleteTrashcan" data-external_environment_id="{{$externalenvironment->id}}" data-external_corpus_id="{{$corpus->id}}">
                                            <i class="fa fa-trash-o fa-fw fa-lg text-dark"></i>
                                        </a>
                                    </td>
                                </tr>
                            @endforeach
                        @endif
                        </tbody>
                        <tfoot class="bg-bluegrey-mid">
                            <tr>
                                <td colspan="5">&nbsp;
                                    <a style="text-decoration: none; color: transparent" data-toggle="collapse" href="#addExternal" role="button" aria-expanded="false" aria-controls="addExternal">
                                        <span class="fa-stack fa pull-right">
                                            <i class="fas fa-external-link-alt fa-stack-1x" style="color: #333; opacity: 0.6;filter: alpha(opacity=60);"></i>
                                            <i class="fas fa-plus fa-stack-1x" style="color:#ff4a00; padding-left: 8px; padding-top: 5px"></i>
                                        </span>
                                    </a>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                @else
                    <div class="noexternalhit">
                        <p class="h5 font-weight-normal">There are no corpus processing environments registered for this corpus</p>
                        <a data-toggle="collapse" href="#addExternal" role="button" aria-expanded="false" aria-controls="addExternal">
                            Add an external processing environment
                        </a>
                    </div>
               @endif
            </div>
        </div>
    </div>
</div>