@extends('layouts.project_ux', ['isLoggedIn' => $isLoggedIn])
@section('content')

    <div class="container-fluid">
        <div class="container">
            <div class="alert alert-dismissible fade show" role="alert" id="alert-laudatio">
                <span class="alert-laudatio-message"></span>
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="row mt-5">
                <div class="col-3 mt-2">
                    <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">
                        <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('corpusProject.index') }}">Corpus projects</a>
                    </nav>
                </div>

                <div class="col">
                    <div class="d-flex justify-content-between  ">
                        <h3 class="h3 font-weight-normal">Manage Collaborators for  {{$corpusproject->name}}</h3>
                    </div>

                    <div class="d-flex justify-content-between mt-7 mb-3">
                        <h3 class="h3 font-weight-normal">Project Collaborators</h3>
                        @if (Auth::user()->hasPermissionTo('Can assign users to corpus','web'))
                            <button id="inviteUsersButton" class=" btn btn-primary font-weight-bold text-uppercase rounded" data-toggle="modal"
                                    data-target="#searchInviteProjectUsersModal">
                                Invite Collaborator
                            </button>

                        @endif
                    </div>

                    <table class="collaborator-table table table-bluegrey-dark  table-striped" id="collaboratortable">
                        <thead class="bg-bluegrey-mid">
                        <tr class="text-14 text-grey-light">
                            <th scope="col">Collaborator</th>
                            <th scope="col">Role</th>
                            <th scope="col">Affilation</th>

                                <th scope="col">Delete</th>

                        </tr>
                        </thead>
                        <tbody>
                        @foreach($corpusproject_data['user_roles'] as $user_id => $role_datas)
                            @foreach($role_datas as $role_data)
                                <tr>
                                    <td>
                                        @if ($corpusproject_data['authuser_role_mappings']['corpus_project_roles'][$corpusproject->id] == 3 || $corpusproject_data['authuser_role_mappings']['corpus_project_roles'][$corpusproject->id] == 2)
                                            @if($role_data['role_id'] > 2 && $user_id != $user->id)
                                                <div class="custom-control custom-checkbox">
                                                    <input type="checkbox" class="custom-control-input" id="projectCollaboratorEditItem|{{$user_id}}|{{$role_data['role_id']}}|{{$role_data['user_name']}}">

                                                    <label class="custom-control-label font-weight-bold" for="projectCollaboratorEditItem|{{$user_id}}|{{$role_data['role_id']}}|{{$role_data['user_name']}}">
                                                        <i class="fa fa-user fa-fw"></i>
                                                        {{$role_data['user_name']}}
                                                    </label>
                                                </div>
                                            @else
                                                <label class="custom-control-label font-weight-bold">
                                                    <i class="fa fa-user fa-fw"></i>
                                                    {{$role_data['user_name']}}
                                                </label>
                                            @endif
                                        @else
                                            <label class="custom-control-label font-weight-bold">
                                                <i class="fa fa-user fa-fw"></i>
                                                {{$role_data['user_name']}}
                                            </label>
                                        @endif
                                    </td>

                                    @if ($corpusproject_data['authuser_role_mappings']['corpus_project_roles'][$corpusproject->id] == 3 || $corpusproject_data['authuser_role_mappings']['corpus_project_roles'][$corpusproject->id] == 2)
                                        <td>
                                            @if($role_data['role_id'] > 2 && $user_id != $user->id)
                                                {{ Form::select('role', $corpusproject_data['roles'], $role_data['role_id'],['class' => 'custom-select custom-select-sm font-weight-bold text-uppercase collaboratorselect','data-user-id' => $user_id]) }}
                                            @else
                                                <span class="font-weight-bold text-uppercase">{{$corpusproject_data['roles'][$role_data['role_id']]}}</span>
                                            @endif
                                        </td>
                                    @else
                                        <td>
                                            <span class="font-weight-bold text-uppercase">{{$corpusproject_data['roles'][$role_data['role_id']]}}</span>
                                        </td>
                                    @endif
                                    <td class="text-14 text-grey-light">{{$role_data['user_affiliation']}}</td>
                                    @if ($corpusproject_data['authuser_role_mappings']['corpus_project_roles'][$corpusproject->id] == 3 || $corpusproject_data['authuser_role_mappings']['corpus_project_roles'][$corpusproject->id] == 2)
                                        <td>
                                            @if($role_data['role_id'] > 2 && $user_id != $user->id)
                                                <a href="javascript:" id="projectCollaboratorDeleteItem-{{$user_id}}-{{$role_data['role_id']}}-{{$role_data['user_name']}}">
                                                    <i class="fa fa-trash-o fa-fw fa-lg text-dark collaboratorDeleteTrashcan" data-projectid="{{$corpusproject->id}}"></i>
                                                </a>
                                            @else
                                                <a href="#"></a>
                                            @endif
                                        </td>
                                    @else
                                        <td>
                                            <a href="#"></a>
                                        </td>
                                    @endif
                                </tr>
                            @endforeach
                        @endforeach
                        </tbody>
                        <tfoot class="bg-bluegrey-mid">
                        <tr>
                            <td colspan="2">
                                @if (Auth::user()->hasPermissionTo('Can assign users to project','web'))
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" id="selectAll_projectCollaboratorEdit">
                                        <label class="custom-control-label text-14" for="selectAll_projectCollaboratorEdit">
                                            Select all
                                        </label>
                                    </div>
                                @else
                                    <div class="custom-control custom-checkbox">&nbsp;</div>
                                @endif
                            </td>
                            <td colspan="2">
                                @if (Auth::user()->hasPermissionTo('Can assign users to project','web'))
                                    <button class="float-right disabled btn btn-outline-corpus-dark font-weight-bold text-uppercase btn-sm" data-projectid="{{$corpusproject->id}}" id="deleteSelectedCollaboratorsButton">
                                        Delete Selected Collaborators
                                    </button>
                                @else
                                    &nbsp;
                                @endif
                            </td>
                        </tr>
                        </tfoot>
                    </table>

                    <div id="invitedProjectCollaboratorContainer">
                        @if(count($invitedusers) > 0)
                            <div class="row">
                                <div class="col">
                                    <div class="d-flex justify-content-between mt-7 mb-3">
                                        <h3 class="h3 font-weight-normal">Pending Project Collaborator invites</h3>
                                    </div>
                                    <table class="pendinginvites-table table table-bluegrey-dark  table-striped" id="pendinginvitetable">
                                        <thead class="bg-bluegrey-mid">
                                        <tr class="text-14 text-grey-light">
                                            <th scope="col">Collaborator</th>
                                            <th scope="col">Role</th>
                                            <th scope="col">Institute</th>
                                            <th scope="col">Delete</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @foreach($invitedusers as $inviteduser)
                                            <tr id="projectInviteDeleteItem-{{$inviteduser['user_id']}}-{{$inviteduser['user_role_id']}}">
                                                <td>
                                                    <div class="custom-control custom-checkbox">
                                                        <input type="checkbox" class="custom-control-input" id="projectInviteDeleteItem-{{$inviteduser['user_id']}}-{{$inviteduser['user_role_id']}}-{{$inviteduser['user_name']}}">
                                                        <label class="custom-control-label font-weight-bold text-grey-light" for="projectInviteDeleteItem-{{$inviteduser['user_id']}}-{{$inviteduser['user_role_id']}}-{{$inviteduser['user_name']}}">
                                                            <i class="fa fa-user fa-fw"></i>
                                                            {{$inviteduser['user_name']}}
                                                        </label>
                                                    </div>


                                                </td>
                                                <td>
                                                    <span class="font-weight-bold text-grey-light">{{$inviteduser['user_role_name']}}</span>
                                                </td>
                                                <td class="text-14 text-grey-light">{{$inviteduser['user_affiliation']}}</td>
                                                <td>
                                                    <a href="javascript:" data-invite="projectInviteDeleteItem-{{$inviteduser['user_id']}}-{{$inviteduser['user_role_id']}}-{{$inviteduser['user_name']}}">
                                                        <i class="fa fa-trash-o fa-fw fa-lg text-dark projectInviteDeleteTrashcan"></i>
                                                    </a>
                                                </td>
                                            </tr>
                                        @endforeach
                                        </tbody>
                                        <tfoot class="bg-bluegrey-mid">
                                        <tr>
                                            <td colspan="2">
                                                @if (Auth::user()->hasPermissionTo('Can assign users to project','web'))
                                                    <div class="custom-control custom-checkbox">
                                                        <input type="checkbox" class="custom-control-input" id="selectAll_projectInviteDelete">
                                                        <label class="custom-control-label text-14" for="selectAll_projectInviteDelete">
                                                            Select all
                                                        </label>
                                                    </div>
                                                @else
                                                    <div class="custom-control custom-checkbox">&nbsp;</div>
                                                @endif
                                            </td>
                                            <td colspan="2">
                                                @if (Auth::user()->hasPermissionTo('Can assign users to project','web'))
                                                    <button class="float-right disabled btn btn-outline-corpus-dark font-weight-bold text-uppercase btn-sm" id="deleteSelectedInvitesButton" data-projectid="{{trim($corpusproject->id)}}">
                                                        Delete Selected Invites
                                                    </button>
                                                @else
                                                    &nbsp;
                                                @endif
                                            </td>
                                        </tr>
                                        </tfoot>
                                    </table>
                                </div>
                            </div>
                        @endif
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="searchInviteProjectUsersModal" tabindex="-1" role="dialog" aria-labelledby="searchInviteProjectUsersModalTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="h3 modal-title mt-3 w-75" id="searchInviteProjectUsersModalTitle">Search users you want to invite by name</div>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body" id="searchbar">
                        <div class="form-group">
                            <label class="text-14 text-dark-trans mb-1 pl-3" for="collaborator_user_name">
                                <i class="fa fa-user fa-fw"></i> User name:
                            </label>
                            <input type="text" class="usertypeahead typeahead form-control" id="collaborator_user_name" name="collaborator_user_name" required placeholder="What's the name of the user?" autocomplete="off">
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                                aria-label="Close">
                            Cancel
                        </button>
                        <button type="button" class="btn btn-primary font-weight-bold text-uppercase rounded px-5"  id="doInviteProjectCollaborator" data-projectid={{$corpusproject->id}}">Invite</button>
                    </div>
                </div>
            </div>
        </div>
        <div class="modal fade" id="confirmDelete" tabindex="-1" role="dialog" aria-labelledby="confirmDeleteTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <div class="h3 modal-title mt-3 w-75" id="confirmDeleteTitle"></div>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body"></div>
                    <div class="modal-footer">
                        <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded px-5" data-dismiss="modal"
                                aria-label="Close">
                            Cancel
                        </button>
                        <button type="button" class="btn btn-primary" data-dismiss="modal" data-toggle="modal" id="doDelete" data-idkey="" data-callback="">Delete</button>
                        <input type="hidden" data- id="postDeleteData" value="" />
                    </div>
                </div>
            </div>
        </div>

@endsection