@extends('layouts.project_ux', ['isLoggedIn' => $isLoggedIn])
@section('content')

        <div class="container-fluid">
            <div class="container">
                <div class="row mt-5">
                    <div class="col-3 mt-2">
                        <nav class="sidebar text-14 nav flex-column border-top border-light mt-7" role="navigation">
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('corpusProject.index') }}">Corpus projects</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link active" href="{{ route('corpusProject.invitations') }}">Invitations @if(count(($corpusinvitations + $projectinvitations)) > 0)<span class="badge badge-pill badge-light pull-right invitationsidecount">{{count(($corpusinvitations + $projectinvitations))}}</span>@endif </a>
                            @if (Auth::user()->hasPermissionTo('Can create corpus project','web'))
                                <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light nav-link" href="{{ route('corpusProject.create') }}">Initiate Project</a>
                            @endif
                        </nav>
                    </div>

                    <div class="col">
                        <div class="alert alert-dismissible fade show" role="alert" id="alert-laudatio">
                            <span class="alert-laudatio-message"></span>
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="d-flex justify-content-between  ">
                            <div class="h3 font-weight-normal">Project Collaboration Invites <span class="projectheaderinvitationcountparentheses">(<span class="projectheaderinvitationcount">{{count($projectinvitations)}}</span>)</span></div>
                        </div>

                        <div class="mt-4">
                            @foreach($projectinvitations as $projectId => $projectinvite)
                            <div class="container bg-bluegrey-middark mt-1 mb-1 p-5">
                                <div class="row">
                                    <div class="col-9">
                                        <small class="text-14 text-grey">
                                            Corpus Project
                                        </small>
                                        <h4 class="h4 font-weight-bold">
                                            {{$projectinvite['corpus_project_title']}}
                                        </h4>
                                        <div class="mt-2">
                                            <div class="corpusProp text-14 d-flex align-items-center align-self-start pr-1 my-1 flex-nowrap">
                                                <i class="fa fa-user fa-lg mr-2"></i>
                                                <span>{{$projectinvite['corpus_project_admin_name']}} ({{$projectinvite['corpus_project_admin_role_name']}})</span>
                                            </div>
                                        </div>
                                        <p class="mt-3 text-14 mb-0">{{$projectinvite['corpus_project_description']}}</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col corpusProp text-14 d-flex align-items-center align-self-start pr-1 my-1 flex-nowrap"><small class="text-14 text-grey">You are invited to collaborate with the role of <strong>{{$projectinvite['invite_role_name']}}</strong></small></div>
                                    <div class="col-2 mr-4">
                                        <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded mb-4 w-110 collaboratorinvitebutton" data-invite="{{$projectinvite['invite_id']}}" data-project="{{$projectId}}" data-user="{{$loggedInUser->id}}" data-role="{{$projectinvite['invite_role_id']}}">
                                            Accept Invite
                                        </button>
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                        <div class="row">&nbsp;</div>
                        <div class="row">&nbsp;</div>
                        <div class="d-flex justify-content-between  ">
                            <h3 class="h3 font-weight-normal">Corpus Collaboration Invites <span class="corpusheaderinvitationcountparentheses">(<span class="corpusheaderinvitationcount">{{count($corpusinvitations)}}</span>)</span></h3>
                        </div>
                        @foreach($corpusinvitations as $corpusinvite)
                            <div class="mt-4">
                                <div class="container bg-bluegrey-middark mt-1 mb-1 p-5">
                                    <div class="row">
                                        <div class="col-9">
                                            <small class="text-14 text-grey">
                                                Corpus Project
                                            </small>
                                            <h4 class="h4 font-weight-bold">
                                                {{$corpusinvite['corpus_project_title']}}
                                            </h4>
                                            <div class="mt-2">
                                                <div class="corpusProp text-14 d-flex align-items-center align-self-start pr-1 my-1 flex-nowrap">
                                                    <i class="fa fa-user fa-lg mr-2"></i>
                                                    <span>{{$corpusinvite['corpus_project_admin_name']}} ({{$corpusinvite['corpus_project_admin_role_name']}})</span>
                                                </div>
                                            </div>
                                            <p class="mt-3 text-14 mb-0">{{$corpusinvite['corpus_project_description']}}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="container bg-bluegrey-midlight mt-1 mb-1 p-5">
                                    <div class="row">
                                        <div class="col-2 pl-4">
                                            @if (isset($corpusinvite['corpus_logo']) && null != $corpusinvite['corpus_directorypath'])
                                                <img class="rounded-circle bg-white w-100"  src="/images/corpuslogos/{{$invite['corpus_project_directorypath']}}_{{$corpusinvite['corpus_directorypath']}}_{{$corpusinvite['corpus_logo']}}" alt="corpus-logo">
                                            @else
                                                <img class="rounded-circle bg-white w-100"  src="/images/placeholder_circle.svg" alt="circle-image">
                                            @endif
                                        </div>
                                        <div class="col">
                                            <small class="text-14 text-grey">
                                                Corpus
                                            </small>
                                            <h4 class="h4 font-weight-bold">
                                                <a class="text-dark"  href="{{ route('browse.showHeaders.get', ['header' => 'corpus', 'id' => $corpusinvite['corpus_elasticsearch_id']]) }}">{{$corpusinvite['corpus_title']}}</a>
                                            </h4>
                                            <div class="corpusProp text-14 d-flex align-items-center align-self-start pr-1 my-1 flex-nowrap">
                                                <i class="fa fa-user fa-lg mr-2"></i>
                                                <span>{{$corpusinvite['corpus_admin_name']}} ({{$corpusinvite['corpus_admin_role_name']}})</span>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col corpusProp text-14 d-flex align-items-center align-self-start pr-1 my-1 flex-nowrap"><small class="text-14 text-grey">You are invited to collaborate with the role of <strong>{{$corpusinvite['invite_role_name']}}</strong></small></div>
                                        <div class="col-2 mr-4">
                                            <button class="btn btn-outline-corpus-dark font-weight-bold text-uppercase rounded mb-4 w-110 collaboratorinvitebutton" data-invite="{{$corpusinvite['invite_id']}}" data-corpus="{{$corpusinvite['corpus_id']}}" data-user="{{$loggedInUser->id}}" data-role="{{$corpusinvite['invite_role_id']}}">
                                                Accept Invite
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach

                     </div>
                    </div>
                </div>
            </div>
@endsection