@extends('layouts.main_ux')

@section('content')
    <div class="container-fluid">
        <div class="container">
            <div class="row">
                <div class="col-7 offset-2">

                    <nav role="navigation" class="navbar navbar-expand-lg navbar-light text-13 nav flex-column border-top border-light mt-7">
                        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projecthome">Project Home</a>
                            <a class="font-weight-normal  text-dark text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link active" href="# ">Project goals</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectcollaborators">Project collaborators</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectpublications">Project publications</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectcontent">Project content</a>
                        </div>
                    </nav>

                    <div class="d-flex justify-content-between mt-7 mb-3">
                        <div class="h3 font-weight-normal">What is the aim of the LAUDATIO project</div>
                    </div>
                    <div class="mt-4">
                            <p>The management and archiving of digital research data is an overlapping field for linguistics, library and information science (LIS) and computer science. These disciplines are cooperating in the LAUDATIO project. The name LAUDATIO is an abbreviation for <strong>L</strong>ong-term <strong>A</strong>ccess and <strong>U</strong>sage of Deeply Annotated Informa<strong>tio</strong>n.</p>
                            <p>The project is funded by the German Research Foundation from 2011-2014 and 2015-2018. The departments of Corpus Linguistics, and the Computer and Media Service (CMS) at Humboldt-Universität zu Berlin and The National Institute for Research in Computer Science and Control (INRIA France) are project partners cooperating with the Berlin School of Library and Information Science (BSLIS).</p>
                            <p>LAUDATIO aims to build an open access research data repository for historical linguistic data with respect to the above mentioned requirements of historical corpus linguistics. For the access and (re-)use of historical linguistic data the LAUDATIO repository uses a flexible and appropriate documentation schema with a subset of TEI customized by TEI ODD. The extensive metadata schema contains information about the preparation and checking methods applied to the data, tools, formats and annotation guidelines used in the project, as well as bibliographic metadata, and information on the research context (e.g. the research project). To provide complex and comprehensive search in the linguistic annotation<br>
                                data, the linguistic search and visualization tool ANNIS will be integrated in the LAUDATIO repository infrastructure.</p>
                            <p>All corpora are available with open access in LAUDATIO. All researchers from the various academic&nbsp;disciplines such as Linguistics, Historical Linguistics or Literary Studies can use and re-use the corpora e.g.:</p>
                            <ul>
                                <li>display corpora,</li>
                                <li>search corpora,</li>
                                <li>download corpora,</li>
                                <li>upload new annotations to an existing corpus</li>
                                <li>and upload new corpora.</li>
                            </ul>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection