@extends('layouts.main_ux')

@section('content')
    <div class="container-fluid">
        <div class="container">
            <div class="row">
                <div class="col-7 offset-2">

                    <nav role="navigation" class="navbar navbar-expand-lg navbar-light text-13 nav flex-column border-top border-light mt-7">
                        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                            <a class="font-weight-normal text-dark text-uppercase py-3 px-0 border-bottom border-light nav-link stacktablink active" href="#">Project Home</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 nav-link" href="/projectgoals">Project goals</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectcollaborators">Project collaborators</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectpublications">Project publications</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectcontent">Project content</a>
                        </div>
                    </nav>

                    <div class="d-flex justify-content-between mt-7 mb-3">
                        <div class="h3 font-weight-normal">LAUDATIO</div>
                    </div>
                    <div class="mt-4">

                            <p>LAUDATIO – <strong>L</strong>ong-term <strong>A</strong>ccess and <strong>U</strong>sage of <strong>D</strong>eeply <strong>A</strong>nnotated Informa<strong>tio</strong>n</p>
                            <h4>LAUDATIO-Repository: <a href="http://www.laudatio-repository.org">http://www.laudatio-repository.org</a></h4>
                            <p>The management and archiving of digital research data is an overlapping field for linguistics, library and information science (LIS) and computer science: The departments of Corpus Linguistics and the Computer and Media Service (CMS) at Humboldt-Universität zu Berlin and The National Institute for Research in Computer Science and Control (INRIA France) are project partners cooperating with the Berlin School of Library and Information Science (BSLIS).</p>
                            <p>LAUDATIO has developed an open access<strong><a href="http://www.laudatio-repository.org"> research data repository for historical corpora</a></strong>. For the access and (re-)use of historical corpora, the LAUDATIO repository uses a flexible and appropriate documentation schema with a subset of TEI customized by TEI ODD. The extensive <strong><a href="https://github.com/korpling/LAUDATIO-Metadata">metadata schema</a></strong> contains information about the preparation and checking methods applied to the data, tools, formats and annotation guidelines used in the project, as well as bibliographic metadata, and information on the research context (e.g. the research project). To provide complex and comprehensive search in the annotation data, the search and visualization tool <strong><a href="http://corpus-tools.org/annis/">ANNIS </a></strong>is integrated in the LAUDATIO-Repository.</p>
                            <h2>Cooperation</h2>
                            <table class="noborder">
                                <tbody>
                                <tr>
                                    <td>
                                        <h3>Prof. Dr. Anke Lüdeling</h3>
                                        <p><a href="http://www.linguistik.hu-berlin.de/institut/professuren/korpuslinguistik">Korpuslinguistik und Morphologie</a>, Institut für deutsche Sprache und Linguistik<br>
                                            Humboldt-Universität zu Berlin</p></td>
                                    <td>
                                        <h3>Malte Dreyer</h3>
                                        <p><a href="http://www.cms.hu-berlin.de/">Computer- und Medienservice</a>, Humboldt-Universität zu Berlin</p></td>
                                </tr>
                                <tr>
                                    <td>
                                        <h3>Laurent Romary, PhD Habil.</h3>
                                        <p>Directeur de Recherche<br>
                                            Institut für deutsche Sprache und Linguistik, Humboldt-Universität zu Berlin und INRIA, France</p></td>
                                </tr>
                                </tbody>
                            </table>
                            <h2>Gefördert durch</h2>
			    <p><a href="http://www.dfg.de/"><img class="alignnone size-full" title="dfg_logo" src="https://www.laudatio-repository.org/images/logo_dfg.jpg" alt="DFG Logo"></a></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
