@extends('layouts.main_ux')

@section('content')
    <div class="container-fluid">
        <div class="container">
            <div class="row">
                <div class="col-7 offset-2">

                    <nav role="navigation" class="navbar navbar-expand-lg navbar-light text-13 nav flex-column border-top border-light mt-7">
                        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projecthome">Project Home</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectgoals">Project goals</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectcollaborators">Project collaborators</a>
                            <a class="font-weight-normal text-dark text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link active" href="#">Project publications</a>
                            <a class="font-weight-normal text-uppercase py-3 px-0 border-bottom border-light  nav-item nav-link" href="/projectcontent">Project content</a>
                        </div>
                    </nav>

                    <div class="d-flex justify-content-between mt-7 mb-3">
                        <div class="h3 font-weight-normal">LAUDATIO</div>
                    </div>
                    <div class="mt-4">
                        <p><strong>2019</strong></p>
                        <p>Krause, T. (2019): ANNIS: A graph-based query system for deeply annotated text corpora. Dissertation an der Humboldt-Universität zu Berlin, Mathematisch-Naturwissenschaftliche Fakultät. doi: 10.18452/19659. Betreuung durch Ulf Leser, Anke Lüdeling und Stefan Evert.</p>
                        <p><strong>2018</strong></p>
                        <p>Springmann, U.; Lüdeling, A.; Odebrecht, C.; Krause, T. (2018): Das RIDGES-Korpus. In: Michael Prinz und Jürgen Schiewe (Hg.): Vernakuläre Wissenschaftskommunikation. Berlin, Boston: De Gruyter, S. 473–478.</p>
                        <p>Odebrecht, C. (2018): MKM – ein Metamodell für Korpusmetadaten. Dokumentation und Wiederverwendung historischer Korpora. Dissertation an der Humboldt-Universität zu Berlin, Sprach- und literaturwissenschaftliche Fakultät. Betreuung durch Anke Lüdeling und Laurent Romary. doi: 10.18452/19407.</p>
                        <p>Kühnlenz, F. (2018): Domänenspezifische vs. General-Purpose-Repositorien für Forschungsdaten, AMH – Herbsttagung 2018, Karlsruhe. Vortrag.</p>
                        <p>Odebrecht, C. (2018): Eigene Forschungsdaten managen. Grundlegendes zur Erstellung, Dokumentation und Publikation von historischen Korpora. Eingeladener Vortrag. <span class="ff3">Doktorandenforum der Tagung der GGSG 2018 “Historische </span>Korpuslinguistik”<span class="ff1"> 19.09.2018. Bamberg.</span></p>
                        <p>Odebrecht, C. (2018): Systematische Suche nach linguistischen Mustern mit Hilfe von Mehrebenenannotationen in ANNIS. Eingeladener Vortrag. Graduiertenkolleg 1808 Universität Stuttgart. Graduiertentag 25.2.2018, Kloster Kirchberg.</p>
                        <p><strong>2017</strong></p>
                        <p>Lüdeling, A., Odebrecht, C., Perlitz, L., Schnelle, G., Weiß, Z. (2017): A Digital Infrastructure to Support the Study of Historical German. The RIDGES Herbology Corpus. Global Philology Workshop Week Leipzig: Linguistic Annotation and Philology, 7.7.2017, Leipzig.</p>
                        <p>Odebrecht, C. (2017): Corpus metadata for the reusability of historical corpora. <em>Global Philology Workshop</em>. Universität Göttingen, 10.05.2017, Göttingen.</p>
                        <p>Odebrecht, C., Belz, M., Zeldes, A., Lüdeling, A.; Krause, T. (2017): RIDGES Herbology – Designing a Diachronic Multi-Layer Corpus. <em>Language Resources and Evaluation</em> (<span class="ArticleCitation_Volume">51:3), </span><span class="ArticleCitation_Pages">695–725. DOI:&nbsp;<span id="doi-url" class="bibliographic-information__value u-overflow-wrap">10.1007/s10579-016-9374-3</span>.</span></p>
                        <p><strong>2017</strong></p>
                        <p>Lüdeling, A., Odebrecht, C., Perlitz, L., Schnelle, G., Weiß, Z. (2017): A Digital Infrastructure to Support the Study of Historical German. The RIDGES Herbology Corpus. Global Philology Workshop Week Leipzig: Linguistic Annotation and Philology, 7.7.2017, Leipzig.</p>
                        <p>Odebrecht, C. (2017): Corpus metadata for the reusability of historical corpora. <em>Global Philology Workshop</em>. Universität Göttingen, 10.05.2017, Göttingen.</p>
                        <p>Odebrecht, C., Belz, M., Zeldes, A., Lüdeling, A.; Krause, T. (2017): RIDGES Herbology – Designing a Diachronic Multi-Layer Corpus. <em>Language Resources and Evaluation</em> (<span class="ArticleCitation_Volume">51:3), </span><span class="ArticleCitation_Pages">695–725. DOI:&nbsp;<span id="doi-url" class="bibliographic-information__value u-overflow-wrap">10.1007/s10579-016-9374-3</span>.</span></p>
                        <p><strong>2016</strong></p>
                        <p>Odebrecht, C.; Lüdeling, A.; Dreyer, M.; Zielke, D. (2016) <a href="http://dhd2016.de/boa.pdf">Entwicklung und Nutzung interdisziplinärer Repositorien für historische textbasierte Korpora. Workshop.</a> <em>Modellierung – Vernetzung – Visualisierung: Die Digital Humanities als fächerübergreifendes Forschungsparadigma. 3. Tagung Digital Humanities im deutschsprachigen Raum (DHd). Universität Leipzig</em>, 7.3.2016, Leipzig. (<a href="http://www.laudatio-repository.org/laudatio/workshop-dhd2016/">Workshop Homepage</a>)</p>
                        <p><strong>2015</strong></p>
                        <p>Krause, T., Lüdeling, A., Odebrecht, C., Zielke, D. (2015) LAUDATIO. Ein flexibles Repositorium für historische Textdaten. Forschungsdaten in den Geisteswissenschaften (FORGE 2015). Poster Session. 15. – 18.09.2015, Hamburg.</p>
                        <p>Zielke, D., Odebrecht, C., Krause, T., Lüdeling, A., Dreyer, M. (2015)<a href="https://www.linguistik.hu-berlin.de/de/institut/professuren/korpuslinguistik/events/dh-tag/poster/laudatio">LAUDATIO – ein flexible Repositorium für historische Texte.</a> <em>Digital Humanities Tag an der Philosophischen Fakultät II Humboldt-Universität zu Berlin. Poster Session. 21.05.2015 Berlin.</em></p>
                        <p>Odebrecht, C., Krause, T., Lüdeling, A. (2015) Austausch von historischen Texten verschiedener Sprachen über das LAUDATIO-Repository. <em>DGfS-CL Poster Session. 37. Jahrestagung der Deutschen Gesellschaft für Sprachwissenschaft (DGfS). 5.3.2015, Leipzig.</em></p>
                        <p>Odebrecht, C. (2015) Interdisziplinäre Nutzung von Forschungsdaten mithilfe einer technisch-abstrakten Modellierung. <em>Vortrag. Von Daten zu Erkenntnissen. 2. Jahrestagung des Verbandes der Digital Humanities im deutschsprachigen Raum. 25.02.-27.02.2015, Graz.<br>
                            </em></p>
                        <p><strong>2014</strong></p>
                        <p>Zielke, D. Entwicklung eines nutzerorientierten Forschungsdatenrepositoriums basierend auf Open-Source Technologien, <em>34. IT-Fachseminar 2014, Fachseminar für technische Angestellte wissenschaftlicher Rechenzentren in Deutschland, Nov. 6. Berlin, Germany.</em></p>
                        <p>Odebrecht, C. (2014) <a href="http://www.laudatio-repository.org/laudatio/wp-admin/tmp/2014/10/LAUDATIO_Anwender_Odebrecht2014.pdf">LAUDATIO-Repository für Anwender. </a> LAUDATIO Workshop. Humboldt-Universität zu Berlin. 07.10.2014. Berlin.</p>
                        <p>LAUDATIO-Workshop (2014) <a href="http://www.laudatio-repository.org/laudatio/workshop-2014/">Homepage</a> Humboldt-Universität zu Berlin. 07.-08.10.2014.</p>
                        <p>Zielke, D. LAUDATIO-Repository.org – A Modular Approach of an Open Access Research Repository for a discipline.<em><br>
                                Beyond Data: Mastering Management of Complex Research Data and Processing Environments, Informatiktage 2014 Sept 25. Stuttgart, Germany.</em></p>
                        <p>Odebrecht, C. (2014) <a href="http://dharchive.org/paper/DH2014/Paper-737.xml">Modeling Linguistic Research Data for a Repository for Historical Corpora.</a> <em>Digital Humanities 2014 Conference. 8.7.-12.7.2014, Lausanne.</em></p>
                        <p>Krause, T., Lüdeling, A., Odebrecht, C., Romary, L., Schirmbacher, P., Zielke, D. (2014) <a href="http://dharchive.org/paper/DH2014/Poster-34.xml">LAUDATIO-Repository: Accessing a heterogeneous field of linguistic corpora with the help of an open access repository.</a><em> Digital Humanities 2014 Conference. Poster Session. 8.7.-12.7.2014, Lausanne.</em></p>
                        <p>Kindling, M. (2014) <a href="http://de.slideshare.net/MaxiKindling/laudatio-bibliothekartag">LAUDATIO – Open Access Forschungsdatenrepository für historische Linguistik. </a> <em>103. Deutscher Bibliothekartag in Bremen am 4.6.2014.</em></p>
                        <p>Odebrecht, C. (2014) <a href="http://www.sfb833.uni-tuebingen.de/ev/doko/sommerschule.html">Forschungsdatum Korpus.</a> Eingeladener Vortrag. <em> Sommerschule der Doktoranden des SFB 833, 26.06.2014, Tübingen.</em></p>
                        <p>Zielke, D., Kindling, M. (2014) <a href="http://www.doria.fi/handle/10024/97605">Open Access Research Data Repository for Corpus Linguistic Data – A Modular Approach. </a><em>Open Repositories 2014 Conference. June 9.-13. Helsinki, Finland.</em></p>
                        <p>Odebrecht, C., Zielke, D., Krause, T., Weißenfels, B., Belz, M., Schernikau, T., Voigt, V. (2014) <a href="https://www.linguistik.hu-berlin.de/institut/professuren/korpuslinguistik/mitarbeiter-innen/carolin/dgfs_odebrechtetal2014/at_download/file">Wissenschaftliche Nutzung der korpuslinguistischen Infrastruktur LAUDATIO.</a><em>DGfS-CL Poster Session 2014. 36. Jahrestagung der Deutschen Gesellschaft für Sprachwissenschaft (DGfS). 6.3.2014, Marburg.</em></p>
                        <p>Krause, T., Lüdeling, A., Odebrecht, C., Romary, L., Schirmbacher, P., Zielke, D. (2014) <a href="https://www.linguistik.hu-berlin.de/institut/professuren/korpuslinguistik/mitarbeiter-innen/carolin/dhb_krauseetal2014/at_download/file">LAUDATIO.</a> <em>Workshop “Grenzen überschreiten – Digitale Geisteswissenschaft heute und morgen”. Poster Session. 28.02.2014, Berlin.</em></p>
                        <p><strong>2013</strong></p>
                        <p>Kindling, M., Krause, T., Odebrecht, C., Zielke, D. (2013) Wie kann der Zugriff, die Wiederverwendung und langfristige Speicherung von linguistischen Korpora realisiert werden?<em> Workshop „Vernetzung – Austausch – Nachnutzung“ von Projekten aus dem Förderbereich Informationsmanagement, 16.-17.12.2013, Bonn.</em></p>
                        <p>Odebrecht, C. (2013) <a href="https://www.linguistik.hu-berlin.de/institut/professuren/korpuslinguistik/mitarbeiter-innen-en/carolin/modellierung-von-linguistischen-forschungsdaten/view">Modellierung von linguistischen Forschungsdaten.</a> <em>Korpuslinguisitk Kolloquium 13.11.2013</em>, Berlin.</p>
                        <p>Krause, T., Odebrecht, C., Zeldes, A., Zipser, F. (2013) <a href="http://sourceforge.net/projects/lingsig/files/Documents/queryTEI-2013/Krause_etal_2013-UnaryTEIElements.pdf/download">Unary TEI Elements and the Token Based Corpus.</a> <em>The Linked TEI: Text Encoding in the Web. Workshop on Perspectives on querying TEI-annotated data. Rom. 1 Oktober 2013.</em></p>
                        <p>Odebrecht, C., Krause, T. (2013) <a class="external-link" href="http://www.uni-stuttgart.de/linguistik/sfb732/files/abstract_odebrechtkrause.pdf">Metadata in an Infrastructure for Historical Corpora.</a> <em>SFB 732 Incremental Specification in Context. Kolloquium.Stuttgart 20.06.2013.</em></p>
                        <p>Schroeder , C. T. (University of the Pacific) “Monks and their Children: Family and Childhood in Early Christian Monasteries” &amp; Birnbaum D. J. (University of Pittsburg) “Automating the identification of meter and rhyme in Russian verse”. LAUDATIO-Mini-Workshop. Humboldt-Universität zu Berlin 07.05.2013.</p>
                        <p>LAUDATIO-Mini Workshop (2013) <a href="http://www.linguistik.hu-berlin.de/de/institut/professuren/korpuslinguistik/events/programm-laudatio-workshop">Programm</a> Humboldt-Universität zu Berlin 07.05.2013.</p>
                        <p>Krause, T., Odebrecht, C., Zielke, D. (2013) <a href="http://www.linguistik.hu-berlin.de/institut/professuren/korpuslinguistik/mitarbeiter-innen/carolin/dgfs2013-krause-odebrecht-zielke">Wie kann der Zugriff, die Wiederverwendung und langfristige Speicherung von linguistischen Korpora realisiert werden?.</a> <em> 35. Jahrestagung der Deutschen Gesellschaft für Sprachwissenschaft (DGfS). 12. März – 15. März 2013. Universität Potsdam.</em></p>
                        <p>Odebrecht, C., Zipser, F.(2013) <a class="external-link" href="http://kaskade.dwds.de/dtaq/files/OdebrechtZipser_Laudatio.pdf"> LAUDATIO – Eine Infrastruktur zur linguistischen Analyse historischer Korpora.</a> <em> DTA-/CLARIN-D Konferenz und -Workshops: Historische Textkorpora für die Geistes- und Sozialwissenschaften. Fragestellungen und Nutzungsperspektiven, Berlin 2013.</em></p>
                        <p><strong>2012</strong></p>
                        <p>Krause, T., Lüdeling, A., Odebrecht, C., Zeldes, A. (2012) Multiple Tokenization in a Diachronic Corpus. <em>Exploring Ancient Languages through Corpora Conference (EALC), 14.-16.Juni 2012.</em></p>
                        <p>Kindling, M. (2012) <a href="http://edoc.hu-berlin.de/docviews/abstract.php?lang=ger&amp;id=39268">Virtuelle Forschungsumgebungen zur wissenschaftlichen Zusammenarbeit</a>.<em> cms-journal(35):7-10.</em></p>
                        <p><strong>Related Work</strong></p>
                        <p>Kindling, M. (2011) Herausforderung Open Access im DFG-Projekt „Entwicklung einer nachhaltigen und nutzerorientierten Speicherung und Bereitstellung von Forschungsdaten für die historische Linguistik. <em>Open Access Tage 2011.</em></p>
                        <p>Krause T., Ritz J., Zeldes A. &amp; Zipser F. (2011) Topological Fields, Constituents and Coreference: A New Multi-layer Architecture for TüBa-D/Z. <em>Jahrestagung der Gesellschaft für Sprachtechnologie und Computerlinguistik (GSCL), 2011.</em></p>
                        <p>Zipser F., Zeldes A., Ritz J., Romary L. &amp; Leser U. (2011) Pepper: Handling a multiverse of formats. <em>33. Jahrestagung der Deutschen Gesellschaft für Sprachwissenschaft. Göttingen, 23.- 25. Februar 2011. </em></p>
                        <p>Chiarcos C., Krause T., Lüdeling A., Ritz J., Rosenfeld V., Stede M., Zeldes A. &amp; Zipser F. (2009) Search and Visualization of Richly Annotated Corpora with ANNIS2.<em> 31. Jahrestagung der Deutschen Gesellschaft für Sprachwissenschaft. Osnabrück, 4.-6. März 2009.</em></p>

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection