---
title: Laudatio repository API Reference

language_tabs:
- bash
- javascript

includes:

search: true

toc_footers:
- <a href='http://github.com/mpociot/documentarian'>Documentation Powered by Documentarian</a>
---
<!-- START_INFO -->
# Info

Welcome to the generated API reference.

<!-- END_INFO -->

#Corpus data Endpoints

APIs for Corpus data

Class ApiController
<!-- START_1d98cb05f486adf0fe2dd7780416a6b8 -->
## /api/elasticapi/v1/corpora

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/corpora" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/corpora");

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
            "_type": "doc",
            "_id": "dGhNsGoB6bp_h9Nar9dI",
            "_score": 1,
            "_source": {
                "elasticsearch_index": [
                    "corpus_marchenkorpus-version-1-0_1-0_1557736034"
                ],
                "corpus_languages_iso_identifier": [
                    "de",
                    "de",
                    "de"
                ],
                "corpus_annotator_affiliation_institution": [],
                "annotation_encoding_version": [
                    "1.0",
                    "3.2",
                    "3.0"
                ],
                "corpus_editor_affiliation_department": [
                    "Institut für deutsche Sprache und Linguistik"
                ],
                "annotation_type": [
                    "Transcription",
                    "Transcription",
                    "Lexical",
                    "Lexical",
                    "Transcription",
                    "Lexical",
                    "Lexical",
                    "Meta",
                    "Meta",
                    "Meta",
                    "Meta",
                    "Meta"
                ],
                "corpus_documents": [
                    "grimm_allerleirauh_353-359",
                    "grimm_der_fuchs_und_die_gaense_431",
                    "grimm_der_alte_grossvater_und_der_enkel_398",
                    "grimm_der_fuchs_und_die_katze_388",
                    "grimm_die_wassernixe_399",
                    "grimm_frau_trude_218",
                    "grimm_der_wolf_und_die_frau_gevatterin_386-387",
                    "grimm_herr_korbes_214-215",
                    "grimm_der_wolf_und_der_mensch_381-382",
                    "grimm_haesichenbraut_360-361",
                    "grimm_hans_heiratet_423-424",
                    "grimm_laeuschen_und_floehchen_160-161",
                    "grimm_strohhalm_kohle_und_bohne_098-099",
                    "grimm_der_herr_gevatter_216-217",
                    "grimm_von_dem_maeuschen_voegelchen_und_der_bratwurst_131-132",
                    "grimm_von_dem_tode_des_huehnchens_400-401",
                    "grimm_der_wolf_und_der_fuchs_383-385",
                    "grimm_de_gaudeif_un_sien_meester_366-368",
                    "grimm_der_singende_knochen_149-151",
                    "grimm_das_lumpengesindel_054-056",
                    "grimm_der_schneider_im_himmel_179-181",
                    "grimm_die_bienenkoenigin_341-343",
                    "grimm_die_hochzeit_der_frau_fuechsin_201-204",
                    "grimm_der_alte_sultan_242-244",
                    "grimm_die_drei_spinnerinnen_075-078",
                    "grimm_die_sieben_raben_137-139",
                    "grimm_Das_kluge_Grethel_395-397",
                    "grimm_jorinde_und_joringel_369-371",
                    "grimm_die_drei_sprachen_172-174",
                    "grimm_fundevogel_225-257",
                    "grimm_die_drei_glueckskinder_372-374",
                    "grimm_katze_und_maus_in_gesellschaft_006-008",
                    "grimm_der_gescheidte_hans_169-171",
                    "grimm_die_drei_federn_344-347",
                    "grimm_de_spielhansl_414-416",
                    "grimm_der_wolf_und_die_sieben_jungen_geislein_026-029",
                    "grimm_der_wunderliche_spielmann_044-047",
                    "grimm_rumpelstilzchen_281-284",
                    "grimm_die_zwoelf_jaeger_362-365",
                    "grimm_frau_holle_133-136",
                    "grimm_das_raethsel_127-130",
                    "grimm_die_wichtelmaenner_205-208",
                    "grimm_der_gevatter_tod_219-222",
                    "grimm_der_hund_und_der_sperling_299-302",
                    "grimm_die_bremer_stadtmusikanten_145-148",
                    "grimm_fitchers_vogel_228-231",
                    "grimm_die_kluge_else_175-178",
                    "grimm_dornroeschen_251-254",
                    "grimm_der_raeuberbraeutigam_209-213",
                    "grimm_rothkaeppchen_140-144",
                    "grimm_froschkoenig_001-005",
                    "grimm_rapunzel_065-069",
                    "grimm_die_drei_schlangenblaetter_088-092",
                    "grimm_der_liebste_roland_285-289",
                    "grimm_die_goldene_gans_348-352",
                    "grimm_daumerlings_wanderschaft_223-227",
                    "grimm_die_weisse_schlange_093-097",
                    "grimm_der_gute_handel_039-043",
                    "grimm_koenig_drosselbart_258-263",
                    "grimm_die_nelke_389-394",
                    "grimm_allerleirauh_353-359",
                    "grimm_aschenputtel_119-123",
                    "grimm_bruder_lustig_402-413",
                    "grimm_bruederchen_und_schwesterchen_057-064",
                    "grimm_das_buerle_335-340",
                    "grimm_das_maedchen_ohne_haende_162-168",
                    "grimm_das_tapfere_schneiderlein_109-118",
                    "grimm_daumesdick_194-200",
                    "grimm_der_frieder_und_das_catherlieschen_303-310",
                    "grimm_der_teufel_mit_den_drei_goldenen_haaren_152-159",
                    "grimm_der_treue_johannes_030-038",
                    "grimm_die_drei_maennlein_im_walde_070-075",
                    "grimm_die_goldkinder_425-430",
                    "grimm_die_sechs_schwaene_245-250",
                    "grimm_die_zwei_brueder_311-334",
                    "grimm_die_zwoelf_brueder_048-053",
                    "grimm_haensel_und_grethel_079-087",
                    "grimm_hans_im_glueck_417-422",
                    "grimm_maehrchen_von_einem_der_auszog_das_fuerchten_zu_lernen_015-025",
                    "grimm_marienkind_009-014",
                    "grimm_sechse_kommen_durch_die_ganze_welt_375-380",
                    "grimm_sneewitchen_264-273",
                    "grimm_tischchen_deck_dich_goldesel_und_knueppel_aus_dem_sack_182-193",
                    "grimm_von_dem_fischer_un_syner_fru_100-108",
                    "grimm_von_dem_machandelboom_232-241",
                    "grimm_der_goldene_vogel_290-298",
                    "grimm_der_ranzen_das_huetlein_und_das_hoernlein_274-280",
                    "grimm_das_junggegluethe_maennlein_273-274",
                    "grimm_das_blaue_licht_150-154",
                    "grimm_das_buerle_im_himmel_331-331",
                    "grimm_das_dietmarsische_luegenmaerchen_294-294",
                    "grimm_das_eigensinnige_kind_155-155",
                    "grimm_das_eselein_264-267",
                    "grimm_das_hausgesinde_255-255",
                    "grimm_das_hirtenbuebelein_283-284",
                    "grimm_das_laemmchen_und_das_fischchen_256-258",
                    "grimm_das_maerchen_vom_schlauraffenland_292-293",
                    "grimm_das_meerhaeschen_414-417",
                    "grimm_das_singende_springende_loeweneckerchen_006-012",
                    "grimm_das_todtenhemdchen_120-120",
                    "grimm_das_waldhaus_334-339",
                    "grimm_das_wasser_des_lebens_062-068",
                    "grimm_dat_erdmaenneken_029-024",
                    "grimm_dat_maeken_von_brakel_254-254",
                    "grimm_de_beiden_keunigeskinner_135-143",
                    "grimm_de_drei_schwatten_princessinnen_251_252",
                    "grimm_de_drei_vuegelkens_057-061",
                    "grimm_der_alter_hildebrand_053-056",
                    "grimm_der_arme_junge_im_grab_391-394",
                    "grimm_der_arme_muellerbursch_und_das_kaetzchen_098-101",
                    "grimm_der_arme_und_der_reiche_001-005",
                    "grimm_der_baerenhaeuter_081-086",
                    "grimm_der_bauer_und_der_teufel_411-412",
                    "grimm_der_dreschflegel_vom_himmel_133-134",
                    "grimm_der_eisenhans_242-250",
                    "grimm_der_eisenofen_196-202",
                    "grimm_der_faule_heinz_313-315",
                    "grimm_der_fuchs_und_das_pferd_222-223",
                    "grimm_der_geist_im_glas_072-076",
                    "grimm_der_gelernte_jaeger_126-132",
                    "grimm_der_gestohlene_heller_286-286",
                    "grimm_der_glaeserne_sarg_305-312",
                    "grimm_der_goldene_schluessel_462-462",
                    "grimm_der_grabhuegel_439-443",
                    "grimm_der_hahnenbalken_277-277",
                    "grimm_der_hase_und_der_igel_403-406",
                    "grimm_der_jude_im_dorn_121-125",
                    "grimm_der_junge_riese_020-028",
                    "grimm_der_kluge_knecht_304-304",
                    "grimm_der_koenig_vom_berg_035-041",
                    "grimm_der_koenigssohn_der_sich_vor_nichts_fuerchtet_167-172",
                    "grimm_der_krautesel_173-180",
                    "grimm_der_meisterdieb_418-426",
                    "grimm_der_mond_351-353",
                    "grimm_der_nagel_390-390",
                    "grimm_der_riese_und_der_schneider_387-389",
                    "grimm_der_sperling_und_seine_vier_kinder_289-291",
                    "grimm_der_starke_hans_323-330",
                    "grimm_der_stiefel_von_bueffelleder_457-461",
                    "grimm_der_suesse_brei_090-090",
                    "grimm_der_teufel_und_seine_grossmutter_186-189",
                    "grimm_der_trommler_427-437",
                    "grimm_der_undankbare_sohn_268-268",
                    "grimm_der_vogel_greif_316-322",
                    "grimm_der_zaunkoenig_342-345",
                    "grimm_der_zaunkoenig_und_der_baer_087-089",
                    "grimm_des_herrn_und_des_teufels_gethier_275-276",
                    "grimm_des_teufels_russiger_bruder_077-080",
                    "grimm_die_alte_bettelfrau_278-278",
                    "grimm_die_alte_im_wald_181-183",
                    "grimm_die_beiden_wanderer_102-113",
                    "grimm_die_boten_des_todes_356-357",
                    "grimm_die_brautschau_287-287",
                    "grimm_die_brosamen_auf_dem_tisch_413-413",
                    "grimm_die_dre_brueder_184-185",
                    "grimm_die_drei_faulen_279-279",
                    "grimm_die_drei_feldscherer_156-158",
                    "grimm_die_drei_handwerksburschen_163-166",
                    "grimm_die_eule_348-350",
                    "grimm_die_faule_spinnerin_203-205",
                    "grimm_die_gaensehirtin_am_brunnen_362-373",
                    "grimm_die_gaensemagd_013-019",
                    "grimm_die_geschenke_des_kleinen_volkes_384-386",
                    "grimm_die_hagere_liese_332-333",
                    "grimm_die_klare_sonne_bringts_an_den_tag_148-149",
                    "grimm_die_kluge_bauerntochter_049-052",
                    "grimm_die_klugen_leute_091-095",
                    "grimm_die_kornaehre_438-438",
                    "grimm_die_krystallkugel_447-449",
                    "grimm_die_lebenszeit_354-355",
                    "grimm_die_nixe_im_teich_377-383",
                    "grimm_die_rabe_042-048",
                    "grimm_die_ruebe_269-272",
                    "grimm_die_schlickerlinge_288-288",
                    "grimm_die_schoene_katrinelje_und_pif_paf_poltire_220-221",
                    "grimm_die_scholle_346-346",
                    "grimm_die_sechs_diener_229-236",
                    "grimm_die_sieben_schwaben_159-162",
                    "grimm_die_sternthaler_285-285",
                    "grimm_die_ungleichen_kinder_374-376",
                    "grimm_die_vier_kunstreichen_brueder_206-210",
                    "grimm_die_wahre_braut_395-402",
                    "grimm_die_weisse_und_die_schwarze_braut_237-241",
                    "grimm_die_zertanzten_schuhe_224-228",
                    "grimm_die_zwoelf_faulen_knechte_280-282",
                    "grimm_doctor_allwissend_068-071",
                    "grimm_einaeuglein_zweiaeuglein_und_dreiaeuglein_221-219",
                    "grimm_ferenand_getrue_und_ferenand_ungetrue_190-195",
                    "grimm_hans_mein_igel_114-119",
                    "grimm_jungfrau_maleen_450-456",
                    "grimm_kinderlegenden_armuth_und_demuth_fuehren_zum_himmel_472-473",
                    "grimm_kinderlegenden_das_alte_muetterchen_479-480",
                    "grimm_kinderlegenden_der_heilige_joseph_im_walde_465-468",
                    "grimm_kinderlegenden_die_drei_gruenen_zweige_475-477",
                    "grimm_kinderlegenden_die_haselruthe_483-483",
                    "grimm_kinderlegenden_die_himmlische_hochzeit_481-482",
                    "grimm_kinderlegenden_die_rose_471-471",
                    "grimm_kinderlegenden_die_zwoelf_apostel_469-470",
                    "grimm_kinderlegenden_gottes_speise_474-474",
                    "grimm_kinderlegenden_muttergottesglaeschen_478-478",
                    "grimm_knoist_un_sine_dre_suehne_253-253",
                    "grimm_lieb_und_leid_theilen_340-341",
                    "grimm_maerchen_von_der_unke_096-097",
                    "grimm_meister_pfriem_358-361",
                    "grimm_oll_rinkrank_444-446",
                    "grimm_raetselmaerchen_295-295",
                    "grimm_rohrdommel_wiedehopf_347-347",
                    "grimm_schneeweisschen_und_rosenroth_296-303",
                    "grimm_simeliberg_259-261",
                    "grimm_spindel_weberschiffchen_und_nadel_407-410",
                    "grimm_up_reisen_gohn_262-263",
                    "grimm_vom_klugen_schneiderlein_144-147"
                ],
                "corpus_encoding_project_description": [
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). "
                ],
                "elasticsearch_documentid": [
                    "dGhNsGoB6bp_h9Nar9dI"
                ],
                "corpus_authorrolle": [
                    "Infrastructure"
                ],
                "corpus_author_infrastructure_forename": [
                    "Carolin"
                ],
                "port": 53124,
                "corpus_publication_publisher": [
                    "Humboldt-Universität zu Berlin"
                ],
                "corpus_version_publishing_date": [
                    "2013"
                ],
                "corpus_merged_editors": "Maik Walter",
                "annotation_encoding_normalization": [
                    "Keine Normalisierung.",
                    "Keine Normalisierung.",
                    "Keine Normalisierung."
                ],
                "corpus_document_genre": [
                    "Märchen"
                ],
                "corpus_author_transcription_surname": [],
                "annotation_name": [
                    "text",
                    "tok",
                    "pos",
                    "lemma",
                    "tok",
                    "pos",
                    "lemma",
                    "meta::Band",
                    "meta::KHM",
                    "meta::Titel",
                    "meta::Standard",
                    "meta::Seitenstart"
                ],
                "corpus_publication_project_id": [
                    "Textbewegung: Theater und Sprache"
                ],
                "corpus_editor_affiliation_institution": [
                    "Humboldt-Universität zu Berlin"
                ],
                "corpus_generated_id": "aad3df7d-9f3d-4b5e-93d7-2e3b078a4c6f",
                "annotation_encoding_format": [
                    "txt",
                    "treetaggeroutput",
                    "relANNIS"
                ],
                "annotation_id": [
                    "text",
                    "tok",
                    "pos",
                    "lemma",
                    "meta_Band",
                    "meta_KHM",
                    "meta_Titel",
                    "meta_Standard",
                    "meta_Seitenstart"
                ],
                "corpus_title": [
                    "Märchenkorpus Version 1.0"
                ],
                "@timestamp": "2019-05-13T09:59:37.491Z",
                "corpus_publication_publication_description": [
                    "Erste Veröffentlichung des Korpus."
                ],
                "corpus_size_type": [
                    "Tokens"
                ],
                "@version": "1",
                "corpus_annotator_surname": [],
                "corpus_author_transcription_affilitation_institution": [],
                "corpus_annotator_affiliation_department": [],
                "annotation_encoding_segmentation": [
                    "Keine spezifische Segmentation.",
                    "Segmentation auf der Basis von 'tok'.",
                    "Segmentation auf der Basis von 'tok'."
                ],
                "corpus_publication_publication_date": [
                    "2013"
                ],
                "publication_version": [
                    "1.0"
                ],
                "corpus_id": [
                    "corpus_marchenkorpus-version-1-0_1-0_1557736034"
                ],
                "corpus_languages_style": [
                    "Language",
                    "LanguageType",
                    "LanguageArea"
                ],
                "host": "127.0.0.1",
                "corpus_author_infrastructure_surname": [
                    "Odebrecht"
                ],
                "corpus_author_transcription_forename": [],
                "corpus_annotator_forename": [],
                "corpus_version": [
                    "1.0"
                ],
                "elasticsearch_index_action": [
                    "update"
                ],
                "corpus_encoding_project_homepage": [
                    "http:\/\/www.textbewegung.de\/",
                    "http:\/\/www.textbewegung.de\/",
                    "http:\/\/www.textbewegung.de\/"
                ],
                "annotation_tag_description": [
                    "Wikisource Editionsrichtlinien zur Aufbereitung der Texte. U.a. wird das überschriebene „e“ über den Vokalen „a“, „o“ und „u“ als moderner Umlaut, Anführungszeichen ’‘ als „“ und gesperrter Text wird kursiv transkribiert. Der Seitenwechsel erfolgt bei Worttrennung nach dem gesamten Wort. Einzüge werden nicht übernommen. Geviertstriche (—) wurden durch Halbgeviertstriche ersetzt (–). Fußnoten der Vorlage sind fortlaufend nummeriert und folgen jeweils am Schluß des Textes. (http:\/\/de.wikisource.org\/wiki\/Kinder-_und_Haus-Märchen_Band_1_(1857)).",
                    "Wikisource Editionsrichtlinien zur Aufbereitung der Texte. U.a. wird das überschriebene „e“ über den Vokalen „a“, „o“ und „u“ als moderner Umlaut, Anführungszeichen ’‘ als „“ und gesperrter Text wird kursiv transkribiert. Der Seitenwechsel erfolgt bei Worttrennung nach dem gesamten Wort. Einzüge werden nicht übernommen. Geviertstriche (—) wurden durch Halbgeviertstriche ersetzt (–). Fußnoten der Vorlage sind fortlaufend nummeriert und folgen jeweils am Schluß des Textes. (http:\/\/de.wikisource.org\/wiki\/Kinder-_und_Haus-Märchen_Band_1_(1857)).",
                    "Attributives Adjektiv.",
                    "Adverbiales oder prädikatives Adjektiv.",
                    "Adverb.",
                    "Präpoistion; Zirkumposition links.",
                    "Präposition mit Artikel.",
                    "Postposition.",
                    "Zirkumposition rechts.",
                    "Bestimmter oder unbestimmter Artikel.",
                    "Kardinalzahl.",
                    "Fremdsprachliches Material.",
                    "Interjektion.",
                    "unterordnende Konjunktion mit \"zu\" und Infinitiv.",
                    "unterordnende Konjunktion mit Satz.",
                    "nebenordnende Konjunktion.",
                    "Vergleichskonjunktion.",
                    "Normales Nomen.",
                    "Eigenname.",
                    "Substituierendes Demonstrativpronomen.",
                    "Attribuierendes Demonstrativpronomen.",
                    "Substituierendes Indefinitpronomen.",
                    "Attribuierendes Indefinitpronomen ohne Determiner.",
                    "Attribuierendes Indefinitpronomen mit Determiner.",
                    "Irreflexives Personalpronomen.",
                    "Substituierendes Possessivpronomen.",
                    "Attribuierendes Possessivpronomen.",
                    "Substituierendes Relativpronomen.",
                    "Attribuierendes Relativpronomen.",
                    "Reflexives Personalpronomen.",
                    "Substituierendes Interrogativpronomen.",
                    "Attribuierendes Interrogativpronomen.",
                    "Adverbiales Interrogativ- oder Relativpronomen.",
                    "Pronominaladverb.",
                    "\"zu\" vor Infinitiv.",
                    "Negationspartikel.",
                    "Abgetrennter Verbzusatz.",
                    "Antwortpartikel.",
                    "Partikel bei Adjektiv oder Adverb.",
                    "Kompositions-Erstglied.",
                    "Finites Verb, voll.",
                    "Imperativ, voll.",
                    "Infinitiv, voll.",
                    "Infinitiv mit \"zu\", voll.",
                    "Partizip Perfekt, voll.",
                    "Finites Verb, aux.",
                    "Imperativ, aux.",
                    "Infinitiv, aux.",
                    "Partizip Perfekt, aux.",
                    "Finites Verb, modal.",
                    "Infinitiv, modal.",
                    "Partizip Perfekt, modal.",
                    "Nichtwort, Sonderzeichen enthaltend.",
                    "Komma.",
                    "Satzbeendende Interpunktion.",
                    "Sonstige Satzzeichen; satzintern.",
                    "Lemmatisierung.",
                    "Wikisource Editionsrichtlinien zur Aufbereitung der Texte. U.a. wird das überschriebene „e“ über den Vokalen „a“, „o“ und „u“ als moderner Umlaut, Anführungszeichen ’‘ als „“ und gesperrter Text wird kursiv transkribiert. Der Seitenwechsel erfolgt bei Worttrennung nach dem gesamten Wort. Einzüge werden nicht übernommen. Geviertstriche (—) wurden durch Halbgeviertstriche ersetzt (–). Fußnoten der Vorlage sind fortlaufend nummeriert und folgen jeweils am Schluß des Textes. (http:\/\/de.wikisource.org\/wiki\/Kinder-_und_Haus-Märchen_Band_1_(1857)).",
                    "Attributives Adjektiv.",
                    "Adverbiales oder prädikatives Adjektiv.",
                    "Adverb.",
                    "Präpoistion; Zirkumposition links.",
                    "Präposition mit Artikel.",
                    "Postposition.",
                    "Zirkumposition rechts.",
                    "Bestimmter oder unbestimmter Artikel.",
                    "Kardinalzahl.",
                    "Fremdsprachliches Material.",
                    "Interjektion.",
                    "unterordnende Konjunktion mit \"zu\" und Infinitiv.",
                    "unterordnende Konjunktion mit Satz.",
                    "nebenordnende Konjunktion.",
                    "Vergleichskonjunktion.",
                    "Normales Nomen.",
                    "Eigenname.",
                    "Substituierendes Demonstrativpronomen.",
                    "Attribuierendes Demonstrativpronomen.",
                    "Substituierendes Indefinitpronomen.",
                    "Attribuierendes Indefinitpronomen ohne Determiner.",
                    "Attribuierendes Indefinitpronomen mit Determiner.",
                    "Irreflexives Personalpronomen.",
                    "Substituierendes Possessivpronomen.",
                    "Attribuierendes Possessivpronomen.",
                    "Substituierendes Relativpronomen.",
                    "Attribuierendes Relativpronomen.",
                    "Reflexives Personalpronomen.",
                    "Substituierendes Interrogativpronomen.",
                    "Attribuierendes Interrogativpronomen.",
                    "Adverbiales Interrogativ- oder Relativpronomen.",
                    "Pronominaladverb.",
                    "\"zu\" vor Infinitiv.",
                    "Negationspartikel.",
                    "Abgetrennter Verbzusatz.",
                    "Antwortpartikel.",
                    "Partikel bei Adjektiv oder Adverb.",
                    "Kompositions-Erstglied.",
                    "Finites Verb, voll.",
                    "Imperativ, voll.",
                    "Infinitiv, voll.",
                    "Infinitiv mit \"zu\", voll.",
                    "Partizip Perfekt, voll.",
                    "Finites Verb, aux.",
                    "Imperativ, aux.",
                    "Infinitiv, aux.",
                    "Partizip Perfekt, aux.",
                    "Finites Verb, modal.",
                    "Infinitiv, modal.",
                    "Partizip Perfekt, modal.",
                    "Nichtwort, Sonderzeichen enthaltend.",
                    "Komma.",
                    "Satzbeendende Interpunktion.",
                    "Sonstige Satzzeichen; satzintern.",
                    "Lemmatisierung.",
                    "Band der Ausgabe.",
                    "Die Zahl gibt die durch die Grimms vergebene Nummerierung der Märchen (1-200), bzw. Legenden (1-10) wieder.",
                    "Titel des Dokumentes.",
                    "Ist er im Standarddeutschen verfasst, wurde das Merkmal Standard vergeben, entsprechend das Merkmal Niederdeutsch für die überwiegend niederdeutsch verfassten Texte (zumeist im Plattdeutsch), bzw. Oberdeutsch für einen überwiegend oberdeutsch verfassten Texte.",
                    "Ist er im Standarddeutschen verfasst, wurde das Merkmal Standard vergeben, entsprechend das Merkmal Niederdeutsch für die überwiegend niederdeutsch verfassten Texte (zumeist im Plattdeutsch), bzw. Oberdeutsch für einen überwiegend oberdeutsch verfassten Texte.",
                    "Ist er im Standarddeutschen verfasst, wurde das Merkmal Standard vergeben, entsprechend das Merkmal Niederdeutsch für die überwiegend niederdeutsch verfassten Texte (zumeist im Plattdeutsch), bzw. Oberdeutsch für einen überwiegend oberdeutsch verfassten Texte.",
                    "Seitenstart."
                ],
                "corpus_author_transcription_affiliation_department": [],
                "corpus_infrastructure_affiliation_institution": [
                    "Humboldt-Universität zu Berlin"
                ],
                "corpus_size_value": [
                    "295880"
                ],
                "annotation_tag": [
                    "NA",
                    "NA",
                    "ADJA",
                    "ADJD",
                    "ADV",
                    "APPR",
                    "APPRART",
                    "APPO",
                    "APZR",
                    "ART",
                    "CARD",
                    "FM",
                    "ITJ",
                    "KOUI",
                    "KOUS",
                    "KON",
                    "KOKOM",
                    "NN",
                    "NE",
                    "PDS",
                    "PDAT",
                    "PIS",
                    "PIAT",
                    "PIDAT",
                    "PPER",
                    "PPOSS",
                    "PPOSAT",
                    "PRELS",
                    "PRELAT",
                    "PRF",
                    "PWS",
                    "PWAT",
                    "PWAV",
                    "PAV",
                    "PTKZU",
                    "PTKNEG",
                    "PTKVZ",
                    "PTKANT",
                    "PTKA",
                    "TRUNC",
                    "VVFIN",
                    "VVIMP",
                    "VVINF",
                    "VVIZU",
                    "VVPP",
                    "VAFIN",
                    "VAIMP",
                    "VAINF",
                    "VAPP",
                    "VMFIN",
                    "VMINF",
                    "VMPP",
                    "XY",
                    "$,",
                    "$.",
                    "$(",
                    "NA",
                    "NA",
                    "ADJA",
                    "ADJD",
                    "ADV",
                    "APPR",
                    "APPRART",
                    "APPO",
                    "APZR",
                    "ART",
                    "CARD",
                    "FM",
                    "ITJ",
                    "KOUI",
                    "KOUS",
                    "KON",
                    "KOKOM",
                    "NN",
                    "NE",
                    "PDS",
                    "PDAT",
                    "PIS",
                    "PIAT",
                    "PIDAT",
                    "PPER",
                    "PPOSS",
                    "PPOSAT",
                    "PRELS",
                    "PRELAT",
                    "PRF",
                    "PWS",
                    "PWAT",
                    "PWAV",
                    "PAV",
                    "PTKZU",
                    "PTKNEG",
                    "PTKVZ",
                    "PTKANT",
                    "PTKA",
                    "TRUNC",
                    "VVFIN",
                    "VVIMP",
                    "VVINF",
                    "VVIZU",
                    "VVPP",
                    "VAFIN",
                    "VAIMP",
                    "VAINF",
                    "VAPP",
                    "VMFIN",
                    "VMINF",
                    "VMPP",
                    "XY",
                    "$,",
                    "$.",
                    "$(",
                    "NA",
                    "Int",
                    "Int",
                    "NA",
                    "Standard",
                    "Niederdeutsch",
                    "Oberdeutsch",
                    "Int"
                ],
                "corpus_merged_formats": "txt,treetaggeroutput,relANNIS Frei Text,Treetagger,Search and Visualization in Multilevel Linguistic Corpora ANNIS.",
                "corpus_merged_languages": "de,de,de Frühneuhochdeutsch,Standard, Niederdeutsch, Oberdeutsch,NA",
                "annotation_reference_id": [
                    "text",
                    "tok",
                    "pos",
                    "lemma"
                ],
                "corpus_editor_surname": [
                    "Walter"
                ],
                "annotation_encoding_tool": [
                    "Frei Text",
                    "Treetagger",
                    "Search and Visualization in Multilevel Linguistic Corpora ANNIS."
                ],
                "corpus_editor_forename": [
                    "Maik"
                ],
                "type": "doc",
                "corpus_publication_license_description": [
                    "Open Source Projekt, Creative Commons Attribution 3.0 Unported License."
                ],
                "corpus_publication_license": [
                    "http:\/\/creativecommons.org\/licenses\/by\/3.0\/"
                ],
                "corpus_version_description": [
                    "NA"
                ],
                "corpus_languages_language": [
                    "Frühneuhochdeutsch",
                    "Standard, Niederdeutsch, Oberdeutsch",
                    "NA"
                ],
                "corpus_infrastructure_affiliation_department": [
                    "Institut für deutsche Sprache und Linguistik"
                ],
                "publication_status": "1",
                "doi": "doi:10.5072\/laudatio-dev-5cd947460f4dd"
            }
        }
    ],
    "message": "1 Corpora retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/corpora`


<!-- END_1d98cb05f486adf0fe2dd7780416a6b8 -->

<!-- START_4af00e425cadda2a9ed9d435d81f27da -->
## /api/elasticapi/v1/corpora/latest/count

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/corpora/latest/count" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/corpora/latest/count");

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "count": 21,
        "_shards": {
            "total": 21,
            "successful": 21,
            "skipped": 0,
            "failed": 0
        }
    },
    "message": " Latest corpora count retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/corpora/latest/count`


<!-- END_4af00e425cadda2a9ed9d435d81f27da -->

<!-- START_6969afa1e9b3c6ec909a5dbd2e8098f4 -->
## /api/elasticapi/v1/corpora/latest/{from}/{size}

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/corpora/latest/0/100?from=quidem&size=placeat" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/corpora/latest/0/100");

    let params = {
            "from": "quidem",
            "size": "placeat",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "corpus_anselm-_1-0_1556788249",
            "_type": "doc",
            "_id": "lGjPd2oB6bp_h9NanoT7",
            "_score": 1,
            "_source": {
                "corpus_document_genre": [
                    "Vers"
                ],
                "corpus_publication_publisher": [
                    "Ruhr-Universität Bochum"
                ],
                "corpus_merged_languages": "de,NA fnhd., ndd., nl.,md., mrk., nndd., nobd., obd., ofäl., omd., oobd., wmd., wobd.,alem., bair., elbofäl., hchalem., mbair., nbair., ndalem., obs., ofrk., oschwäb., östl. nndd., rhfrk., rhfrk.-hess., rip., schwäb., smrk., südl. ofäl., thür.",
                "corpus_title": [
                    "Anselm Corpus"
                ],
                "corpus_documents": [
                    "B1523",
                    "b_fragment",
                    "b2_fragment",
                    "B",
                    "B2",
                    "B3",
                    "Ba",
                    "Ba2",
                    "Be",
                    "D",
                    "D2",
                    "D3",
                    "D4",
                    "f_fragment",
                    "H",
                    "hb_fragment",
                    "Hk",
                    "Ka",
                    "Kh",
                    "Le",
                    "M",
                    "M2",
                    "M3",
                    "M4",
                    "M5",
                    "M6",
                    "M7",
                    "M8",
                    "M9",
                    "M10",
                    "Me",
                    "n_fragment",
                    "N",
                    "N2",
                    "N3",
                    "N4",
                    "O",
                    "s1_fragment",
                    "Sa",
                    "Sa2",
                    "Sb",
                    "SG",
                    "sl_fragment",
                    "SP",
                    "St",
                    "St2",
                    "Stu",
                    "T",
                    "W",
                    "We",
                    "Wo",
                    "HA1521",
                    "KÄ1492",
                    "KJ1499",
                    "N1500",
                    "N1509",
                    "N1514",
                    "s1495_T1_fragment",
                    "s1495_T2_fragment",
                    "s1496.97_fragment",
                    "StA1495"
                ],
                "corpus_size_type": [
                    "Tokens"
                ],
                "corpus_editor_forename": [
                    "Stefanie",
                    "Simone"
                ],
                "annotation_id": [
                    "page",
                    "side",
                    "column",
                    "line",
                    "tok_dipl",
                    "tok_anno",
                    "token_type",
                    "lemma",
                    "norm",
                    "norm_type",
                    "norm_broad",
                    "pos",
                    "morph",
                    "repository",
                    "idno",
                    "objectType",
                    "origDate",
                    "style",
                    "reference",
                    "tokenization",
                    "modern",
                    "inflection"
                ],
                "corpus_size_value": [
                    "405664"
                ],
                "corpus_encoding_project_description": [
                    " \"Interrogatio Sancti Anselmi de Passione Domini\" ('Questions by Saint Anselm about the Lord's Passion') is a medieval religious treatise which is documented in an exceptionally broad number of written records. In total, there are around 70 German manuscripts and prints written up between the 14th and 16th centuries. In the texts, Anselm of Canterbury asks questions to the Virgin Mary concerning the Passion of Jesus Christ. She answers him in the form of longer monologues. While the texts have comparable content, logical structure, and even (semi-)parallelity in sentence structure and wording, they do not follow fixed spelling conventions and show dialectal variations in graphematics, phonology, morphology, and syntax. This makes the corpus a highly interesting resource for comparative investigations in different areas such as linguistics, history or theology. The corpus is annotated on various layers, including normalization, morphology, part of speech and lemma annotation. ",
                    " \"Interrogatio Sancti Anselmi de Passione Domini\" ('Questions by Saint Anselm about the Lord's Passion') is a medieval religious treatise which is documented in an exceptionally broad number of written records. In total, there are around 70 German manuscripts and prints written up between the 14th and 16th centuries. In the texts, Anselm of Canterbury asks questions to the Virgin Mary concerning the Passion of Jesus Christ. She answers him in the form of longer monologues. While the texts have comparable content, logical structure, and even (semi-)parallelity in sentence structure and wording, they do not follow fixed spelling conventions and show dialectal variations in graphematics, phonology, morphology, and syntax. This makes the corpus a highly interesting resource for comparative investigations in different areas such as linguistics, history or theology. The corpus is annotated on various layers, including normalization, morphology, part of speech and lemma annotation. "
                ],
                "corpus_annotator_surname": [
                    "Anselm",
                    "Bort",
                    "Frey",
                    "Klein",
                    "Krasselt",
                    "Lordick",
                    "Malke",
                    "Nelken",
                    "Spengler",
                    "Wedig"
                ],
                "corpus_publication_license": [
                    "https:\/\/creativecommons.org\/licenses\/by-sa\/4.0\/"
                ],
                "corpus_editor_surname": [
                    "Dipper",
                    "Schultz-Balluff"
                ],
                "corpus_id": [
                    "corpus_anselm-_1-0_1556788249"
                ],
                "corpus_publication_publication_date": [
                    "2018"
                ],
                "corpus_annotator_forename": [
                    "Maria",
                    "Katharina",
                    "Malin",
                    "Sarah",
                    "Julia",
                    "Nadine",
                    "Sarah",
                    "Julika",
                    "Maurice",
                    "Helena"
                ],
                "corpus_merged_formats": "CorA,ANNIS CorA XML,ANNIS",
                "publication_status": "1",
                "projectpath": "anselm---projekt",
                "corpuspath": "anselm-_1-0",
                "corpuslogo": null,
                "doi": "doi:10.34644\/laudatio-beta-5cd157417df17",
                "documentrange": "YY",
                "visibility": 1
            }
        }
    ],
    "message": "1 Latest version of published Corpora retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/corpora/latest/{from}/{size}`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    from |  required  | The offset to start the result from
    size |  required  | The limit of returned results

<!-- END_6969afa1e9b3c6ec909a5dbd2e8098f4 -->

<!-- START_4e75a91b5000776233bb45652c9594d1 -->
## /api/elasticapi/v1/corpora/{id}/{index}

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/corpora/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034?id=modi&index=dolores" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/corpora/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034");

    let params = {
            "id": "modi",
            "index": "dolores",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "_index": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
        "_type": "doc",
        "_id": "dGhNsGoB6bp_h9Nar9dI",
        "_version": 6,
        "found": true,
        "_source": {
            "corpus_version_description": [
                "NA"
            ],
            "corpus_publication_publisher": [
                "Humboldt-Universität zu Berlin"
            ],
            "publication_version": [
                "1.0"
            ],
            "corpus_merged_languages": "de,de,de Frühneuhochdeutsch,Standard, Niederdeutsch, Oberdeutsch,NA",
            "corpus_author_infrastructure_surname": [
                "Odebrecht"
            ],
            "corpus_documents": [
                "grimm_allerleirauh_353-359",
                "grimm_der_fuchs_und_die_gaense_431",
                "grimm_der_alte_grossvater_und_der_enkel_398",
                "grimm_der_fuchs_und_die_katze_388",
                "grimm_die_wassernixe_399",
                "grimm_frau_trude_218",
                "grimm_der_wolf_und_die_frau_gevatterin_386-387",
                "grimm_herr_korbes_214-215",
                "grimm_der_wolf_und_der_mensch_381-382",
                "grimm_haesichenbraut_360-361",
                "grimm_hans_heiratet_423-424",
                "grimm_laeuschen_und_floehchen_160-161",
                "grimm_strohhalm_kohle_und_bohne_098-099",
                "grimm_der_herr_gevatter_216-217",
                "grimm_von_dem_maeuschen_voegelchen_und_der_bratwurst_131-132",
                "grimm_von_dem_tode_des_huehnchens_400-401",
                "grimm_der_wolf_und_der_fuchs_383-385",
                "grimm_de_gaudeif_un_sien_meester_366-368",
                "grimm_der_singende_knochen_149-151",
                "grimm_das_lumpengesindel_054-056",
                "grimm_der_schneider_im_himmel_179-181",
                "grimm_die_bienenkoenigin_341-343",
                "grimm_die_hochzeit_der_frau_fuechsin_201-204",
                "grimm_der_alte_sultan_242-244",
                "grimm_die_drei_spinnerinnen_075-078",
                "grimm_die_sieben_raben_137-139",
                "grimm_Das_kluge_Grethel_395-397",
                "grimm_jorinde_und_joringel_369-371",
                "grimm_die_drei_sprachen_172-174",
                "grimm_fundevogel_225-257",
                "grimm_die_drei_glueckskinder_372-374",
                "grimm_katze_und_maus_in_gesellschaft_006-008",
                "grimm_der_gescheidte_hans_169-171",
                "grimm_die_drei_federn_344-347",
                "grimm_de_spielhansl_414-416",
                "grimm_der_wolf_und_die_sieben_jungen_geislein_026-029",
                "grimm_der_wunderliche_spielmann_044-047",
                "grimm_rumpelstilzchen_281-284",
                "grimm_die_zwoelf_jaeger_362-365",
                "grimm_frau_holle_133-136",
                "grimm_das_raethsel_127-130",
                "grimm_die_wichtelmaenner_205-208",
                "grimm_der_gevatter_tod_219-222",
                "grimm_der_hund_und_der_sperling_299-302",
                "grimm_die_bremer_stadtmusikanten_145-148",
                "grimm_fitchers_vogel_228-231",
                "grimm_die_kluge_else_175-178",
                "grimm_dornroeschen_251-254",
                "grimm_der_raeuberbraeutigam_209-213",
                "grimm_rothkaeppchen_140-144",
                "grimm_froschkoenig_001-005",
                "grimm_rapunzel_065-069",
                "grimm_die_drei_schlangenblaetter_088-092",
                "grimm_der_liebste_roland_285-289",
                "grimm_die_goldene_gans_348-352",
                "grimm_daumerlings_wanderschaft_223-227",
                "grimm_die_weisse_schlange_093-097",
                "grimm_der_gute_handel_039-043",
                "grimm_koenig_drosselbart_258-263",
                "grimm_die_nelke_389-394",
                "grimm_allerleirauh_353-359",
                "grimm_aschenputtel_119-123",
                "grimm_bruder_lustig_402-413",
                "grimm_bruederchen_und_schwesterchen_057-064",
                "grimm_das_buerle_335-340",
                "grimm_das_maedchen_ohne_haende_162-168",
                "grimm_das_tapfere_schneiderlein_109-118",
                "grimm_daumesdick_194-200",
                "grimm_der_frieder_und_das_catherlieschen_303-310",
                "grimm_der_teufel_mit_den_drei_goldenen_haaren_152-159",
                "grimm_der_treue_johannes_030-038",
                "grimm_die_drei_maennlein_im_walde_070-075",
                "grimm_die_goldkinder_425-430",
                "grimm_die_sechs_schwaene_245-250",
                "grimm_die_zwei_brueder_311-334",
                "grimm_die_zwoelf_brueder_048-053",
                "grimm_haensel_und_grethel_079-087",
                "grimm_hans_im_glueck_417-422",
                "grimm_maehrchen_von_einem_der_auszog_das_fuerchten_zu_lernen_015-025",
                "grimm_marienkind_009-014",
                "grimm_sechse_kommen_durch_die_ganze_welt_375-380",
                "grimm_sneewitchen_264-273",
                "grimm_tischchen_deck_dich_goldesel_und_knueppel_aus_dem_sack_182-193",
                "grimm_von_dem_fischer_un_syner_fru_100-108",
                "grimm_von_dem_machandelboom_232-241",
                "grimm_der_goldene_vogel_290-298",
                "grimm_der_ranzen_das_huetlein_und_das_hoernlein_274-280",
                "grimm_das_junggegluethe_maennlein_273-274",
                "grimm_das_blaue_licht_150-154",
                "grimm_das_buerle_im_himmel_331-331",
                "grimm_das_dietmarsische_luegenmaerchen_294-294",
                "grimm_das_eigensinnige_kind_155-155",
                "grimm_das_eselein_264-267",
                "grimm_das_hausgesinde_255-255",
                "grimm_das_hirtenbuebelein_283-284",
                "grimm_das_laemmchen_und_das_fischchen_256-258",
                "grimm_das_maerchen_vom_schlauraffenland_292-293",
                "grimm_das_meerhaeschen_414-417",
                "grimm_das_singende_springende_loeweneckerchen_006-012",
                "grimm_das_todtenhemdchen_120-120",
                "grimm_das_waldhaus_334-339",
                "grimm_das_wasser_des_lebens_062-068",
                "grimm_dat_erdmaenneken_029-024",
                "grimm_dat_maeken_von_brakel_254-254",
                "grimm_de_beiden_keunigeskinner_135-143",
                "grimm_de_drei_schwatten_princessinnen_251_252",
                "grimm_de_drei_vuegelkens_057-061",
                "grimm_der_alter_hildebrand_053-056",
                "grimm_der_arme_junge_im_grab_391-394",
                "grimm_der_arme_muellerbursch_und_das_kaetzchen_098-101",
                "grimm_der_arme_und_der_reiche_001-005",
                "grimm_der_baerenhaeuter_081-086",
                "grimm_der_bauer_und_der_teufel_411-412",
                "grimm_der_dreschflegel_vom_himmel_133-134",
                "grimm_der_eisenhans_242-250",
                "grimm_der_eisenofen_196-202",
                "grimm_der_faule_heinz_313-315",
                "grimm_der_fuchs_und_das_pferd_222-223",
                "grimm_der_geist_im_glas_072-076",
                "grimm_der_gelernte_jaeger_126-132",
                "grimm_der_gestohlene_heller_286-286",
                "grimm_der_glaeserne_sarg_305-312",
                "grimm_der_goldene_schluessel_462-462",
                "grimm_der_grabhuegel_439-443",
                "grimm_der_hahnenbalken_277-277",
                "grimm_der_hase_und_der_igel_403-406",
                "grimm_der_jude_im_dorn_121-125",
                "grimm_der_junge_riese_020-028",
                "grimm_der_kluge_knecht_304-304",
                "grimm_der_koenig_vom_berg_035-041",
                "grimm_der_koenigssohn_der_sich_vor_nichts_fuerchtet_167-172",
                "grimm_der_krautesel_173-180",
                "grimm_der_meisterdieb_418-426",
                "grimm_der_mond_351-353",
                "grimm_der_nagel_390-390",
                "grimm_der_riese_und_der_schneider_387-389",
                "grimm_der_sperling_und_seine_vier_kinder_289-291",
                "grimm_der_starke_hans_323-330",
                "grimm_der_stiefel_von_bueffelleder_457-461",
                "grimm_der_suesse_brei_090-090",
                "grimm_der_teufel_und_seine_grossmutter_186-189",
                "grimm_der_trommler_427-437",
                "grimm_der_undankbare_sohn_268-268",
                "grimm_der_vogel_greif_316-322",
                "grimm_der_zaunkoenig_342-345",
                "grimm_der_zaunkoenig_und_der_baer_087-089",
                "grimm_des_herrn_und_des_teufels_gethier_275-276",
                "grimm_des_teufels_russiger_bruder_077-080",
                "grimm_die_alte_bettelfrau_278-278",
                "grimm_die_alte_im_wald_181-183",
                "grimm_die_beiden_wanderer_102-113",
                "grimm_die_boten_des_todes_356-357",
                "grimm_die_brautschau_287-287",
                "grimm_die_brosamen_auf_dem_tisch_413-413",
                "grimm_die_dre_brueder_184-185",
                "grimm_die_drei_faulen_279-279",
                "grimm_die_drei_feldscherer_156-158",
                "grimm_die_drei_handwerksburschen_163-166",
                "grimm_die_eule_348-350",
                "grimm_die_faule_spinnerin_203-205",
                "grimm_die_gaensehirtin_am_brunnen_362-373",
                "grimm_die_gaensemagd_013-019",
                "grimm_die_geschenke_des_kleinen_volkes_384-386",
                "grimm_die_hagere_liese_332-333",
                "grimm_die_klare_sonne_bringts_an_den_tag_148-149",
                "grimm_die_kluge_bauerntochter_049-052",
                "grimm_die_klugen_leute_091-095",
                "grimm_die_kornaehre_438-438",
                "grimm_die_krystallkugel_447-449",
                "grimm_die_lebenszeit_354-355",
                "grimm_die_nixe_im_teich_377-383",
                "grimm_die_rabe_042-048",
                "grimm_die_ruebe_269-272",
                "grimm_die_schlickerlinge_288-288",
                "grimm_die_schoene_katrinelje_und_pif_paf_poltire_220-221",
                "grimm_die_scholle_346-346",
                "grimm_die_sechs_diener_229-236",
                "grimm_die_sieben_schwaben_159-162",
                "grimm_die_sternthaler_285-285",
                "grimm_die_ungleichen_kinder_374-376",
                "grimm_die_vier_kunstreichen_brueder_206-210",
                "grimm_die_wahre_braut_395-402",
                "grimm_die_weisse_und_die_schwarze_braut_237-241",
                "grimm_die_zertanzten_schuhe_224-228",
                "grimm_die_zwoelf_faulen_knechte_280-282",
                "grimm_doctor_allwissend_068-071",
                "grimm_einaeuglein_zweiaeuglein_und_dreiaeuglein_221-219",
                "grimm_ferenand_getrue_und_ferenand_ungetrue_190-195",
                "grimm_hans_mein_igel_114-119",
                "grimm_jungfrau_maleen_450-456",
                "grimm_kinderlegenden_armuth_und_demuth_fuehren_zum_himmel_472-473",
                "grimm_kinderlegenden_das_alte_muetterchen_479-480",
                "grimm_kinderlegenden_der_heilige_joseph_im_walde_465-468",
                "grimm_kinderlegenden_die_drei_gruenen_zweige_475-477",
                "grimm_kinderlegenden_die_haselruthe_483-483",
                "grimm_kinderlegenden_die_himmlische_hochzeit_481-482",
                "grimm_kinderlegenden_die_rose_471-471",
                "grimm_kinderlegenden_die_zwoelf_apostel_469-470",
                "grimm_kinderlegenden_gottes_speise_474-474",
                "grimm_kinderlegenden_muttergottesglaeschen_478-478",
                "grimm_knoist_un_sine_dre_suehne_253-253",
                "grimm_lieb_und_leid_theilen_340-341",
                "grimm_maerchen_von_der_unke_096-097",
                "grimm_meister_pfriem_358-361",
                "grimm_oll_rinkrank_444-446",
                "grimm_raetselmaerchen_295-295",
                "grimm_rohrdommel_wiedehopf_347-347",
                "grimm_schneeweisschen_und_rosenroth_296-303",
                "grimm_simeliberg_259-261",
                "grimm_spindel_weberschiffchen_und_nadel_407-410",
                "grimm_up_reisen_gohn_262-263",
                "grimm_vom_klugen_schneiderlein_144-147"
            ],
            "type": "doc",
            "corpus_author_transcription_surname": [],
            "elasticsearch_index": [
                "corpus_marchenkorpus-version-1-0_1-0_1557736034"
            ],
            "annotation_id": [
                "text",
                "tok",
                "pos",
                "lemma",
                "meta_Band",
                "meta_KHM",
                "meta_Titel",
                "meta_Standard",
                "meta_Seitenstart"
            ],
            "corpus_encoding_project_description": [
                " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). "
            ],
            "annotation_encoding_format": [
                "txt",
                "treetaggeroutput",
                "relANNIS"
            ],
            "corpus_publication_publication_description": [
                "Erste Veröffentlichung des Korpus."
            ],
            "annotation_reference_id": [
                "text",
                "tok",
                "pos",
                "lemma"
            ],
            "annotation_name": [
                "text",
                "tok",
                "pos",
                "lemma",
                "tok",
                "pos",
                "lemma",
                "meta::Band",
                "meta::KHM",
                "meta::Titel",
                "meta::Standard",
                "meta::Seitenstart"
            ],
            "corpus_id": [
                "corpus_marchenkorpus-version-1-0_1-0_1557736034"
            ],
            "host": "127.0.0.1",
            "corpus_merged_formats": "txt,treetaggeroutput,relANNIS Frei Text,Treetagger,Search and Visualization in Multilevel Linguistic Corpora ANNIS.",
            "corpus_document_genre": [
                "Märchen"
            ],
            "corpus_publication_project_id": [
                "Textbewegung: Theater und Sprache"
            ],
            "corpus_annotator_affiliation_department": [],
            "corpus_title": [
                "Märchenkorpus Version 1.0"
            ],
            "corpus_editor_forename": [
                "Maik"
            ],
            "annotation_tag": [
                "NA",
                "NA",
                "ADJA",
                "ADJD",
                "ADV",
                "APPR",
                "APPRART",
                "APPO",
                "APZR",
                "ART",
                "CARD",
                "FM",
                "ITJ",
                "KOUI",
                "KOUS",
                "KON",
                "KOKOM",
                "NN",
                "NE",
                "PDS",
                "PDAT",
                "PIS",
                "PIAT",
                "PIDAT",
                "PPER",
                "PPOSS",
                "PPOSAT",
                "PRELS",
                "PRELAT",
                "PRF",
                "PWS",
                "PWAT",
                "PWAV",
                "PAV",
                "PTKZU",
                "PTKNEG",
                "PTKVZ",
                "PTKANT",
                "PTKA",
                "TRUNC",
                "VVFIN",
                "VVIMP",
                "VVINF",
                "VVIZU",
                "VVPP",
                "VAFIN",
                "VAIMP",
                "VAINF",
                "VAPP",
                "VMFIN",
                "VMINF",
                "VMPP",
                "XY",
                "$,",
                "$.",
                "$(",
                "NA",
                "NA",
                "ADJA",
                "ADJD",
                "ADV",
                "APPR",
                "APPRART",
                "APPO",
                "APZR",
                "ART",
                "CARD",
                "FM",
                "ITJ",
                "KOUI",
                "KOUS",
                "KON",
                "KOKOM",
                "NN",
                "NE",
                "PDS",
                "PDAT",
                "PIS",
                "PIAT",
                "PIDAT",
                "PPER",
                "PPOSS",
                "PPOSAT",
                "PRELS",
                "PRELAT",
                "PRF",
                "PWS",
                "PWAT",
                "PWAV",
                "PAV",
                "PTKZU",
                "PTKNEG",
                "PTKVZ",
                "PTKANT",
                "PTKA",
                "TRUNC",
                "VVFIN",
                "VVIMP",
                "VVINF",
                "VVIZU",
                "VVPP",
                "VAFIN",
                "VAIMP",
                "VAINF",
                "VAPP",
                "VMFIN",
                "VMINF",
                "VMPP",
                "XY",
                "$,",
                "$.",
                "$(",
                "NA",
                "Int",
                "Int",
                "NA",
                "Standard",
                "Niederdeutsch",
                "Oberdeutsch",
                "Int"
            ],
            "corpus_size_value": [
                "295880"
            ],
            "corpus_annotator_surname": [],
            "annotation_encoding_segmentation": [
                "Keine spezifische Segmentation.",
                "Segmentation auf der Basis von 'tok'.",
                "Segmentation auf der Basis von 'tok'."
            ],
            "port": 53124,
            "corpus_publication_license": [
                "http:\/\/creativecommons.org\/licenses\/by\/3.0\/"
            ],
            "corpus_languages_iso_identifier": [
                "de",
                "de",
                "de"
            ],
            "corpus_infrastructure_affiliation_department": [
                "Institut für deutsche Sprache und Linguistik"
            ],
            "corpus_annotator_forename": [],
            "corpus_encoding_project_homepage": [
                "http:\/\/www.textbewegung.de\/",
                "http:\/\/www.textbewegung.de\/",
                "http:\/\/www.textbewegung.de\/"
            ],
            "corpus_languages_language": [
                "Frühneuhochdeutsch",
                "Standard, Niederdeutsch, Oberdeutsch",
                "NA"
            ],
            "annotation_encoding_tool": [
                "Frei Text",
                "Treetagger",
                "Search and Visualization in Multilevel Linguistic Corpora ANNIS."
            ],
            "corpus_infrastructure_affiliation_institution": [
                "Humboldt-Universität zu Berlin"
            ],
            "elasticsearch_documentid": [
                "dGhNsGoB6bp_h9Nar9dI"
            ],
            "corpus_author_infrastructure_forename": [
                "Carolin"
            ],
            "annotation_encoding_normalization": [
                "Keine Normalisierung.",
                "Keine Normalisierung.",
                "Keine Normalisierung."
            ],
            "annotation_encoding_version": [
                "1.0",
                "3.2",
                "3.0"
            ],
            "corpus_authorrolle": [
                "Infrastructure"
            ],
            "corpus_editor_surname": [
                "Walter"
            ],
            "@version": "1",
            "corpus_author_transcription_affiliation_department": [],
            "corpus_editor_affiliation_department": [
                "Institut für deutsche Sprache und Linguistik"
            ],
            "annotation_type": [
                "Transcription",
                "Transcription",
                "Lexical",
                "Lexical",
                "Transcription",
                "Lexical",
                "Lexical",
                "Meta",
                "Meta",
                "Meta",
                "Meta",
                "Meta"
            ],
            "corpus_version_publishing_date": [
                "2013"
            ],
            "corpus_publication_publication_date": [
                "2013"
            ],
            "corpus_publication_license_description": [
                "Open Source Projekt, Creative Commons Attribution 3.0 Unported License."
            ],
            "publication_status": "1",
            "corpus_author_transcription_affilitation_institution": [],
            "elasticsearch_index_action": [
                "update"
            ],
            "corpus_size_type": [
                "Tokens"
            ],
            "corpus_version": [
                "1.0"
            ],
            "corpus_editor_affiliation_institution": [
                "Humboldt-Universität zu Berlin"
            ],
            "@timestamp": "2019-05-13T09:59:37.491Z",
            "corpus_author_transcription_forename": [],
            "corpus_languages_style": [
                "Language",
                "LanguageType",
                "LanguageArea"
            ],
            "corpus_generated_id": "aad3df7d-9f3d-4b5e-93d7-2e3b078a4c6f",
            "corpus_annotator_affiliation_institution": [],
            "corpus_merged_editors": "Maik Walter",
            "annotation_tag_description": [
                "Wikisource Editionsrichtlinien zur Aufbereitung der Texte. U.a. wird das überschriebene „e“ über den Vokalen „a“, „o“ und „u“ als moderner Umlaut, Anführungszeichen ’‘ als „“ und gesperrter Text wird kursiv transkribiert. Der Seitenwechsel erfolgt bei Worttrennung nach dem gesamten Wort. Einzüge werden nicht übernommen. Geviertstriche (—) wurden durch Halbgeviertstriche ersetzt (–). Fußnoten der Vorlage sind fortlaufend nummeriert und folgen jeweils am Schluß des Textes. (http:\/\/de.wikisource.org\/wiki\/Kinder-_und_Haus-Märchen_Band_1_(1857)).",
                "Wikisource Editionsrichtlinien zur Aufbereitung der Texte. U.a. wird das überschriebene „e“ über den Vokalen „a“, „o“ und „u“ als moderner Umlaut, Anführungszeichen ’‘ als „“ und gesperrter Text wird kursiv transkribiert. Der Seitenwechsel erfolgt bei Worttrennung nach dem gesamten Wort. Einzüge werden nicht übernommen. Geviertstriche (—) wurden durch Halbgeviertstriche ersetzt (–). Fußnoten der Vorlage sind fortlaufend nummeriert und folgen jeweils am Schluß des Textes. (http:\/\/de.wikisource.org\/wiki\/Kinder-_und_Haus-Märchen_Band_1_(1857)).",
                "Attributives Adjektiv.",
                "Adverbiales oder prädikatives Adjektiv.",
                "Adverb.",
                "Präpoistion; Zirkumposition links.",
                "Präposition mit Artikel.",
                "Postposition.",
                "Zirkumposition rechts.",
                "Bestimmter oder unbestimmter Artikel.",
                "Kardinalzahl.",
                "Fremdsprachliches Material.",
                "Interjektion.",
                "unterordnende Konjunktion mit \"zu\" und Infinitiv.",
                "unterordnende Konjunktion mit Satz.",
                "nebenordnende Konjunktion.",
                "Vergleichskonjunktion.",
                "Normales Nomen.",
                "Eigenname.",
                "Substituierendes Demonstrativpronomen.",
                "Attribuierendes Demonstrativpronomen.",
                "Substituierendes Indefinitpronomen.",
                "Attribuierendes Indefinitpronomen ohne Determiner.",
                "Attribuierendes Indefinitpronomen mit Determiner.",
                "Irreflexives Personalpronomen.",
                "Substituierendes Possessivpronomen.",
                "Attribuierendes Possessivpronomen.",
                "Substituierendes Relativpronomen.",
                "Attribuierendes Relativpronomen.",
                "Reflexives Personalpronomen.",
                "Substituierendes Interrogativpronomen.",
                "Attribuierendes Interrogativpronomen.",
                "Adverbiales Interrogativ- oder Relativpronomen.",
                "Pronominaladverb.",
                "\"zu\" vor Infinitiv.",
                "Negationspartikel.",
                "Abgetrennter Verbzusatz.",
                "Antwortpartikel.",
                "Partikel bei Adjektiv oder Adverb.",
                "Kompositions-Erstglied.",
                "Finites Verb, voll.",
                "Imperativ, voll.",
                "Infinitiv, voll.",
                "Infinitiv mit \"zu\", voll.",
                "Partizip Perfekt, voll.",
                "Finites Verb, aux.",
                "Imperativ, aux.",
                "Infinitiv, aux.",
                "Partizip Perfekt, aux.",
                "Finites Verb, modal.",
                "Infinitiv, modal.",
                "Partizip Perfekt, modal.",
                "Nichtwort, Sonderzeichen enthaltend.",
                "Komma.",
                "Satzbeendende Interpunktion.",
                "Sonstige Satzzeichen; satzintern.",
                "Lemmatisierung.",
                "Wikisource Editionsrichtlinien zur Aufbereitung der Texte. U.a. wird das überschriebene „e“ über den Vokalen „a“, „o“ und „u“ als moderner Umlaut, Anführungszeichen ’‘ als „“ und gesperrter Text wird kursiv transkribiert. Der Seitenwechsel erfolgt bei Worttrennung nach dem gesamten Wort. Einzüge werden nicht übernommen. Geviertstriche (—) wurden durch Halbgeviertstriche ersetzt (–). Fußnoten der Vorlage sind fortlaufend nummeriert und folgen jeweils am Schluß des Textes. (http:\/\/de.wikisource.org\/wiki\/Kinder-_und_Haus-Märchen_Band_1_(1857)).",
                "Attributives Adjektiv.",
                "Adverbiales oder prädikatives Adjektiv.",
                "Adverb.",
                "Präpoistion; Zirkumposition links.",
                "Präposition mit Artikel.",
                "Postposition.",
                "Zirkumposition rechts.",
                "Bestimmter oder unbestimmter Artikel.",
                "Kardinalzahl.",
                "Fremdsprachliches Material.",
                "Interjektion.",
                "unterordnende Konjunktion mit \"zu\" und Infinitiv.",
                "unterordnende Konjunktion mit Satz.",
                "nebenordnende Konjunktion.",
                "Vergleichskonjunktion.",
                "Normales Nomen.",
                "Eigenname.",
                "Substituierendes Demonstrativpronomen.",
                "Attribuierendes Demonstrativpronomen.",
                "Substituierendes Indefinitpronomen.",
                "Attribuierendes Indefinitpronomen ohne Determiner.",
                "Attribuierendes Indefinitpronomen mit Determiner.",
                "Irreflexives Personalpronomen.",
                "Substituierendes Possessivpronomen.",
                "Attribuierendes Possessivpronomen.",
                "Substituierendes Relativpronomen.",
                "Attribuierendes Relativpronomen.",
                "Reflexives Personalpronomen.",
                "Substituierendes Interrogativpronomen.",
                "Attribuierendes Interrogativpronomen.",
                "Adverbiales Interrogativ- oder Relativpronomen.",
                "Pronominaladverb.",
                "\"zu\" vor Infinitiv.",
                "Negationspartikel.",
                "Abgetrennter Verbzusatz.",
                "Antwortpartikel.",
                "Partikel bei Adjektiv oder Adverb.",
                "Kompositions-Erstglied.",
                "Finites Verb, voll.",
                "Imperativ, voll.",
                "Infinitiv, voll.",
                "Infinitiv mit \"zu\", voll.",
                "Partizip Perfekt, voll.",
                "Finites Verb, aux.",
                "Imperativ, aux.",
                "Infinitiv, aux.",
                "Partizip Perfekt, aux.",
                "Finites Verb, modal.",
                "Infinitiv, modal.",
                "Partizip Perfekt, modal.",
                "Nichtwort, Sonderzeichen enthaltend.",
                "Komma.",
                "Satzbeendende Interpunktion.",
                "Sonstige Satzzeichen; satzintern.",
                "Lemmatisierung.",
                "Band der Ausgabe.",
                "Die Zahl gibt die durch die Grimms vergebene Nummerierung der Märchen (1-200), bzw. Legenden (1-10) wieder.",
                "Titel des Dokumentes.",
                "Ist er im Standarddeutschen verfasst, wurde das Merkmal Standard vergeben, entsprechend das Merkmal Niederdeutsch für die überwiegend niederdeutsch verfassten Texte (zumeist im Plattdeutsch), bzw. Oberdeutsch für einen überwiegend oberdeutsch verfassten Texte.",
                "Ist er im Standarddeutschen verfasst, wurde das Merkmal Standard vergeben, entsprechend das Merkmal Niederdeutsch für die überwiegend niederdeutsch verfassten Texte (zumeist im Plattdeutsch), bzw. Oberdeutsch für einen überwiegend oberdeutsch verfassten Texte.",
                "Ist er im Standarddeutschen verfasst, wurde das Merkmal Standard vergeben, entsprechend das Merkmal Niederdeutsch für die überwiegend niederdeutsch verfassten Texte (zumeist im Plattdeutsch), bzw. Oberdeutsch für einen überwiegend oberdeutsch verfassten Texte.",
                "Seitenstart."
            ],
            "doi": "doi:10.5072\/laudatio-dev-5cd947460f4dd"
        }
    },
    "message": "Corpus retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/corpora/{id}/{index}`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    id |  required  | The identifier of the document
    index |  required  | The elastic search index of the document

<!-- END_4e75a91b5000776233bb45652c9594d1 -->

<!-- START_9197412fbcd5254757caf732e64902d2 -->
## /api/elasticapi/v1/corpora/{id}/{index}/documents

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/corpora/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/documents?id=eum&index=consequatur" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/corpora/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/documents");

    let params = {
            "id": "eum",
            "index": "consequatur",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "took": 23,
        "timed_out": false,
        "_shards": {
            "total": 1,
            "successful": 1,
            "skipped": 0,
            "failed": 0
        },
        "hits": {
            "total": 211,
            "max_score": 0.010131717,
            "hits": [
                {
                    "_index": "document_marchenkorpus-version-1-0_1-0_1557736034",
                    "_type": "doc",
                    "_id": "OGhasGoB6bp_h9Na1tiV",
                    "_score": 0.010131717,
                    "_ignored": [
                        "document_history_not_after",
                        "document_history_not_before",
                        "document_history_original_date"
                    ],
                    "_source": {
                        "elasticsearch_index": [
                            "document_marchenkorpus-version-1-0_1-0_1557736034"
                        ],
                        "revision_publishing_date": [
                            "2013"
                        ],
                        "document_list_of_annotations_name": [
                            "text",
                            "tok",
                            "meta::Titel",
                            "pos",
                            "lemma",
                            "meta::Standard",
                            "meta::Band",
                            "meta::KHM",
                            "meta::Seitenstart"
                        ],
                        "document_publication_publishing_date": [
                            "1857"
                        ],
                        "document_history_facsimile_target_links_target": [
                            "NA"
                        ],
                        "document_id": [
                            "grimm_der_ranzen_das_huetlein_und_das_hoernlein_274-280"
                        ],
                        "revision_document_version": [
                            "1.0"
                        ],
                        "document_publication_pages": [
                            "274-280"
                        ],
                        "document_title": [
                            "Der Ranzen, das Hütlein und das Hörnlein"
                        ],
                        "document_history_collection": [
                            "NA"
                        ],
                        "document_history_original_title": [
                            "NA"
                        ],
                        "document_history_original_place": [
                            "NA"
                        ],
                        "elasticsearch_documentid": [],
                        "document_list_of_annotations_type": [
                            "Transcription",
                            "Lexical",
                            "Meta"
                        ],
                        "port": 38836,
                        "document_editor_forename": [
                            "NA"
                        ],
                        "document_merged_languages": "de,de,de Frühneuhochdeutsch,Standard, Niederdeutsch, Oberdeutsch,NA",
                        "document_author_forename": [
                            "NA"
                        ],
                        "document_history_document_type": [
                            "NA"
                        ],
                        "document_history_identifier": [
                            "NA"
                        ],
                        "document_publication_place": [
                            "Göttingen"
                        ],
                        "in_corpora": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
                        "document_publication_volume_pages": [
                            "1"
                        ],
                        "document_history_title": [
                            "NA"
                        ],
                        "document_publication_editor": [
                            "NA"
                        ],
                        "document_list_of_annotations_id": [
                            "text",
                            "tok",
                            "meta_Titel",
                            "pos",
                            "lemma",
                            "meta_Standard",
                            "meta_Band",
                            "meta_KHM",
                            "meta_Seitenstart"
                        ],
                        "@timestamp": "2019-05-13T08:41:44.221Z",
                        "document_merged_authors": "NA NA",
                        "@version": "1",
                        "document_author_surname": [
                            "NA"
                        ],
                        "document_publication_publisher": [
                            "Verlag der Dieterichschen Buchhandlung."
                        ],
                        "document_history_not_after": [
                            "NA"
                        ],
                        "document_editor_surname": [
                            "NA"
                        ],
                        "document_languages_language": [
                            "Frühneuhochdeutsch",
                            "Standard, Niederdeutsch, Oberdeutsch",
                            "NA"
                        ],
                        "document_size_type": [
                            "Tokens"
                        ],
                        "document_publication_series": [
                            "Kinder und Hausmärchen gesammelt durch die Brüder Grimm"
                        ],
                        "document_history_faximile_link": [
                            "NA"
                        ],
                        "host": "127.0.0.1",
                        "document_history_repo": [
                            "NA"
                        ],
                        "elasticsearch_index_action": [
                            "index"
                        ],
                        "document_history_date_precision": [
                            "medium"
                        ],
                        "revision_description": [
                            "NA"
                        ],
                        "document_publication_date_information": [
                            "1857"
                        ],
                        "document_languages_iso_code": [
                            "de",
                            "de",
                            "de"
                        ],
                        "document_history_facsimile_target_links_target_ref": [
                            "NA"
                        ],
                        "document_size_extent": [
                            "2377"
                        ],
                        "type": "doc",
                        "document_history_original_date": [
                            "NA"
                        ],
                        "document_genre": [
                            "Märchen"
                        ],
                        "document_publication_volume": [],
                        "document_history_location_in_manuscript": [],
                        "document_languages_style": [
                            "Language",
                            "LanguageType",
                            "LanguageArea"
                        ],
                        "document_history_not_before": [
                            "NA"
                        ],
                        "publication_status": "1",
                        "publication_version": "1.0"
                    }
                }
            ]
        }
    },
    "message": "1 documents retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/corpora/{id}/{index}/documents`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    id |  required  | The identifier of the document
    index |  required  | The elastic search index of the document

<!-- END_9197412fbcd5254757caf732e64902d2 -->

<!-- START_e725ddd650166fdaaa3f69ef2583b2e7 -->
## /api/elasticapi/v1/corpora/{id}/{index}/annotations

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/corpora/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/annotations?id=nulla&index=amet" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/corpora/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/annotations");

    let params = {
            "id": "nulla",
            "index": "amet",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "took": 17,
        "timed_out": false,
        "_shards": {
            "total": 1,
            "successful": 1,
            "skipped": 0,
            "failed": 0
        },
        "hits": {
            "total": 9,
            "max_score": 0.25646648,
            "hits": [
                {
                    "_index": "annotation_marchenkorpus-version-1-0_1-0_1557736034",
                    "_type": "doc",
                    "_id": "x2iAsGoB6bp_h9NantiB",
                    "_score": 0.25646648,
                    "_source": {
                        "elasticsearch_index": [
                            "annotation_marchenkorpus-version-1-0_1-0_1557736034"
                        ],
                        "preparation_author_infrastructure_surname": [
                            "Odebrecht"
                        ],
                        "preparation_revision_description": [
                            "NA"
                        ],
                        "preparation_revision_corpus_version": [
                            "1.0"
                        ],
                        "corpus_editor_affiliation_department": [
                            "Institut für deutsche Sprache und Linguistik"
                        ],
                        "preparation_author_annotator_forename": [],
                        "preparation_encoding_correction_description": [
                            "Keine Korrekturen.",
                            "Keine Korrekturen."
                        ],
                        "preparation_encoding_project_description": [],
                        "preparation_author_annotator_affiliation_department": [],
                        "preparation_encoding_models": [
                            "Automatic",
                            "Automatic"
                        ],
                        "preparation_encoding_tool": [
                            "Treetagger",
                            "ANNIS"
                        ],
                        "preparation_author_annotator_surname": [],
                        "preparation_encoding_project_url": [
                            " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                            " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). "
                        ],
                        "elasticsearch_documentid": [],
                        "preparation_author_annotator_affiliation_institution": [],
                        "preparation_encoding_normalization_method": [
                            "None",
                            "None"
                        ],
                        "port": 43198,
                        "preparation_encoding_segmentation_description": [
                            "Keine spezifische Segmentation.",
                            "Keine spezifische Segmentation."
                        ],
                        "preparation_publication_release_date": [
                            "2013"
                        ],
                        "preparation_annotation_id": [
                            "tok"
                        ],
                        "preparation_author_transcription_affiliation_department": [],
                        "preparation_publication_tag_description": [
                            " Faksimilia in PDF-Format. "
                        ],
                        "in_corpora": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
                        "preparation_author_transcription_forename": [],
                        "preparation_size_value": [
                            "295880"
                        ],
                        "corpus_editor_affiliation_institution": [
                            "Humboldt-Universität zu Berlin"
                        ],
                        "preparation_encoding_segmentation_type": [
                            "NA",
                            "NA"
                        ],
                        "annotation_merged_formats": "Treetagger,Search and Visualization tool ANNIS- Treetagger,ANNIS",
                        "preparation_author_infrastructure_forename": [
                            "Carolin"
                        ],
                        "@timestamp": "2019-05-13T09:23:00.229Z",
                        "preparation_encoding_tool_version": [
                            "3.2",
                            "3.0"
                        ],
                        "@version": "1",
                        "preparation_author_transcription_affilitation_institution": [],
                        "preparation_publication_release_type": [
                            "AnnotationRelease"
                        ],
                        "generated_id": "d4fbe801-47ef-4413-92d8-cbef21feebd5",
                        "preparation_author_rolle": [
                            "Infrastructure"
                        ],
                        "preparation_encoding_description": [
                            "Tokenisierung der Transkription 'text'.",
                            "Konverstierung der Annotationsebene 'tok' vom treetaggeroutput nach relANNIS via SaltNPepper (https:\/\/korpling.german.hu-berlin.de\/p\/projects\/saltnpepper\/wiki\/)."
                        ],
                        "preparation_publication_tag_reference": [
                            "http:\/\/commons.wikimedia.org\/wiki\/Category:Kinder_und_Hausmärchen_(Grimm)_1857_II"
                        ],
                        "preparation_encoding_step": [
                            "Tokenization",
                            "Converting"
                        ],
                        "preparation_encoding_annotation_sub_group": [
                            "NA",
                            "NA"
                        ],
                        "host": "127.0.0.1",
                        "preparation_encoding_encoding_description": [
                            "NA"
                        ],
                        "elasticsearch_index_action": [
                            "index"
                        ],
                        "preparation_publication_license_description": [
                            "Annotation ist mit der ersten Version des Märchenkorpus veröffentlicht worden."
                        ],
                        "preparation_encoding_correction_status": [
                            "low",
                            "low"
                        ],
                        "preparation_encoding_annotation_group": [
                            "Transcription",
                            "Lexical"
                        ],
                        "preparation_encoding_correction_method": [
                            "manual",
                            "manual"
                        ],
                        "corpus_editor_surname": [
                            "Walter"
                        ],
                        "preparation_size_type": [
                            "Tokens"
                        ],
                        "corpus_editor_forename": [
                            "Maik"
                        ],
                        "preparation_author_infrastructure_affiliation_institution": [
                            "Humboldt-Universität zu Berlin"
                        ],
                        "type": "doc",
                        "preparation_author_infrastructure_affiliation_department": [
                            "Institut für deutsche Sprache und Linguistik"
                        ],
                        "preparation_encoding_full_name": [
                            "Treetagger",
                            "Search and Visualization tool ANNIS-"
                        ],
                        "preparation_encoding_segmentation_style": [
                            "Independent",
                            "Independent"
                        ],
                        "preparation_revision_publishing_date": [
                            "2013"
                        ],
                        "preparation_title": [
                            "tok"
                        ],
                        "preparation_encoding_normalization_description": [
                            "Keine Normalisierung.",
                            "Keine Normalisierung."
                        ],
                        "preparation_encoding_file_extension": [
                            "treetaggeroutput",
                            "relANNIS"
                        ],
                        "preparation_author_transcription_surname": [],
                        "in_documents": [
                            "7WhOsGoB6bp_h9NaFNcz",
                            "7mhOsGoB6bp_h9NaQNfJ",
                            "8GhOsGoB6bp_h9Nak9dt",
                            "72hOsGoB6bp_h9NaZ9e7",
                            "82hPsGoB6bp_h9NaFtdy",
                            "9GhPsGoB6bp_h9NaQNeu",
                            "9WhPsGoB6bp_h9NabNcp",
                            "8WhOsGoB6bp_h9Navtfr",
                            "9mhPsGoB6bp_h9NalteK",
                            "8mhOsGoB6bp_h9Na69ce",
                            "C2hTsGoB6bp_h9NaGNj-",
                            "D2hTsGoB6bp_h9Naxtgm",
                            "CGhSsGoB6bp_h9NamNh7",
                            "CmhSsGoB6bp_h9Na7NjB",
                            "DWhTsGoB6bp_h9Nab9jZ",
                            "DGhTsGoB6bp_h9NaRdgx",
                            "DmhTsGoB6bp_h9Nam9il",
                            "CWhSsGoB6bp_h9Nawth2",
                            "G2hVsGoB6bp_h9Na2NgC",
                            "HGhWsGoB6bp_h9NaBNgY",
                            "HWhWsGoB6bp_h9NaMNiS",
                            "HmhWsGoB6bp_h9NaXdhA",
                            "H2hWsGoB6bp_h9NaidgS",
                            "GmhVsGoB6bp_h9Naq9if",
                            "GGhVsGoB6bp_h9NaUdgt",
                            "GWhVsGoB6bp_h9NafdjF",
                            "LGhYsGoB6bp_h9NayNjI",
                            "KmhYsGoB6bp_h9NabtjI",
                            "KWhYsGoB6bp_h9NaQthx",
                            "K2hYsGoB6bp_h9Nam9iD",
                            "LWhYsGoB6bp_h9Na8thN",
                            "LmhZsGoB6bp_h9NaH9h-",
                            "KGhYsGoB6bp_h9NaFtic",
                            "L2hZsGoB6bp_h9NaTNig",
                            "OGhasGoB6bp_h9Na1tiV",
                            "PGhbsGoB6bp_h9Nahdgh",
                            "PmhbsGoB6bp_h9Na5dhD",
                            "OWhasGoB6bp_h9Na_9ip",
                            "OmhbsGoB6bp_h9NaKtht",
                            "O2hbsGoB6bp_h9NaV9iE",
                            "PWhbsGoB6bp_h9NartjE",
                            "P2hcsGoB6bp_h9NaEth5",
                            "SWhdsGoB6bp_h9Na1tgF",
                            "SGhdsGoB6bp_h9NaqNhj",
                            "TWhesGoB6bp_h9NajNjl",
                            "SmhesGoB6bp_h9NaA9hG",
                            "TGhesGoB6bp_h9NaXthM",
                            "TmhesGoB6bp_h9Na5ths",
                            "S2hesGoB6bp_h9NaMNjV",
                            "T2hfsGoB6bp_h9NaFNij",
                            "W2hhsGoB6bp_h9NaO9gd",
                            "XWhhsGoB6bp_h9NaoNh2",
                            "XGhhsGoB6bp_h9NabthK",
                            "WmhhsGoB6bp_h9NaCthC",
                            "XmhhsGoB6bp_h9Na1NjF",
                            "WWhgsGoB6bp_h9Na3NgS",
                            "X2hisGoB6bp_h9NaBNiI",
                            "WGhgsGoB6bp_h9Nardit",
                            "aWhjsGoB6bp_h9Na9Njy",
                            "aGhjsGoB6bp_h9NaxNju",
                            "amhksGoB6bp_h9NaLdis",
                            "bmhksGoB6bp_h9Na5tin",
                            "bGhksGoB6bp_h9Naidgd",
                            "b2hlsGoB6bp_h9NaEdg5",
                            "a2hksGoB6bp_h9NaW9iX",
                            "bWhksGoB6bp_h9Nat9jS",
                            "eGhmsGoB6bp_h9NarNgq",
                            "fWhnsGoB6bp_h9NalNhY",
                            "fGhnsGoB6bp_h9NaZdgk",
                            "emhnsGoB6bp_h9NaCdj4",
                            "e2hnsGoB6bp_h9NaONjT",
                            "eWhmsGoB6bp_h9Na2tjb",
                            "fmhnsGoB6bp_h9Naw9gk",
                            "f2hnsGoB6bp_h9Na89hI",
                            "j2hqsGoB6bp_h9Na39j5",
                            "iWhpsGoB6bp_h9Naxtgc",
                            "imhpsGoB6bp_h9Na9NiQ",
                            "i2hqsGoB6bp_h9NaI9jG",
                            "iGhpsGoB6bp_h9Nal9hj",
                            "jGhqsGoB6bp_h9NaU9ge",
                            "jWhqsGoB6bp_h9Nagdj9",
                            "jmhqsGoB6bp_h9NasNjk",
                            "mmhssGoB6bp_h9Na09gp",
                            "n2htsGoB6bp_h9NawNiJ",
                            "nWhtsGoB6bp_h9NaYtjH",
                            "nGhtsGoB6bp_h9NaMtjd",
                            "mWhssGoB6bp_h9Nap9hm",
                            "m2htsGoB6bp_h9NaA9gl",
                            "nmhtsGoB6bp_h9NakNie",
                            "mGhssGoB6bp_h9Nad9in",
                            "qWhvsGoB6bp_h9Namdij",
                            "r2hwsGoB6bp_h9Nardh2",
                            "qGhvsGoB6bp_h9NabNga",
                            "q2hvsGoB6bp_h9Na9ti6",
                            "rWhwsGoB6bp_h9NaU9hW",
                            "rGhwsGoB6bp_h9NaIthr",
                            "qmhvsGoB6bp_h9NaydjP",
                            "rmhwsGoB6bp_h9NafdiM",
                            "_mhQsGoB6bp_h9Na6NfU",
                            "-2hQsGoB6bp_h9NabNcD",
                            "-WhQsGoB6bp_h9NaGdfg",
                            "_WhQsGoB6bp_h9Nav9d5",
                            "-GhPsGoB6bp_h9Na7dfZ",
                            "_GhQsGoB6bp_h9Naltdk",
                            "_2hRsGoB6bp_h9NaE9el",
                            "92hPsGoB6bp_h9NawtdO",
                            "-mhQsGoB6bp_h9NaRdd6",
                            "AWhRsGoB6bp_h9NaZtiO",
                            "AmhRsGoB6bp_h9Naktgb",
                            "A2hRsGoB6bp_h9NavthW",
                            "BWhSsGoB6bp_h9NaFNh0",
                            "B2hSsGoB6bp_h9NabNg-",
                            "BmhSsGoB6bp_h9NaP9jE",
                            "BGhRsGoB6bp_h9Na6thC",
                            "AGhRsGoB6bp_h9NaPNj1",
                            "E2hUsGoB6bp_h9Naddhb",
                            "F2hVsGoB6bp_h9NaJNie",
                            "EWhUsGoB6bp_h9NaHtin",
                            "FmhUsGoB6bp_h9Na-Nga",
                            "FGhUsGoB6bp_h9NaoNgY",
                            "EmhUsGoB6bp_h9NaSdir",
                            "FWhUsGoB6bp_h9Nay9ir",
                            "EGhTsGoB6bp_h9Na8tgR",
                            "JGhXsGoB6bp_h9NaZdiW",
                            "JWhXsGoB6bp_h9Naj9i9",
                            "ImhXsGoB6bp_h9NaDNiG",
                            "IWhWsGoB6bp_h9Na4NhC",
                            "IGhWsGoB6bp_h9Natdiz",
                            "JmhXsGoB6bp_h9NavNiy",
                            "I2hXsGoB6bp_h9NaONhx",
                            "J2hXsGoB6bp_h9Na6dhw",
                            "MWhZsGoB6bp_h9NapNjj",
                            "N2hasGoB6bp_h9NaqdiR",
                            "M2hZsGoB6bp_h9Na_NiU",
                            "MGhZsGoB6bp_h9NaeNgy",
                            "NGhasGoB6bp_h9NaJtiA",
                            "MmhZsGoB6bp_h9Na0Ngw",
                            "NmhasGoB6bp_h9NafNhZ",
                            "NWhasGoB6bp_h9NaUdg7",
                            "QGhcsGoB6bp_h9NaQNgt",
                            "QWhcsGoB6bp_h9Nabdjp",
                            "R2hdsGoB6bp_h9NaediD",
                            "RGhcsGoB6bp_h9Na8diO",
                            "RmhdsGoB6bp_h9NaStjW",
                            "QmhcsGoB6bp_h9Nam9hs",
                            "RWhdsGoB6bp_h9NaH9g5",
                            "Q2hcsGoB6bp_h9Naydh7",
                            "VWhgsGoB6bp_h9NaJthY",
                            "VGhfsGoB6bp_h9Na-til",
                            "UWhfsGoB6bp_h9NacdjB",
                            "UGhfsGoB6bp_h9NaQ9gc",
                            "UmhfsGoB6bp_h9Nan9hD",
                            "U2hfsGoB6bp_h9NazdgP",
                            "V2hgsGoB6bp_h9Naf9hL",
                            "VmhgsGoB6bp_h9NaVdgJ",
                            "ZGhisGoB6bp_h9Na_djf",
                            "YmhisGoB6bp_h9Nandi-",
                            "YWhisGoB6bp_h9NaaNjT",
                            "ZWhjsGoB6bp_h9NaLdhx",
                            "ZmhjsGoB6bp_h9NaX9gq",
                            "Z2hjsGoB6bp_h9Naktjx",
                            "Y2hisGoB6bp_h9NazdgE",
                            "YGhisGoB6bp_h9NaNdjM",
                            "cGhlsGoB6bp_h9NaPth5",
                            "dWhmsGoB6bp_h9NaJNja",
                            "dGhlsGoB6bp_h9Na-dg8",
                            "cWhlsGoB6bp_h9NabdhV",
                            "d2hmsGoB6bp_h9Nagdh6",
                            "dmhmsGoB6bp_h9NaU9ge",
                            "c2hlsGoB6bp_h9Nay9gp",
                            "cmhlsGoB6bp_h9NanNhB",
                            "gWhosGoB6bp_h9NaU9gi",
                            "hmhpsGoB6bp_h9NaPNhR",
                            "g2hosGoB6bp_h9Nasdjb",
                            "gmhosGoB6bp_h9NagtgN",
                            "gGhosGoB6bp_h9NaI9jr",
                            "hWhpsGoB6bp_h9NaD9hS",
                            "h2hpsGoB6bp_h9NaaNgs",
                            "hGhosGoB6bp_h9Na39ij",
                            "l2hssGoB6bp_h9NaSNjp",
                            "kWhrsGoB6bp_h9NaNdjU",
                            "kmhrsGoB6bp_h9NaZdgC",
                            "lWhrsGoB6bp_h9Na7Nj9",
                            "lGhrsGoB6bp_h9NawNh4",
                            "k2hrsGoB6bp_h9NalNiX",
                            "kGhrsGoB6bp_h9NaCtg9",
                            "lmhssGoB6bp_h9NaGti8",
                            "o2husGoB6bp_h9Nafthy",
                            "oWhusGoB6bp_h9NaH9j_",
                            "pmhvsGoB6bp_h9NaDdie",
                            "pGhusGoB6bp_h9Nartgs",
                            "omhusGoB6bp_h9NaT9gc",
                            "p2hvsGoB6bp_h9NaPNh3",
                            "pWhusGoB6bp_h9Na3di6",
                            "oGhtsGoB6bp_h9Na8Nht",
                            "sWhxsGoB6bp_h9NaDtjT",
                            "tmhxsGoB6bp_h9Na_th9",
                            "s2hxsGoB6bp_h9NabNh2",
                            "smhxsGoB6bp_h9NaPthx",
                            "t2hysGoB6bp_h9NaLthu",
                            "sGhwsGoB6bp_h9Na3tgh",
                            "tWhxsGoB6bp_h9Nazdhn",
                            "tGhxsGoB6bp_h9NanNif",
                            "uGhysGoB6bp_h9NaWtj2",
                            "uWhysGoB6bp_h9Nahdgs",
                            "umhysGoB6bp_h9Natdhy",
                            "u2hysGoB6bp_h9Na5dj2",
                            "vGhzsGoB6bp_h9NaFtg7",
                            "vWhzsGoB6bp_h9NaQtiu",
                            "vmhzsGoB6bp_h9Nac9gW",
                            "yGiisGoB6bp_h9NatNiO",
                            "92hPsGoB6bp_h9NawtdO"
                        ],
                        "publication_status": "1",
                        "publication_version": "1.0"
                    }
                }
            ]
        }
    },
    "message": "1 annotations retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/corpora/{id}/{index}/annotations`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    id |  required  | The identifier of the document
    index |  required  | The elastic search index of the document

<!-- END_e725ddd650166fdaaa3f69ef2583b2e7 -->

<!-- START_3a77dd126da717cabad7e27ede095587 -->
## /api/elasticapi/v1/corpora/latest/searchMain

> Example request:

```bash
curl -X POST "/api/elasticapi/v1/corpora/latest/searchMain" \
    -H "Api-Version: v1" \
    -H "Content-Type: application/json" \
    -d '{ "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }'

```

```javascript
const url = new URL("/api/elasticapi/v1/corpora/latest/searchMain");

let headers = {
    "Api-Version": "v1",
    "Content-Type": "application/json",
    "Accept": "application/json",
}

let body = { "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }

fetch(url, {
    method: "POST",
    headers: headers,
    body: body
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
            "_type": "doc",
            "_id": "dGhNsGoB6bp_h9Nar9dI",
            "_score": 0.5307215,
            "_source": {
                "corpus_document_genre": [
                    "Märchen"
                ],
                "corpus_publication_publisher": [
                    "Humboldt-Universität zu Berlin"
                ],
                "corpus_merged_languages": "de,de Frühneuhochdeutsch,Standard, Niederdeutsch, Oberdeutsch",
                "corpus_title": [
                    "Märchenkorpus Version 1.0"
                ],
                "corpus_documents": [
                    "grimm_allerleirauh_353-359",
                    "grimm_der_fuchs_und_die_gaense_431",
                    "grimm_der_alte_grossvater_und_der_enkel_398",
                    "grimm_der_fuchs_und_die_katze_388",
                    "grimm_die_wassernixe_399",
                    "grimm_frau_trude_218",
                    "grimm_der_wolf_und_die_frau_gevatterin_386-387",
                    "grimm_herr_korbes_214-215",
                    "grimm_der_wolf_und_der_mensch_381-382",
                    "grimm_haesichenbraut_360-361",
                    "grimm_hans_heiratet_423-424",
                    "grimm_laeuschen_und_floehchen_160-161",
                    "grimm_strohhalm_kohle_und_bohne_098-099",
                    "grimm_der_herr_gevatter_216-217",
                    "grimm_von_dem_maeuschen_voegelchen_und_der_bratwurst_131-132",
                    "grimm_von_dem_tode_des_huehnchens_400-401",
                    "grimm_der_wolf_und_der_fuchs_383-385",
                    "grimm_de_gaudeif_un_sien_meester_366-368",
                    "grimm_der_singende_knochen_149-151",
                    "grimm_das_lumpengesindel_054-056",
                    "grimm_der_schneider_im_himmel_179-181",
                    "grimm_die_bienenkoenigin_341-343",
                    "grimm_die_hochzeit_der_frau_fuechsin_201-204",
                    "grimm_der_alte_sultan_242-244",
                    "grimm_die_drei_spinnerinnen_075-078",
                    "grimm_die_sieben_raben_137-139",
                    "grimm_Das_kluge_Grethel_395-397",
                    "grimm_jorinde_und_joringel_369-371",
                    "grimm_die_drei_sprachen_172-174",
                    "grimm_fundevogel_225-257",
                    "grimm_die_drei_glueckskinder_372-374",
                    "grimm_katze_und_maus_in_gesellschaft_006-008",
                    "grimm_der_gescheidte_hans_169-171",
                    "grimm_die_drei_federn_344-347",
                    "grimm_de_spielhansl_414-416",
                    "grimm_der_wolf_und_die_sieben_jungen_geislein_026-029",
                    "grimm_der_wunderliche_spielmann_044-047",
                    "grimm_rumpelstilzchen_281-284",
                    "grimm_die_zwoelf_jaeger_362-365",
                    "grimm_frau_holle_133-136",
                    "grimm_das_raethsel_127-130",
                    "grimm_die_wichtelmaenner_205-208",
                    "grimm_der_gevatter_tod_219-222",
                    "grimm_der_hund_und_der_sperling_299-302",
                    "grimm_die_bremer_stadtmusikanten_145-148",
                    "grimm_fitchers_vogel_228-231",
                    "grimm_die_kluge_else_175-178",
                    "grimm_dornroeschen_251-254",
                    "grimm_der_raeuberbraeutigam_209-213",
                    "grimm_rothkaeppchen_140-144",
                    "grimm_froschkoenig_001-005",
                    "grimm_rapunzel_065-069",
                    "grimm_die_drei_schlangenblaetter_088-092",
                    "grimm_der_liebste_roland_285-289",
                    "grimm_die_goldene_gans_348-352",
                    "grimm_daumerlings_wanderschaft_223-227",
                    "grimm_die_weisse_schlange_093-097",
                    "grimm_der_gute_handel_039-043",
                    "grimm_koenig_drosselbart_258-263",
                    "grimm_die_nelke_389-394",
                    "grimm_allerleirauh_353-359",
                    "grimm_aschenputtel_119-123",
                    "grimm_bruder_lustig_402-413",
                    "grimm_bruederchen_und_schwesterchen_057-064",
                    "grimm_das_buerle_335-340",
                    "grimm_das_maedchen_ohne_haende_162-168",
                    "grimm_das_tapfere_schneiderlein_109-118",
                    "grimm_daumesdick_194-200",
                    "grimm_der_frieder_und_das_catherlieschen_303-310",
                    "grimm_der_teufel_mit_den_drei_goldenen_haaren_152-159",
                    "grimm_der_treue_johannes_030-038",
                    "grimm_die_drei_maennlein_im_walde_070-075",
                    "grimm_die_goldkinder_425-430",
                    "grimm_die_sechs_schwaene_245-250",
                    "grimm_die_zwei_brueder_311-334",
                    "grimm_die_zwoelf_brueder_048-053",
                    "grimm_haensel_und_grethel_079-087",
                    "grimm_hans_im_glueck_417-422",
                    "grimm_maehrchen_von_einem_der_auszog_das_fuerchten_zu_lernen_015-025",
                    "grimm_marienkind_009-014",
                    "grimm_sechse_kommen_durch_die_ganze_welt_375-380",
                    "grimm_sneewitchen_264-273",
                    "grimm_tischchen_deck_dich_goldesel_und_knueppel_aus_dem_sack_182-193",
                    "grimm_von_dem_fischer_un_syner_fru_100-108",
                    "grimm_von_dem_machandelboom_232-241",
                    "grimm_der_goldene_vogel_290-298",
                    "grimm_der_ranzen_das_huetlein_und_das_hoernlein_274-280",
                    "grimm_das_junggegluethe_maennlein_273-274",
                    "grimm_das_blaue_licht_150-154",
                    "grimm_das_buerle_im_himmel_331-331",
                    "grimm_das_dietmarsische_luegenmaerchen_294-294",
                    "grimm_das_eigensinnige_kind_155-155",
                    "grimm_das_eselein_264-267",
                    "grimm_das_hausgesinde_255-255",
                    "grimm_das_hirtenbuebelein_283-284",
                    "grimm_das_laemmchen_und_das_fischchen_256-258",
                    "grimm_das_maerchen_vom_schlauraffenland_292-293",
                    "grimm_das_meerhaeschen_414-417",
                    "grimm_das_singende_springende_loeweneckerchen_006-012",
                    "grimm_das_todtenhemdchen_120-120",
                    "grimm_das_waldhaus_334-339",
                    "grimm_das_wasser_des_lebens_062-068",
                    "grimm_dat_erdmaenneken_029-024",
                    "grimm_dat_maeken_von_brakel_254-254",
                    "grimm_de_beiden_keunigeskinner_135-143",
                    "grimm_de_drei_schwatten_princessinnen_251_252",
                    "grimm_de_drei_vuegelkens_057-061",
                    "grimm_der_alter_hildebrand_053-056",
                    "grimm_der_arme_junge_im_grab_391-394",
                    "grimm_der_arme_muellerbursch_und_das_kaetzchen_098-101",
                    "grimm_der_arme_und_der_reiche_001-005",
                    "grimm_der_baerenhaeuter_081-086",
                    "grimm_der_bauer_und_der_teufel_411-412",
                    "grimm_der_dreschflegel_vom_himmel_133-134",
                    "grimm_der_eisenhans_242-250",
                    "grimm_der_eisenofen_196-202",
                    "grimm_der_faule_heinz_313-315",
                    "grimm_der_fuchs_und_das_pferd_222-223",
                    "grimm_der_geist_im_glas_072-076",
                    "grimm_der_gelernte_jaeger_126-132",
                    "grimm_der_gestohlene_heller_286-286",
                    "grimm_der_glaeserne_sarg_305-312",
                    "grimm_der_goldene_schluessel_462-462",
                    "grimm_der_grabhuegel_439-443",
                    "grimm_der_hahnenbalken_277-277",
                    "grimm_der_hase_und_der_igel_403-406",
                    "grimm_der_jude_im_dorn_121-125",
                    "grimm_der_junge_riese_020-028",
                    "grimm_der_kluge_knecht_304-304",
                    "grimm_der_koenig_vom_berg_035-041",
                    "grimm_der_koenigssohn_der_sich_vor_nichts_fuerchtet_167-172",
                    "grimm_der_krautesel_173-180",
                    "grimm_der_meisterdieb_418-426",
                    "grimm_der_mond_351-353",
                    "grimm_der_nagel_390-390",
                    "grimm_der_riese_und_der_schneider_387-389",
                    "grimm_der_sperling_und_seine_vier_kinder_289-291",
                    "grimm_der_starke_hans_323-330",
                    "grimm_der_stiefel_von_bueffelleder_457-461",
                    "grimm_der_suesse_brei_090-090",
                    "grimm_der_teufel_und_seine_grossmutter_186-189",
                    "grimm_der_trommler_427-437",
                    "grimm_der_undankbare_sohn_268-268",
                    "grimm_der_vogel_greif_316-322",
                    "grimm_der_zaunkoenig_342-345",
                    "grimm_der_zaunkoenig_und_der_baer_087-089",
                    "grimm_des_herrn_und_des_teufels_gethier_275-276",
                    "grimm_des_teufels_russiger_bruder_077-080",
                    "grimm_die_alte_bettelfrau_278-278",
                    "grimm_die_alte_im_wald_181-183",
                    "grimm_die_beiden_wanderer_102-113",
                    "grimm_die_boten_des_todes_356-357",
                    "grimm_die_brautschau_287-287",
                    "grimm_die_brosamen_auf_dem_tisch_413-413",
                    "grimm_die_dre_brueder_184-185",
                    "grimm_die_drei_faulen_279-279",
                    "grimm_die_drei_feldscherer_156-158",
                    "grimm_die_drei_handwerksburschen_163-166",
                    "grimm_die_eule_348-350",
                    "grimm_die_faule_spinnerin_203-205",
                    "grimm_die_gaensehirtin_am_brunnen_362-373",
                    "grimm_die_gaensemagd_013-019",
                    "grimm_die_geschenke_des_kleinen_volkes_384-386",
                    "grimm_die_hagere_liese_332-333",
                    "grimm_die_klare_sonne_bringts_an_den_tag_148-149",
                    "grimm_die_kluge_bauerntochter_049-052",
                    "grimm_die_klugen_leute_091-095",
                    "grimm_die_kornaehre_438-438",
                    "grimm_die_krystallkugel_447-449",
                    "grimm_die_lebenszeit_354-355",
                    "grimm_die_nixe_im_teich_377-383",
                    "grimm_die_rabe_042-048",
                    "grimm_die_ruebe_269-272",
                    "grimm_die_schlickerlinge_288-288",
                    "grimm_die_schoene_katrinelje_und_pif_paf_poltire_220-221",
                    "grimm_die_scholle_346-346",
                    "grimm_die_sechs_diener_229-236",
                    "grimm_die_sieben_schwaben_159-162",
                    "grimm_die_sternthaler_285-285",
                    "grimm_die_ungleichen_kinder_374-376",
                    "grimm_die_vier_kunstreichen_brueder_206-210",
                    "grimm_die_wahre_braut_395-402",
                    "grimm_die_weisse_und_die_schwarze_braut_237-241",
                    "grimm_die_zertanzten_schuhe_224-228",
                    "grimm_die_zwoelf_faulen_knechte_280-282",
                    "grimm_doctor_allwissend_068-071",
                    "grimm_einaeuglein_zweiaeuglein_und_dreiaeuglein_221-219",
                    "grimm_ferenand_getrue_und_ferenand_ungetrue_190-195",
                    "grimm_hans_mein_igel_114-119",
                    "grimm_jungfrau_maleen_450-456",
                    "grimm_kinderlegenden_armuth_und_demuth_fuehren_zum_himmel_472-473",
                    "grimm_kinderlegenden_das_alte_muetterchen_479-480",
                    "grimm_kinderlegenden_der_heilige_joseph_im_walde_465-468",
                    "grimm_kinderlegenden_die_drei_gruenen_zweige_475-477",
                    "grimm_kinderlegenden_die_haselruthe_483-483",
                    "grimm_kinderlegenden_die_himmlische_hochzeit_481-482",
                    "grimm_kinderlegenden_die_rose_471-471",
                    "grimm_kinderlegenden_die_zwoelf_apostel_469-470",
                    "grimm_kinderlegenden_gottes_speise_474-474",
                    "grimm_kinderlegenden_muttergottesglaeschen_478-478",
                    "grimm_knoist_un_sine_dre_suehne_253-253",
                    "grimm_lieb_und_leid_theilen_340-341",
                    "grimm_maerchen_von_der_unke_096-097",
                    "grimm_meister_pfriem_358-361",
                    "grimm_oll_rinkrank_444-446",
                    "grimm_raetselmaerchen_295-295",
                    "grimm_rohrdommel_wiedehopf_347-347",
                    "grimm_schneeweisschen_und_rosenroth_296-303",
                    "grimm_simeliberg_259-261",
                    "grimm_spindel_weberschiffchen_und_nadel_407-410",
                    "grimm_up_reisen_gohn_262-263",
                    "grimm_vom_klugen_schneiderlein_144-147"
                ],
                "corpus_size_type": [
                    "Tokens"
                ],
                "corpus_editor_forename": [
                    "Maik"
                ],
                "annotation_id": [
                    "text",
                    "tok",
                    "pos",
                    "lemma",
                    "meta_Band",
                    "meta_KHM",
                    "meta_Titel",
                    "meta_Standard",
                    "meta_Seitenstart"
                ],
                "corpus_size_value": [
                    "295880"
                ],
                "corpus_encoding_project_description": [
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). "
                ],
                "corpus_publication_license": [
                    "http:\/\/creativecommons.org\/licenses\/by\/3.0\/"
                ],
                "corpus_editor_surname": [
                    "Walter"
                ],
                "corpus_id": [
                    "corpus_marchenkorpus-version-1-0_1-0_1557736034"
                ],
                "corpus_publication_publication_date": [
                    "2013"
                ],
                "corpus_merged_formats": "txt,treetaggeroutput,relANNIS Frei Text,Treetagger,Search and Visualization in Multilevel Linguistic Corpora ANNIS.",
                "publication_status": "1",
                "projectpath": "marchenkorpus-projekt",
                "corpuspath": "marchenkorpus-version-1-0_1-0",
                "corpuslogo": null,
                "documentrange": "1857",
                "visibility": 1
            },
            "highlight": {
                "corpus_encoding_project_description": [
                    "Band abgedruckten 10 Kinderlegenden in der von den Brüder <span class=\"laudatiohighlight\">Grimm<\/span> herausgegeben Ausgabe letzter Hand.",
                    "Linguistisches Forschungstheater im <span class=\"laudatiohighlight\">Grimm<\/span>-Jahr 2013.",
                    "Band abgedruckten 10 Kinderlegenden in der von den Brüder <span class=\"laudatiohighlight\">Grimm<\/span> herausgegeben Ausgabe letzter Hand.",
                    "Linguistisches Forschungstheater im <span class=\"laudatiohighlight\">Grimm<\/span>-Jahr 2013.",
                    "Linguistisches Forschungstheater im <span class=\"laudatiohighlight\">Grimm<\/span>-Jahr 2013."
                ]
            }
        }
    ],
    "message": "1 corpus results retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`POST api/elasticapi/v1/corpora/latest/searchMain`

#### Body Parameters

Parameter | Type | Status | Description
--------- | ------- | ------- | ------- | -----------
    Request | $request |  required  | {"searchData": {"from": '0', "size" : '10', "query": 'FOO'}}
    from | String |  required  | The offset to start the result from
    size | String |  required  | The limit of returned results
    query | String |  required  | The search query string

<!-- END_3a77dd126da717cabad7e27ede095587 -->

<!-- START_eaf319f1c75c49563224d25348f047fc -->
## /api/elasticapi/v1/corpora/latest/searchMain/count

> Example request:

```bash
curl -X POST "/api/elasticapi/v1/corpora/latest/searchMain/count" \
    -H "Api-Version: v1" \
    -H "Content-Type: application/json" \
    -d '{ "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }'

```

```javascript
const url = new URL("/api/elasticapi/v1/corpora/latest/searchMain/count");

let headers = {
    "Api-Version": "v1",
    "Content-Type": "application/json",
    "Accept": "application/json",
}

let body = { "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }

fetch(url, {
    method: "POST",
    headers: headers,
    body: body
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": 2,
    "message": " Latest corpora count retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`POST api/elasticapi/v1/corpora/latest/searchMain/count`

#### Body Parameters

Parameter | Type | Status | Description
--------- | ------- | ------- | ------- | -----------
    Request | $request |  required  | {"searchData": {"from": '0', "size" : '10', "query": 'FOO'}}
    from | String |  required  | The offset to start the result from
    size | String |  required  | The limit of returned results
    query | String |  required  | The search query string

<!-- END_eaf319f1c75c49563224d25348f047fc -->

<!-- START_b17c72f8d1cfb91d6ffdca7b75dfd1f2 -->
## /api/elasticapi/v1/documents

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/documents" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/documents");

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "document_anselm-_1-0_1556788249",
            "_type": "doc",
            "_id": "7WgWeGoB6bp_h9NawYVE",
            "_score": 1,
            "_ignored": [
                "document_history_not_after",
                "document_publication_publishing_date",
                "document_history_original_date"
            ],
            "_source": {
                "document_history_date_precision": [
                    "unknown"
                ],
                "elasticsearch_index_action": [
                    "index"
                ],
                "document_editor_surname": [
                    "NA"
                ],
                "elasticsearch_index": [
                    "document_anselm-_1-0_1556788249"
                ],
                "document_publication_date_information": [
                    "NA"
                ],
                "document_publication_pages": [
                    "NA"
                ],
                "document_history_original_place": [
                    "NA"
                ],
                "document_languages_language": [
                    "fnhd.",
                    "obd. (oobd.)",
                    "mbair."
                ],
                "@version": "1",
                "document_history_facsimile_target_links_target": [
                    "NA"
                ],
                "document_history_faximile_link": [
                    "NA"
                ],
                "port": 41458,
                "document_history_location_in_manuscript": [],
                "document_merged_languages": "de,de,de fnhd.,obd. (oobd.),mbair.",
                "document_history_original_title": [
                    "NA"
                ],
                "host": "127.0.0.1",
                "in_corpora": "corpus_anselm-_1-0_1556788249",
                "document_editor_forename": [
                    "NA"
                ],
                "revision_publishing_date": [],
                "document_history_not_after": [
                    "NA"
                ],
                "document_publication_volume": [],
                "document_history_identifier": [
                    "Cgm 4698"
                ],
                "document_list_of_annotations_type": [
                    "Graphical",
                    "Transcription",
                    "Lexical",
                    "Morphological",
                    "Meta"
                ],
                "type": "doc",
                "document_list_of_annotations_name": [
                    "column",
                    "reference",
                    "tokenization",
                    "page",
                    "side",
                    "line",
                    "tok_dipl",
                    "tok_anno",
                    "norm",
                    "modern",
                    "norm_type",
                    "norm_broad",
                    "token_type",
                    "pos",
                    "lemma",
                    "morph",
                    "inflection",
                    "idno",
                    "objectType",
                    "origDate",
                    "repository",
                    "style"
                ],
                "document_languages_iso_code": [
                    "de",
                    "de",
                    "de"
                ],
                "document_history_repo": [
                    "Bayerische Staatsbibliothek München (BSB)"
                ],
                "document_genre": [
                    "Prosa"
                ],
                "@timestamp": "2019-05-02T10:28:38.210Z",
                "document_history_facsimile_target_links_target_ref": [
                    "NA"
                ],
                "document_author_surname": [
                    "NA"
                ],
                "revision_description": [
                    "First release."
                ],
                "document_size_type": [
                    "Tokens"
                ],
                "document_id": [
                    "M5"
                ],
                "document_publication_place": [
                    "NA"
                ],
                "document_publication_publisher": [
                    "NA"
                ],
                "document_publication_editor": [
                    "NA"
                ],
                "document_author_forename": [
                    "NA"
                ],
                "document_title": [
                    "M5"
                ],
                "document_size_extent": [
                    "4701"
                ],
                "revision_document_version": [
                    "1.0"
                ],
                "document_publication_publishing_date": [
                    "YY"
                ],
                "document_list_of_annotations_id": [
                    "column",
                    "reference",
                    "tokenization",
                    "page",
                    "side",
                    "line",
                    "tok_dipl",
                    "tok_anno",
                    "norm",
                    "modern",
                    "norm_type",
                    "norm_broad",
                    "token_type",
                    "pos",
                    "lemma",
                    "morph",
                    "inflection",
                    "idno",
                    "objectType",
                    "origDate",
                    "repository",
                    "style"
                ],
                "document_history_document_type": [
                    "Handschrift"
                ],
                "document_history_title": [
                    "NA"
                ],
                "document_publication_series": [
                    "NA"
                ],
                "document_history_collection": [
                    "NA"
                ],
                "elasticsearch_documentid": [],
                "document_merged_authors": "NA NA",
                "document_history_not_before": [
                    "1450"
                ],
                "document_languages_style": [
                    "Language",
                    "LanguageType",
                    "LanguageArea"
                ],
                "document_history_original_date": [
                    "2nd half of 15th century"
                ],
                "document_publication_volume_pages": [
                    "NA"
                ],
                "publication_status": "1",
                "publication_version": "1.0"
            }
        }
    ],
    "message": "6230 Documents retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/documents`


<!-- END_b17c72f8d1cfb91d6ffdca7b75dfd1f2 -->

<!-- START_eba775d080da4e3641953d10e455e3ba -->
## /api/elasticapi/v1/documents/latest/count

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/documents/latest/count" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/documents/latest/count");

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "count": 4521,
        "_shards": {
            "total": 21,
            "successful": 21,
            "skipped": 0,
            "failed": 0
        }
    },
    "message": " Latest documents count retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/documents/latest/count`


<!-- END_eba775d080da4e3641953d10e455e3ba -->

<!-- START_ba6cdb9c718f14c9803da3f9de7d3e1c -->
## /api/elasticapi/v1/documents/latest/{from}/{size}

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/documents/latest/0/100?from=error&size=eum" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/documents/latest/0/100");

    let params = {
            "from": "error",
            "size": "eum",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "document_anselm-_1-0_1556788249",
            "_type": "doc",
            "_id": "7mgWeGoB6bp_h9Na64Xk",
            "_score": 1,
            "_ignored": [
                "document_history_not_after",
                "document_publication_publishing_date",
                "document_history_original_date"
            ],
            "_source": {
                "document_title": [
                    "M6"
                ],
                "document_genre": [
                    "Prosa"
                ],
                "document_editor_forename": [
                    "NA"
                ],
                "document_merged_authors": "NA NA",
                "document_languages_iso_code": [
                    "de",
                    "de",
                    "de"
                ],
                "document_merged_languages": "de,de fnhd.,obd. (oobd.),mbair.",
                "document_list_of_annotations_id": [
                    "column",
                    "reference",
                    "tokenization",
                    "page",
                    "side",
                    "line",
                    "tok_dipl",
                    "tok_anno",
                    "norm",
                    "modern",
                    "norm_type",
                    "norm_broad",
                    "token_type",
                    "pos",
                    "lemma",
                    "morph",
                    "inflection",
                    "idno",
                    "objectType",
                    "origDate",
                    "repository",
                    "style"
                ],
                "document_size_type": [
                    "Tokens"
                ],
                "document_publication_publishing_date": [
                    "YY"
                ],
                "document_size_extent": [
                    "4636"
                ],
                "document_publication_place": [
                    "NA"
                ],
                "document_editor_surname": [
                    "NA"
                ],
                "document_author_surname": [
                    "NA"
                ],
                "document_author_forename": [
                    "NA"
                ],
                "publication_status": "1",
                "corpus_name": "Anselm Corpus",
                "visibility": 1
            }
        }
    ],
    "message": "1 Latest version of published Documents retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/documents/latest/{from}/{size}`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    from |  required  | The offset to start the result from
    size |  required  | The limit of returned results

<!-- END_ba6cdb9c718f14c9803da3f9de7d3e1c -->

<!-- START_06407f30f29f28ac630df48f30243dce -->
## /api/elasticapi/v1/documents/{id}/{index}

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/documents/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034?id=est&index=ea" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/documents/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034");

    let params = {
            "id": "est",
            "index": "ea",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "_index": "document_marchenkorpus-version-1-0_1-0_1557736034",
        "_type": "doc",
        "_id": "OGhasGoB6bp_h9Na1tiV",
        "_version": 5,
        "_ignored": [
            "document_history_not_after",
            "document_history_not_before",
            "document_history_original_date"
        ],
        "found": true,
        "_source": {
            "document_title": [
                "Der Ranzen, das Hütlein und das Hörnlein"
            ],
            "publication_version": "1.0",
            "document_editor_forename": [
                "NA"
            ],
            "document_list_of_annotations_name": [
                "text",
                "tok",
                "meta::Titel",
                "pos",
                "lemma",
                "meta::Standard",
                "meta::Band",
                "meta::KHM",
                "meta::Seitenstart"
            ],
            "revision_publishing_date": [
                "2013"
            ],
            "document_publication_pages": [
                "274-280"
            ],
            "document_id": [
                "grimm_der_ranzen_das_huetlein_und_das_hoernlein_274-280"
            ],
            "type": "doc",
            "document_history_date_precision": [
                "medium"
            ],
            "elasticsearch_index": [
                "document_marchenkorpus-version-1-0_1-0_1557736034"
            ],
            "document_history_not_after": [
                "NA"
            ],
            "host": "127.0.0.1",
            "document_author_surname": [
                "NA"
            ],
            "document_editor_surname": [
                "NA"
            ],
            "document_author_forename": [
                "NA"
            ],
            "document_languages_language": [
                "Frühneuhochdeutsch",
                "Standard, Niederdeutsch, Oberdeutsch",
                "NA"
            ],
            "document_genre": [
                "Märchen"
            ],
            "document_history_original_place": [
                "NA"
            ],
            "revision_document_version": [
                "1.0"
            ],
            "document_history_collection": [
                "NA"
            ],
            "document_languages_iso_code": [
                "de",
                "de",
                "de"
            ],
            "document_list_of_annotations_id": [
                "text",
                "tok",
                "meta_Titel",
                "pos",
                "lemma",
                "meta_Standard",
                "meta_Band",
                "meta_KHM",
                "meta_Seitenstart"
            ],
            "document_history_repo": [
                "NA"
            ],
            "document_history_faximile_link": [
                "NA"
            ],
            "document_publication_publishing_date": [
                "1857"
            ],
            "port": 38836,
            "document_history_original_title": [
                "NA"
            ],
            "document_publication_volume": [],
            "document_languages_style": [
                "Language",
                "LanguageType",
                "LanguageArea"
            ],
            "document_publication_publisher": [
                "Verlag der Dieterichschen Buchhandlung."
            ],
            "document_history_not_before": [
                "NA"
            ],
            "document_merged_authors": "NA NA",
            "elasticsearch_documentid": [],
            "revision_description": [
                "NA"
            ],
            "document_history_document_type": [
                "NA"
            ],
            "document_size_type": [
                "Tokens"
            ],
            "document_history_location_in_manuscript": [],
            "document_history_title": [
                "NA"
            ],
            "document_size_extent": [
                "2377"
            ],
            "@version": "1",
            "document_list_of_annotations_type": [
                "Transcription",
                "Lexical",
                "Meta"
            ],
            "document_publication_place": [
                "Göttingen"
            ],
            "in_corpora": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
            "publication_status": "1",
            "elasticsearch_index_action": [
                "index"
            ],
            "document_publication_editor": [
                "NA"
            ],
            "document_history_original_date": [
                "NA"
            ],
            "document_merged_languages": "de,de,de Frühneuhochdeutsch,Standard, Niederdeutsch, Oberdeutsch,NA",
            "document_publication_series": [
                "Kinder und Hausmärchen gesammelt durch die Brüder Grimm"
            ],
            "document_history_identifier": [
                "NA"
            ],
            "document_history_facsimile_target_links_target_ref": [
                "NA"
            ],
            "@timestamp": "2019-05-13T08:41:44.221Z",
            "document_history_facsimile_target_links_target": [
                "NA"
            ],
            "document_publication_date_information": [
                "1857"
            ],
            "document_publication_volume_pages": [
                "1"
            ]
        }
    },
    "message": "Document retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/documents/{id}/{index}`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    id |  required  | The identifier of the document
    index |  required  | The elastic search index of the document

<!-- END_06407f30f29f28ac630df48f30243dce -->

<!-- START_c4b3e710908d233f15dbeffd5b75e6e4 -->
## /api/elasticapi/v1/documents/{id}/{index}/annotations

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/documents/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/annotations?id=aliquam&index=perferendis" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/documents/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/annotations");

    let params = {
            "id": "aliquam",
            "index": "perferendis",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "annotation_marchenkorpus-version-1-0_1-0_1557736034",
            "_type": "doc",
            "_id": "x2iAsGoB6bp_h9NantiB",
            "_score": 0.052800275,
            "_source": {
                "elasticsearch_index": [
                    "annotation_marchenkorpus-version-1-0_1-0_1557736034"
                ],
                "preparation_author_infrastructure_surname": [
                    "Odebrecht"
                ],
                "preparation_revision_description": [
                    "NA"
                ],
                "preparation_revision_corpus_version": [
                    "1.0"
                ],
                "corpus_editor_affiliation_department": [
                    "Institut für deutsche Sprache und Linguistik"
                ],
                "preparation_author_annotator_forename": [],
                "preparation_encoding_correction_description": [
                    "Keine Korrekturen.",
                    "Keine Korrekturen."
                ],
                "preparation_encoding_project_description": [],
                "preparation_author_annotator_affiliation_department": [],
                "preparation_encoding_models": [
                    "Automatic",
                    "Automatic"
                ],
                "preparation_encoding_tool": [
                    "Treetagger",
                    "ANNIS"
                ],
                "preparation_author_annotator_surname": [],
                "preparation_encoding_project_url": [
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                    " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). "
                ],
                "elasticsearch_documentid": [],
                "preparation_author_annotator_affiliation_institution": [],
                "preparation_encoding_normalization_method": [
                    "None",
                    "None"
                ],
                "port": 43198,
                "preparation_encoding_segmentation_description": [
                    "Keine spezifische Segmentation.",
                    "Keine spezifische Segmentation."
                ],
                "preparation_publication_release_date": [
                    "2013"
                ],
                "preparation_annotation_id": [
                    "tok"
                ],
                "preparation_author_transcription_affiliation_department": [],
                "preparation_publication_tag_description": [
                    " Faksimilia in PDF-Format. "
                ],
                "in_corpora": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
                "preparation_author_transcription_forename": [],
                "preparation_size_value": [
                    "295880"
                ],
                "corpus_editor_affiliation_institution": [
                    "Humboldt-Universität zu Berlin"
                ],
                "preparation_encoding_segmentation_type": [
                    "NA",
                    "NA"
                ],
                "annotation_merged_formats": "Treetagger,Search and Visualization tool ANNIS- Treetagger,ANNIS",
                "preparation_author_infrastructure_forename": [
                    "Carolin"
                ],
                "@timestamp": "2019-05-13T09:23:00.229Z",
                "preparation_encoding_tool_version": [
                    "3.2",
                    "3.0"
                ],
                "@version": "1",
                "preparation_author_transcription_affilitation_institution": [],
                "preparation_publication_release_type": [
                    "AnnotationRelease"
                ],
                "generated_id": "d4fbe801-47ef-4413-92d8-cbef21feebd5",
                "preparation_author_rolle": [
                    "Infrastructure"
                ],
                "preparation_encoding_description": [
                    "Tokenisierung der Transkription 'text'.",
                    "Konverstierung der Annotationsebene 'tok' vom treetaggeroutput nach relANNIS via SaltNPepper (https:\/\/korpling.german.hu-berlin.de\/p\/projects\/saltnpepper\/wiki\/)."
                ],
                "preparation_publication_tag_reference": [
                    "http:\/\/commons.wikimedia.org\/wiki\/Category:Kinder_und_Hausmärchen_(Grimm)_1857_II"
                ],
                "preparation_encoding_step": [
                    "Tokenization",
                    "Converting"
                ],
                "preparation_encoding_annotation_sub_group": [
                    "NA",
                    "NA"
                ],
                "host": "127.0.0.1",
                "preparation_encoding_encoding_description": [
                    "NA"
                ],
                "elasticsearch_index_action": [
                    "index"
                ],
                "preparation_publication_license_description": [
                    "Annotation ist mit der ersten Version des Märchenkorpus veröffentlicht worden."
                ],
                "preparation_encoding_correction_status": [
                    "low",
                    "low"
                ],
                "preparation_encoding_annotation_group": [
                    "Transcription",
                    "Lexical"
                ],
                "preparation_encoding_correction_method": [
                    "manual",
                    "manual"
                ],
                "corpus_editor_surname": [
                    "Walter"
                ],
                "preparation_size_type": [
                    "Tokens"
                ],
                "corpus_editor_forename": [
                    "Maik"
                ],
                "preparation_author_infrastructure_affiliation_institution": [
                    "Humboldt-Universität zu Berlin"
                ],
                "type": "doc",
                "preparation_author_infrastructure_affiliation_department": [
                    "Institut für deutsche Sprache und Linguistik"
                ],
                "preparation_encoding_full_name": [
                    "Treetagger",
                    "Search and Visualization tool ANNIS-"
                ],
                "preparation_encoding_segmentation_style": [
                    "Independent",
                    "Independent"
                ],
                "preparation_revision_publishing_date": [
                    "2013"
                ],
                "preparation_title": [
                    "tok"
                ],
                "preparation_encoding_normalization_description": [
                    "Keine Normalisierung.",
                    "Keine Normalisierung."
                ],
                "preparation_encoding_file_extension": [
                    "treetaggeroutput",
                    "relANNIS"
                ],
                "preparation_author_transcription_surname": [],
                "in_documents": [
                    "7WhOsGoB6bp_h9NaFNcz",
                    "7mhOsGoB6bp_h9NaQNfJ",
                    "8GhOsGoB6bp_h9Nak9dt",
                    "72hOsGoB6bp_h9NaZ9e7",
                    "82hPsGoB6bp_h9NaFtdy",
                    "9GhPsGoB6bp_h9NaQNeu",
                    "9WhPsGoB6bp_h9NabNcp",
                    "8WhOsGoB6bp_h9Navtfr",
                    "9mhPsGoB6bp_h9NalteK",
                    "8mhOsGoB6bp_h9Na69ce",
                    "C2hTsGoB6bp_h9NaGNj-",
                    "D2hTsGoB6bp_h9Naxtgm",
                    "CGhSsGoB6bp_h9NamNh7",
                    "CmhSsGoB6bp_h9Na7NjB",
                    "DWhTsGoB6bp_h9Nab9jZ",
                    "DGhTsGoB6bp_h9NaRdgx",
                    "DmhTsGoB6bp_h9Nam9il",
                    "CWhSsGoB6bp_h9Nawth2",
                    "G2hVsGoB6bp_h9Na2NgC",
                    "HGhWsGoB6bp_h9NaBNgY",
                    "HWhWsGoB6bp_h9NaMNiS",
                    "HmhWsGoB6bp_h9NaXdhA",
                    "H2hWsGoB6bp_h9NaidgS",
                    "GmhVsGoB6bp_h9Naq9if",
                    "GGhVsGoB6bp_h9NaUdgt",
                    "GWhVsGoB6bp_h9NafdjF",
                    "LGhYsGoB6bp_h9NayNjI",
                    "KmhYsGoB6bp_h9NabtjI",
                    "KWhYsGoB6bp_h9NaQthx",
                    "K2hYsGoB6bp_h9Nam9iD",
                    "LWhYsGoB6bp_h9Na8thN",
                    "LmhZsGoB6bp_h9NaH9h-",
                    "KGhYsGoB6bp_h9NaFtic",
                    "L2hZsGoB6bp_h9NaTNig",
                    "OGhasGoB6bp_h9Na1tiV",
                    "PGhbsGoB6bp_h9Nahdgh",
                    "PmhbsGoB6bp_h9Na5dhD",
                    "OWhasGoB6bp_h9Na_9ip",
                    "OmhbsGoB6bp_h9NaKtht",
                    "O2hbsGoB6bp_h9NaV9iE",
                    "PWhbsGoB6bp_h9NartjE",
                    "P2hcsGoB6bp_h9NaEth5",
                    "SWhdsGoB6bp_h9Na1tgF",
                    "SGhdsGoB6bp_h9NaqNhj",
                    "TWhesGoB6bp_h9NajNjl",
                    "SmhesGoB6bp_h9NaA9hG",
                    "TGhesGoB6bp_h9NaXthM",
                    "TmhesGoB6bp_h9Na5ths",
                    "S2hesGoB6bp_h9NaMNjV",
                    "T2hfsGoB6bp_h9NaFNij",
                    "W2hhsGoB6bp_h9NaO9gd",
                    "XWhhsGoB6bp_h9NaoNh2",
                    "XGhhsGoB6bp_h9NabthK",
                    "WmhhsGoB6bp_h9NaCthC",
                    "XmhhsGoB6bp_h9Na1NjF",
                    "WWhgsGoB6bp_h9Na3NgS",
                    "X2hisGoB6bp_h9NaBNiI",
                    "WGhgsGoB6bp_h9Nardit",
                    "aWhjsGoB6bp_h9Na9Njy",
                    "aGhjsGoB6bp_h9NaxNju",
                    "amhksGoB6bp_h9NaLdis",
                    "bmhksGoB6bp_h9Na5tin",
                    "bGhksGoB6bp_h9Naidgd",
                    "b2hlsGoB6bp_h9NaEdg5",
                    "a2hksGoB6bp_h9NaW9iX",
                    "bWhksGoB6bp_h9Nat9jS",
                    "eGhmsGoB6bp_h9NarNgq",
                    "fWhnsGoB6bp_h9NalNhY",
                    "fGhnsGoB6bp_h9NaZdgk",
                    "emhnsGoB6bp_h9NaCdj4",
                    "e2hnsGoB6bp_h9NaONjT",
                    "eWhmsGoB6bp_h9Na2tjb",
                    "fmhnsGoB6bp_h9Naw9gk",
                    "f2hnsGoB6bp_h9Na89hI",
                    "j2hqsGoB6bp_h9Na39j5",
                    "iWhpsGoB6bp_h9Naxtgc",
                    "imhpsGoB6bp_h9Na9NiQ",
                    "i2hqsGoB6bp_h9NaI9jG",
                    "iGhpsGoB6bp_h9Nal9hj",
                    "jGhqsGoB6bp_h9NaU9ge",
                    "jWhqsGoB6bp_h9Nagdj9",
                    "jmhqsGoB6bp_h9NasNjk",
                    "mmhssGoB6bp_h9Na09gp",
                    "n2htsGoB6bp_h9NawNiJ",
                    "nWhtsGoB6bp_h9NaYtjH",
                    "nGhtsGoB6bp_h9NaMtjd",
                    "mWhssGoB6bp_h9Nap9hm",
                    "m2htsGoB6bp_h9NaA9gl",
                    "nmhtsGoB6bp_h9NakNie",
                    "mGhssGoB6bp_h9Nad9in",
                    "qWhvsGoB6bp_h9Namdij",
                    "r2hwsGoB6bp_h9Nardh2",
                    "qGhvsGoB6bp_h9NabNga",
                    "q2hvsGoB6bp_h9Na9ti6",
                    "rWhwsGoB6bp_h9NaU9hW",
                    "rGhwsGoB6bp_h9NaIthr",
                    "qmhvsGoB6bp_h9NaydjP",
                    "rmhwsGoB6bp_h9NafdiM",
                    "_mhQsGoB6bp_h9Na6NfU",
                    "-2hQsGoB6bp_h9NabNcD",
                    "-WhQsGoB6bp_h9NaGdfg",
                    "_WhQsGoB6bp_h9Nav9d5",
                    "-GhPsGoB6bp_h9Na7dfZ",
                    "_GhQsGoB6bp_h9Naltdk",
                    "_2hRsGoB6bp_h9NaE9el",
                    "92hPsGoB6bp_h9NawtdO",
                    "-mhQsGoB6bp_h9NaRdd6",
                    "AWhRsGoB6bp_h9NaZtiO",
                    "AmhRsGoB6bp_h9Naktgb",
                    "A2hRsGoB6bp_h9NavthW",
                    "BWhSsGoB6bp_h9NaFNh0",
                    "B2hSsGoB6bp_h9NabNg-",
                    "BmhSsGoB6bp_h9NaP9jE",
                    "BGhRsGoB6bp_h9Na6thC",
                    "AGhRsGoB6bp_h9NaPNj1",
                    "E2hUsGoB6bp_h9Naddhb",
                    "F2hVsGoB6bp_h9NaJNie",
                    "EWhUsGoB6bp_h9NaHtin",
                    "FmhUsGoB6bp_h9Na-Nga",
                    "FGhUsGoB6bp_h9NaoNgY",
                    "EmhUsGoB6bp_h9NaSdir",
                    "FWhUsGoB6bp_h9Nay9ir",
                    "EGhTsGoB6bp_h9Na8tgR",
                    "JGhXsGoB6bp_h9NaZdiW",
                    "JWhXsGoB6bp_h9Naj9i9",
                    "ImhXsGoB6bp_h9NaDNiG",
                    "IWhWsGoB6bp_h9Na4NhC",
                    "IGhWsGoB6bp_h9Natdiz",
                    "JmhXsGoB6bp_h9NavNiy",
                    "I2hXsGoB6bp_h9NaONhx",
                    "J2hXsGoB6bp_h9Na6dhw",
                    "MWhZsGoB6bp_h9NapNjj",
                    "N2hasGoB6bp_h9NaqdiR",
                    "M2hZsGoB6bp_h9Na_NiU",
                    "MGhZsGoB6bp_h9NaeNgy",
                    "NGhasGoB6bp_h9NaJtiA",
                    "MmhZsGoB6bp_h9Na0Ngw",
                    "NmhasGoB6bp_h9NafNhZ",
                    "NWhasGoB6bp_h9NaUdg7",
                    "QGhcsGoB6bp_h9NaQNgt",
                    "QWhcsGoB6bp_h9Nabdjp",
                    "R2hdsGoB6bp_h9NaediD",
                    "RGhcsGoB6bp_h9Na8diO",
                    "RmhdsGoB6bp_h9NaStjW",
                    "QmhcsGoB6bp_h9Nam9hs",
                    "RWhdsGoB6bp_h9NaH9g5",
                    "Q2hcsGoB6bp_h9Naydh7",
                    "VWhgsGoB6bp_h9NaJthY",
                    "VGhfsGoB6bp_h9Na-til",
                    "UWhfsGoB6bp_h9NacdjB",
                    "UGhfsGoB6bp_h9NaQ9gc",
                    "UmhfsGoB6bp_h9Nan9hD",
                    "U2hfsGoB6bp_h9NazdgP",
                    "V2hgsGoB6bp_h9Naf9hL",
                    "VmhgsGoB6bp_h9NaVdgJ",
                    "ZGhisGoB6bp_h9Na_djf",
                    "YmhisGoB6bp_h9Nandi-",
                    "YWhisGoB6bp_h9NaaNjT",
                    "ZWhjsGoB6bp_h9NaLdhx",
                    "ZmhjsGoB6bp_h9NaX9gq",
                    "Z2hjsGoB6bp_h9Naktjx",
                    "Y2hisGoB6bp_h9NazdgE",
                    "YGhisGoB6bp_h9NaNdjM",
                    "cGhlsGoB6bp_h9NaPth5",
                    "dWhmsGoB6bp_h9NaJNja",
                    "dGhlsGoB6bp_h9Na-dg8",
                    "cWhlsGoB6bp_h9NabdhV",
                    "d2hmsGoB6bp_h9Nagdh6",
                    "dmhmsGoB6bp_h9NaU9ge",
                    "c2hlsGoB6bp_h9Nay9gp",
                    "cmhlsGoB6bp_h9NanNhB",
                    "gWhosGoB6bp_h9NaU9gi",
                    "hmhpsGoB6bp_h9NaPNhR",
                    "g2hosGoB6bp_h9Nasdjb",
                    "gmhosGoB6bp_h9NagtgN",
                    "gGhosGoB6bp_h9NaI9jr",
                    "hWhpsGoB6bp_h9NaD9hS",
                    "h2hpsGoB6bp_h9NaaNgs",
                    "hGhosGoB6bp_h9Na39ij",
                    "l2hssGoB6bp_h9NaSNjp",
                    "kWhrsGoB6bp_h9NaNdjU",
                    "kmhrsGoB6bp_h9NaZdgC",
                    "lWhrsGoB6bp_h9Na7Nj9",
                    "lGhrsGoB6bp_h9NawNh4",
                    "k2hrsGoB6bp_h9NalNiX",
                    "kGhrsGoB6bp_h9NaCtg9",
                    "lmhssGoB6bp_h9NaGti8",
                    "o2husGoB6bp_h9Nafthy",
                    "oWhusGoB6bp_h9NaH9j_",
                    "pmhvsGoB6bp_h9NaDdie",
                    "pGhusGoB6bp_h9Nartgs",
                    "omhusGoB6bp_h9NaT9gc",
                    "p2hvsGoB6bp_h9NaPNh3",
                    "pWhusGoB6bp_h9Na3di6",
                    "oGhtsGoB6bp_h9Na8Nht",
                    "sWhxsGoB6bp_h9NaDtjT",
                    "tmhxsGoB6bp_h9Na_th9",
                    "s2hxsGoB6bp_h9NabNh2",
                    "smhxsGoB6bp_h9NaPthx",
                    "t2hysGoB6bp_h9NaLthu",
                    "sGhwsGoB6bp_h9Na3tgh",
                    "tWhxsGoB6bp_h9Nazdhn",
                    "tGhxsGoB6bp_h9NanNif",
                    "uGhysGoB6bp_h9NaWtj2",
                    "uWhysGoB6bp_h9Nahdgs",
                    "umhysGoB6bp_h9Natdhy",
                    "u2hysGoB6bp_h9Na5dj2",
                    "vGhzsGoB6bp_h9NaFtg7",
                    "vWhzsGoB6bp_h9NaQtiu",
                    "vmhzsGoB6bp_h9Nac9gW",
                    "yGiisGoB6bp_h9NatNiO",
                    "92hPsGoB6bp_h9NawtdO"
                ],
                "publication_status": "1",
                "publication_version": "1.0"
            }
        }
    ],
    "message": "9 annotations retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/documents/{id}/{index}/annotations`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    id |  required  | The identifier of the document
    index |  required  | The elastic search index of the document

<!-- END_c4b3e710908d233f15dbeffd5b75e6e4 -->

<!-- START_4516ed7f8e11b71227e8a3508b86a2e6 -->
## /api/elasticapi/v1/documents/latest/searchMain

> Example request:

```bash
curl -X POST "/api/elasticapi/v1/documents/latest/searchMain" \
    -H "Api-Version: v1" \
    -H "Content-Type: application/json" \
    -d '{ "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }'

```

```javascript
const url = new URL("/api/elasticapi/v1/documents/latest/searchMain");

let headers = {
    "Api-Version": "v1",
    "Content-Type": "application/json",
    "Accept": "application/json",
}

let body = { "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }

fetch(url, {
    method: "POST",
    headers: headers,
    body: body
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "document_germanc_1-0_1557150428",
            "_type": "doc",
            "_id": "v2iDjWoB6bp_h9Na2LFh",
            "_score": 7.2271786,
            "_ignored": [
                "document_history_not_after",
                "document_history_not_before",
                "document_history_original_date"
            ],
            "_source": {
                "document_title": [
                    "der Abenteurliche Simplicissimus Teutsch"
                ],
                "document_genre": [
                    "Narrative"
                ],
                "document_merged_authors": "Hans Jakob Christoffel von Grimmelshauen",
                "document_languages_iso_code": [
                    "de",
                    "de",
                    "de"
                ],
                "document_merged_languages": "de,de Early New High German, ModernGerman.,East Upper German",
                "document_list_of_annotations_id": [
                    "gap",
                    "gap_isEmptySpan",
                    "gap_xml_lang",
                    "norm",
                    "string",
                    "text",
                    "text_rend",
                    "foreign",
                    "foreign_rend",
                    "foreign_lang",
                    "lemma",
                    "pos",
                    "body",
                    "div",
                    "div_n",
                    "div_type",
                    "figure",
                    "head",
                    "hi",
                    "hi_rend",
                    "hi_span",
                    "lb",
                    "lb_isEmptyAndSpan",
                    "pID",
                    "p_par",
                    "author",
                    "bibl",
                    "date",
                    "fileDesc",
                    "notesStmt",
                    "publicationStmt",
                    "pubPlace",
                    "sourceDesc",
                    "title",
                    "titleStmt",
                    "morph",
                    "pDepID",
                    "pID",
                    "p_synt",
                    "l",
                    "lg",
                    "abbr",
                    "closer",
                    "gloss",
                    "label",
                    "note",
                    "note_place",
                    "opener",
                    "q",
                    "quote",
                    "quote_xml_lang",
                    "salute",
                    "salute_lang",
                    "sic",
                    "signed",
                    "TEI",
                    "TEI_xmlns",
                    "unclear",
                    "kind",
                    "length"
                ],
                "document_size_type": [
                    "Words"
                ],
                "document_publication_publishing_date": [
                    "1667"
                ],
                "document_size_extent": [
                    "2198"
                ],
                "document_publication_place": [
                    "Nürnberg"
                ],
                "document_author_surname": [
                    "von Grimmelshauen"
                ],
                "document_author_forename": [
                    "Hans Jakob Christoffel"
                ],
                "publication_status": "1",
                "corpus_name": "GerManC",
                "visibility": 1
            },
            "highlight": {
                "document_author_surname": [
                    "von <span class=\"laudatiohighlight\">Grimmelshauen<\/span>"
                ]
            }
        }
    ],
    "message": "1 document results retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`POST api/elasticapi/v1/documents/latest/searchMain`

#### Body Parameters

Parameter | Type | Status | Description
--------- | ------- | ------- | ------- | -----------
    Request | $request |  required  | {"searchData": {"from": '0', "size" : '10', "query": 'FOO'}}
    from | String |  required  | The offset to start the result from
    size | String |  required  | The limit of returned results
    query | String |  required  | The search query string

<!-- END_4516ed7f8e11b71227e8a3508b86a2e6 -->

<!-- START_08b66da5dae2717e2bf6fc1fab200587 -->
## /api/elasticapi/v1/documents/latest/searchMain/count

> Example request:

```bash
curl -X POST "/api/elasticapi/v1/documents/latest/searchMain/count" \
    -H "Api-Version: v1" \
    -H "Content-Type: application/json" \
    -d '{ "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }'

```

```javascript
const url = new URL("/api/elasticapi/v1/documents/latest/searchMain/count");

let headers = {
    "Api-Version": "v1",
    "Content-Type": "application/json",
    "Accept": "application/json",
}

let body = { "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }

fetch(url, {
    method: "POST",
    headers: headers,
    body: body
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": 1,
    "message": "Latest document result count retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`POST api/elasticapi/v1/documents/latest/searchMain/count`

#### Body Parameters

Parameter | Type | Status | Description
--------- | ------- | ------- | ------- | -----------
    Request | $request |  required  | {"searchData": {"from": '0', "size" : '10', "query": 'FOO'}}
    from | String |  required  | The offset to start the result from
    size | String |  required  | The limit of returned results
    query | String |  required  | The search query string

<!-- END_08b66da5dae2717e2bf6fc1fab200587 -->

<!-- START_5719bf400a449e61001647881f18a6b8 -->
## /api/elasticapi/v1/annotations

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/annotations" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/annotations");

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "annotation_anselm-_1-0_1556788249",
            "_type": "doc",
            "_id": "kmjZd2oB6bp_h9Na3IXZ",
            "_score": 1,
            "_source": {
                "preparation_encoding_project_url": [
                    " \"Interrogatio Sancti Anselmi de Passione Domini\" ('Questions by Saint Anselm about the Lord's Passion') is a medieval religious treatise which is documented in an exceptionally broad number of written records. In total, there are around 70 German manuscripts and prints written up between the 14th and 16th centuries. In the texts, Anselm of Canterbury asks questions to the Virgin Mary concerning the Passion of Jesus Christ. She answers him in the form of longer monologues. While the texts have comparable content, logical structure, and even (semi-)parallelity in sentence structure and wording, they do not follow fixed spelling conventions and show dialectal variations in graphematics, phonology, morphology, and syntax. This makes the corpus a highly interesting resource for comparative investigations in different areas such as linguistics, history or theology. The corpus is annotated on various layers, including normalization, morphology, part of speech and lemma annotation. ",
                    " \"Interrogatio Sancti Anselmi de Passione Domini\" ('Questions by Saint Anselm about the Lord's Passion') is a medieval religious treatise which is documented in an exceptionally broad number of written records. In total, there are around 70 German manuscripts and prints written up between the 14th and 16th centuries. In the texts, Anselm of Canterbury asks questions to the Virgin Mary concerning the Passion of Jesus Christ. She answers him in the form of longer monologues. While the texts have comparable content, logical structure, and even (semi-)parallelity in sentence structure and wording, they do not follow fixed spelling conventions and show dialectal variations in graphematics, phonology, morphology, and syntax. This makes the corpus a highly interesting resource for comparative investigations in different areas such as linguistics, history or theology. The corpus is annotated on various layers, including normalization, morphology, part of speech and lemma annotation. ",
                    " \"Interrogatio Sancti Anselmi de Passione Domini\" ('Questions by Saint Anselm about the Lord's Passion') is a medieval religious treatise which is documented in an exceptionally broad number of written records. In total, there are around 70 German manuscripts and prints written up between the 14th and 16th centuries. In the texts, Anselm of Canterbury asks questions to the Virgin Mary concerning the Passion of Jesus Christ. She answers him in the form of longer monologues. While the texts have comparable content, logical structure, and even (semi-)parallelity in sentence structure and wording, they do not follow fixed spelling conventions and show dialectal variations in graphematics, phonology, morphology, and syntax. This makes the corpus a highly interesting resource for comparative investigations in different areas such as linguistics, history or theology. The corpus is annotated on various layers, including normalization, morphology, part of speech and lemma annotation. "
                ],
                "preparation_title": [
                    "column"
                ],
                "elasticsearch_index_action": [
                    "index"
                ],
                "preparation_encoding_description": [
                    "Manual annotation of the columns of the text.",
                    "Import of the columns to CorA.",
                    "Conversion of CoraXML to Annis via Pepper"
                ],
                "preparation_author_annotator_affiliation_department": [
                    "Germanistisches Institut"
                ],
                "preparation_encoding_correction_status": [
                    "unknown",
                    "unknown",
                    "low"
                ],
                "preparation_encoding_correction_method": [
                    "manual",
                    "manual",
                    "manual"
                ],
                "corpus_editor_forename": [
                    "Stefanie",
                    "Simone"
                ],
                "preparation_author_rolle": [
                    "Annotator"
                ],
                "generated_id": "a1bb0393-d2ba-4bf2-988c-6103317c3c52",
                "preparation_author_infrastructure_forename": [],
                "preparation_author_infrastructure_affiliation_institution": [],
                "preparation_publication_tag_description": [
                    "Facsimile in pdf format"
                ],
                "@version": "1",
                "preparation_author_transcription_surname": [],
                "preparation_encoding_tool_version": [
                    "0.0",
                    "1.4",
                    "3.0"
                ],
                "preparation_encoding_file_extension": [
                    "txt",
                    "XML",
                    "relannis"
                ],
                "port": 39682,
                "preparation_publication_release_type": [
                    "AnnotationRelease"
                ],
                "preparation_author_transcription_forename": [],
                "preparation_encoding_segmentation_type": [
                    "NA",
                    "NA",
                    "NA"
                ],
                "host": "127.0.0.1",
                "preparation_encoding_full_name": [
                    "Microsoft Word",
                    "CorA",
                    "ANNIS"
                ],
                "in_corpora": "corpus_anselm-_1-0_1556788249",
                "preparation_encoding_normalization_method": [
                    "None",
                    "None",
                    "None"
                ],
                "preparation_encoding_encoding_description": [
                    "NA",
                    "NA"
                ],
                "preparation_encoding_correction_description": [
                    "Collation and Inspection.",
                    "NA",
                    "NA"
                ],
                "preparation_author_annotator_surname": [
                    "Projektgruppe Germanistik"
                ],
                "preparation_encoding_models": [
                    "Manual",
                    "Automatic",
                    "Automatic"
                ],
                "preparation_author_infrastructure_surname": [],
                "preparation_encoding_segmentation_style": [
                    "Independent",
                    "Independent",
                    "Independent"
                ],
                "preparation_author_transcription_affilitation_institution": [],
                "preparation_revision_corpus_version": [
                    "1"
                ],
                "preparation_encoding_segmentation_description": [
                    "The annotation is independent.",
                    "The annotation is independent.",
                    "The annotation is independent."
                ],
                "annotation_merged_formats": "Microsoft Word,CorA,ANNIS Word,CorA,ANNIS",
                "type": "doc",
                "preparation_encoding_step": [
                    "Transcription",
                    "Import",
                    "Conversion"
                ],
                "preparation_author_annotator_forename": [
                    "NA"
                ],
                "preparation_publication_tag_reference": [
                    "https:\/\/www.linguistics.rub.de\/anselm\/corpus\/german.html"
                ],
                "@timestamp": "2019-05-02T09:22:07.592Z",
                "corpus_editor_surname": [
                    "Dipper",
                    "Schultz-Balluff"
                ],
                "preparation_size_type": [
                    "Tokens"
                ],
                "preparation_publication_license_description": [
                    "NA"
                ],
                "preparation_encoding_normalization_description": [
                    "NA",
                    "NA",
                    "NA"
                ],
                "preparation_publication_release_date": [
                    "2018-12-20"
                ],
                "preparation_encoding_annotation_group": [
                    "Transcription",
                    "Graphical",
                    "Graphical"
                ],
                "preparation_encoding_tool": [
                    "Word",
                    "CorA",
                    "ANNIS"
                ],
                "preparation_size_value": [
                    "3071"
                ],
                "preparation_author_transcription_affiliation_department": [],
                "corpus_editor_affiliation_institution": [
                    "Ruhr-Universität Bochum",
                    "Ruhr-Universität Bochum"
                ],
                "preparation_encoding_project_description": [],
                "preparation_revision_publishing_date": [
                    "2018-12-20"
                ],
                "corpus_editor_affiliation_department": [
                    "Sprachwissenschaftliches Institut",
                    "Germanistisches Institut"
                ],
                "preparation_author_infrastructure_affiliation_department": [],
                "preparation_encoding_annotation_sub_group": [
                    "NA",
                    "NA",
                    "NA"
                ],
                "preparation_author_annotator_affiliation_institution": [
                    "Ruhr-Universität Bochum"
                ],
                "elasticsearch_documentid": [],
                "preparation_revision_description": [
                    "First release."
                ],
                "preparation_annotation_id": [
                    "column"
                ],
                "elasticsearch_index": [
                    "annotation_anselm-_1-0_1556788249"
                ],
                "in_documents": [
                    "02gSeGoB6bp_h9NaXYV8",
                    "1GgSeGoB6bp_h9NaiIUK",
                    "1WgSeGoB6bp_h9NasoX6",
                    "1mgSeGoB6bp_h9Na3YUA",
                    "12gTeGoB6bp_h9NaB4UG",
                    "2GgTeGoB6bp_h9NaMIW4",
                    "2WgTeGoB6bp_h9NaV4VT",
                    "2mgTeGoB6bp_h9NagIVE",
                    "22gTeGoB6bp_h9NaqYXP",
                    "3GgTeGoB6bp_h9Na0oVC",
                    "3WgTeGoB6bp_h9Na_IWb",
                    "3mgUeGoB6bp_h9NaJoWK",
                    "32gUeGoB6bp_h9NaUIW9",
                    "4GgUeGoB6bp_h9NaeoVI",
                    "4WgUeGoB6bp_h9NapYUJ",
                    "4mgUeGoB6bp_h9Naz4Vv",
                    "42gUeGoB6bp_h9Na-oUq",
                    "5GgVeGoB6bp_h9NaJIWg",
                    "5WgVeGoB6bp_h9NaTYVV",
                    "5mgVeGoB6bp_h9Nad4VY",
                    "52gVeGoB6bp_h9NaoIV6",
                    "6GgVeGoB6bp_h9Na74Vs",
                    "6WgWeGoB6bp_h9NaF4Xu",
                    "6mgWeGoB6bp_h9NaQYVY",
                    "62gWeGoB6bp_h9Naa4X0",
                    "7GgWeGoB6bp_h9NaloWk",
                    "7WgWeGoB6bp_h9NawYVE",
                    "7mgWeGoB6bp_h9Na64Xk",
                    "72gXeGoB6bp_h9NaF4Ul",
                    "8GgXeGoB6bp_h9NaP4Xd",
                    "8WgXeGoB6bp_h9NaaoWe",
                    "8mgXeGoB6bp_h9NalIX8",
                    "82gXeGoB6bp_h9Nav4UN",
                    "9GgXeGoB6bp_h9Na6YUg",
                    "9WgYeGoB6bp_h9NaE4XF",
                    "9mgYeGoB6bp_h9NaPoWp",
                    "92gYeGoB6bp_h9NaaYWY",
                    "-GgYeGoB6bp_h9NakYXi",
                    "-WgYeGoB6bp_h9Nau4Uw",
                    "-mgYeGoB6bp_h9Na5YVw",
                    "-2gZeGoB6bp_h9NaDYXr",
                    "_GgZeGoB6bp_h9NaNoWb",
                    "_WgZeGoB6bp_h9NaXoVU",
                    "_mgZeGoB6bp_h9NaiIWN",
                    "_2gZeGoB6bp_h9Nas4WS",
                    "AGgZeGoB6bp_h9Na3Ia7",
                    "AWgaeGoB6bp_h9NaB4bR",
                    "AmgaeGoB6bp_h9NaMoah",
                    "A2gaeGoB6bp_h9NaXYbR",
                    "BGgaeGoB6bp_h9NaiIZA",
                    "BWgaeGoB6bp_h9Nas4aY",
                    "BmgaeGoB6bp_h9Na3oZS",
                    "B2gbeGoB6bp_h9NaDIb-",
                    "CGgbeGoB6bp_h9NaOIZU",
                    "CWgbeGoB6bp_h9NaY4Zb",
                    "CmgbeGoB6bp_h9NajobP",
                    "C2gbeGoB6bp_h9NauYaZ",
                    "DGgbeGoB6bp_h9Na5YYX",
                    "DWgceGoB6bp_h9NaEIYl",
                    "DmgceGoB6bp_h9NaO4aZ"
                ],
                "publication_status": "1",
                "publication_version": "1.0"
            }
        }
    ],
    "message": "1 annotation retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/annotations`


<!-- END_5719bf400a449e61001647881f18a6b8 -->

<!-- START_c8088f668510943b74b27fc3f2b2a279 -->
## /api/elasticapi/v1/annotations/latest/count

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/annotations/latest/count" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/annotations/latest/count");

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "count": 884,
        "_shards": {
            "total": 21,
            "successful": 21,
            "skipped": 0,
            "failed": 0
        }
    },
    "message": " Latest annotations count retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/annotations/latest/count`


<!-- END_c8088f668510943b74b27fc3f2b2a279 -->

<!-- START_dae793d76c7b22ee1a4ab7c8150368b6 -->
## /api/elasticapi/v1/annotations/latest/{from}/{size}

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/annotations/latest/0/100?from=sit&size=iste" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/annotations/latest/0/100");

    let params = {
            "from": "sit",
            "size": "iste",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "annotation_anselm-_1-0_1556788249",
            "_type": "doc",
            "_id": "kmjZd2oB6bp_h9Na3IXZ",
            "_score": 1,
            "_source": {
                "in_documents": [
                    "02gSeGoB6bp_h9NaXYV8",
                    "1GgSeGoB6bp_h9NaiIUK",
                    "1WgSeGoB6bp_h9NasoX6",
                    "1mgSeGoB6bp_h9Na3YUA",
                    "12gTeGoB6bp_h9NaB4UG",
                    "2GgTeGoB6bp_h9NaMIW4",
                    "2WgTeGoB6bp_h9NaV4VT",
                    "2mgTeGoB6bp_h9NagIVE",
                    "22gTeGoB6bp_h9NaqYXP",
                    "3GgTeGoB6bp_h9Na0oVC",
                    "3WgTeGoB6bp_h9Na_IWb",
                    "3mgUeGoB6bp_h9NaJoWK",
                    "32gUeGoB6bp_h9NaUIW9",
                    "4GgUeGoB6bp_h9NaeoVI",
                    "4WgUeGoB6bp_h9NapYUJ",
                    "4mgUeGoB6bp_h9Naz4Vv",
                    "42gUeGoB6bp_h9Na-oUq",
                    "5GgVeGoB6bp_h9NaJIWg",
                    "5WgVeGoB6bp_h9NaTYVV",
                    "5mgVeGoB6bp_h9Nad4VY",
                    "52gVeGoB6bp_h9NaoIV6",
                    "6GgVeGoB6bp_h9Na74Vs",
                    "6WgWeGoB6bp_h9NaF4Xu",
                    "6mgWeGoB6bp_h9NaQYVY",
                    "62gWeGoB6bp_h9Naa4X0",
                    "7GgWeGoB6bp_h9NaloWk",
                    "7WgWeGoB6bp_h9NawYVE",
                    "7mgWeGoB6bp_h9Na64Xk",
                    "72gXeGoB6bp_h9NaF4Ul",
                    "8GgXeGoB6bp_h9NaP4Xd",
                    "8WgXeGoB6bp_h9NaaoWe",
                    "8mgXeGoB6bp_h9NalIX8",
                    "82gXeGoB6bp_h9Nav4UN",
                    "9GgXeGoB6bp_h9Na6YUg",
                    "9WgYeGoB6bp_h9NaE4XF",
                    "9mgYeGoB6bp_h9NaPoWp",
                    "92gYeGoB6bp_h9NaaYWY",
                    "-GgYeGoB6bp_h9NakYXi",
                    "-WgYeGoB6bp_h9Nau4Uw",
                    "-mgYeGoB6bp_h9Na5YVw",
                    "-2gZeGoB6bp_h9NaDYXr",
                    "_GgZeGoB6bp_h9NaNoWb",
                    "_WgZeGoB6bp_h9NaXoVU",
                    "_mgZeGoB6bp_h9NaiIWN",
                    "_2gZeGoB6bp_h9Nas4WS",
                    "AGgZeGoB6bp_h9Na3Ia7",
                    "AWgaeGoB6bp_h9NaB4bR",
                    "AmgaeGoB6bp_h9NaMoah",
                    "A2gaeGoB6bp_h9NaXYbR",
                    "BGgaeGoB6bp_h9NaiIZA",
                    "BWgaeGoB6bp_h9Nas4aY",
                    "BmgaeGoB6bp_h9Na3oZS",
                    "B2gbeGoB6bp_h9NaDIb-",
                    "CGgbeGoB6bp_h9NaOIZU",
                    "CWgbeGoB6bp_h9NaY4Zb",
                    "CmgbeGoB6bp_h9NajobP",
                    "C2gbeGoB6bp_h9NauYaZ",
                    "DGgbeGoB6bp_h9Na5YYX",
                    "DWgceGoB6bp_h9NaEIYl",
                    "DmgceGoB6bp_h9NaO4aZ"
                ],
                "preparation_title": [
                    "column"
                ],
                "preparation_annotation_id": [
                    "column"
                ],
                "preparation_encoding_full_name": [
                    "Microsoft Word",
                    "CorA",
                    "ANNIS"
                ],
                "preparation_encoding_annotation_group": [
                    "Transcription",
                    "Graphical",
                    "Graphical"
                ],
                "preparation_encoding_annotation_sub_group": [
                    "NA",
                    "NA",
                    "NA"
                ],
                "annotation_merged_formats": "Microsoft Word,CorA,ANNIS Word,ANNIS",
                "publication_status": "1",
                "corpus_name": "Anselm Corpus",
                "visibility": 1
            }
        }
    ],
    "message": "1 Latest version of published Documents retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/annotations/latest/{from}/{size}`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    from |  required  | The offset to start the result from
    size |  required  | The limit of returned results

<!-- END_dae793d76c7b22ee1a4ab7c8150368b6 -->

<!-- START_90e1a3bc20d92ad5d9a423fc71a0d0b9 -->
## /api/elasticapi/v1/annotations/{id}/{index}

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/annotations/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034?id=quaerat&index=debitis" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/annotations/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034");

    let params = {
            "id": "quaerat",
            "index": "debitis",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response:

```json
null
```

### HTTP Request
`GET api/elasticapi/v1/annotations/{id}/{index}`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    id |  required  | The identifier of the document
    index |  required  | The elastic search index of the document

<!-- END_90e1a3bc20d92ad5d9a423fc71a0d0b9 -->

<!-- START_696edf70df2a1c64bd3e05ff868d7684 -->
## /api/elasticapi/v1/annotations/{id}/{index}/documents

> Example request:

```bash
curl -X GET -G "/api/elasticapi/v1/annotations/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/documents?id=veniam&index=ea" \
    -H "Api-Version: v1"
```

```javascript
const url = new URL("/api/elasticapi/v1/annotations/dGhNsGoB6bp_h9Nar9dI/corpus_marchenkorpus-version-1-0_1-0_1557736034/documents");

    let params = {
            "id": "veniam",
            "index": "ea",
        };
    Object.keys(params).forEach(key => url.searchParams.append(key, params[key]));

let headers = {
    "Api-Version": "v1",
    "Accept": "application/json",
    "Content-Type": "application/json",
}

fetch(url, {
    method: "GET",
    headers: headers,
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": {
        "_index": "annotation_marchenkorpus-version-1-0_1-0_1557736034",
        "_type": "doc",
        "_id": "x2iAsGoB6bp_h9NantiB",
        "_version": 218,
        "found": true,
        "_source": {
            "preparation_encoding_project_description": [],
            "in_documents": [
                "7WhOsGoB6bp_h9NaFNcz",
                "7mhOsGoB6bp_h9NaQNfJ",
                "8GhOsGoB6bp_h9Nak9dt",
                "72hOsGoB6bp_h9NaZ9e7",
                "82hPsGoB6bp_h9NaFtdy",
                "9GhPsGoB6bp_h9NaQNeu",
                "9WhPsGoB6bp_h9NabNcp",
                "8WhOsGoB6bp_h9Navtfr",
                "9mhPsGoB6bp_h9NalteK",
                "8mhOsGoB6bp_h9Na69ce",
                "C2hTsGoB6bp_h9NaGNj-",
                "D2hTsGoB6bp_h9Naxtgm",
                "CGhSsGoB6bp_h9NamNh7",
                "CmhSsGoB6bp_h9Na7NjB",
                "DWhTsGoB6bp_h9Nab9jZ",
                "DGhTsGoB6bp_h9NaRdgx",
                "DmhTsGoB6bp_h9Nam9il",
                "CWhSsGoB6bp_h9Nawth2",
                "G2hVsGoB6bp_h9Na2NgC",
                "HGhWsGoB6bp_h9NaBNgY",
                "HWhWsGoB6bp_h9NaMNiS",
                "HmhWsGoB6bp_h9NaXdhA",
                "H2hWsGoB6bp_h9NaidgS",
                "GmhVsGoB6bp_h9Naq9if",
                "GGhVsGoB6bp_h9NaUdgt",
                "GWhVsGoB6bp_h9NafdjF",
                "LGhYsGoB6bp_h9NayNjI",
                "KmhYsGoB6bp_h9NabtjI",
                "KWhYsGoB6bp_h9NaQthx",
                "K2hYsGoB6bp_h9Nam9iD",
                "LWhYsGoB6bp_h9Na8thN",
                "LmhZsGoB6bp_h9NaH9h-",
                "KGhYsGoB6bp_h9NaFtic",
                "L2hZsGoB6bp_h9NaTNig",
                "OGhasGoB6bp_h9Na1tiV",
                "PGhbsGoB6bp_h9Nahdgh",
                "PmhbsGoB6bp_h9Na5dhD",
                "OWhasGoB6bp_h9Na_9ip",
                "OmhbsGoB6bp_h9NaKtht",
                "O2hbsGoB6bp_h9NaV9iE",
                "PWhbsGoB6bp_h9NartjE",
                "P2hcsGoB6bp_h9NaEth5",
                "SWhdsGoB6bp_h9Na1tgF",
                "SGhdsGoB6bp_h9NaqNhj",
                "TWhesGoB6bp_h9NajNjl",
                "SmhesGoB6bp_h9NaA9hG",
                "TGhesGoB6bp_h9NaXthM",
                "TmhesGoB6bp_h9Na5ths",
                "S2hesGoB6bp_h9NaMNjV",
                "T2hfsGoB6bp_h9NaFNij",
                "W2hhsGoB6bp_h9NaO9gd",
                "XWhhsGoB6bp_h9NaoNh2",
                "XGhhsGoB6bp_h9NabthK",
                "WmhhsGoB6bp_h9NaCthC",
                "XmhhsGoB6bp_h9Na1NjF",
                "WWhgsGoB6bp_h9Na3NgS",
                "X2hisGoB6bp_h9NaBNiI",
                "WGhgsGoB6bp_h9Nardit",
                "aWhjsGoB6bp_h9Na9Njy",
                "aGhjsGoB6bp_h9NaxNju",
                "amhksGoB6bp_h9NaLdis",
                "bmhksGoB6bp_h9Na5tin",
                "bGhksGoB6bp_h9Naidgd",
                "b2hlsGoB6bp_h9NaEdg5",
                "a2hksGoB6bp_h9NaW9iX",
                "bWhksGoB6bp_h9Nat9jS",
                "eGhmsGoB6bp_h9NarNgq",
                "fWhnsGoB6bp_h9NalNhY",
                "fGhnsGoB6bp_h9NaZdgk",
                "emhnsGoB6bp_h9NaCdj4",
                "e2hnsGoB6bp_h9NaONjT",
                "eWhmsGoB6bp_h9Na2tjb",
                "fmhnsGoB6bp_h9Naw9gk",
                "f2hnsGoB6bp_h9Na89hI",
                "j2hqsGoB6bp_h9Na39j5",
                "iWhpsGoB6bp_h9Naxtgc",
                "imhpsGoB6bp_h9Na9NiQ",
                "i2hqsGoB6bp_h9NaI9jG",
                "iGhpsGoB6bp_h9Nal9hj",
                "jGhqsGoB6bp_h9NaU9ge",
                "jWhqsGoB6bp_h9Nagdj9",
                "jmhqsGoB6bp_h9NasNjk",
                "mmhssGoB6bp_h9Na09gp",
                "n2htsGoB6bp_h9NawNiJ",
                "nWhtsGoB6bp_h9NaYtjH",
                "nGhtsGoB6bp_h9NaMtjd",
                "mWhssGoB6bp_h9Nap9hm",
                "m2htsGoB6bp_h9NaA9gl",
                "nmhtsGoB6bp_h9NakNie",
                "mGhssGoB6bp_h9Nad9in",
                "qWhvsGoB6bp_h9Namdij",
                "r2hwsGoB6bp_h9Nardh2",
                "qGhvsGoB6bp_h9NabNga",
                "q2hvsGoB6bp_h9Na9ti6",
                "rWhwsGoB6bp_h9NaU9hW",
                "rGhwsGoB6bp_h9NaIthr",
                "qmhvsGoB6bp_h9NaydjP",
                "rmhwsGoB6bp_h9NafdiM",
                "_mhQsGoB6bp_h9Na6NfU",
                "-2hQsGoB6bp_h9NabNcD",
                "-WhQsGoB6bp_h9NaGdfg",
                "_WhQsGoB6bp_h9Nav9d5",
                "-GhPsGoB6bp_h9Na7dfZ",
                "_GhQsGoB6bp_h9Naltdk",
                "_2hRsGoB6bp_h9NaE9el",
                "92hPsGoB6bp_h9NawtdO",
                "-mhQsGoB6bp_h9NaRdd6",
                "AWhRsGoB6bp_h9NaZtiO",
                "AmhRsGoB6bp_h9Naktgb",
                "A2hRsGoB6bp_h9NavthW",
                "BWhSsGoB6bp_h9NaFNh0",
                "B2hSsGoB6bp_h9NabNg-",
                "BmhSsGoB6bp_h9NaP9jE",
                "BGhRsGoB6bp_h9Na6thC",
                "AGhRsGoB6bp_h9NaPNj1",
                "E2hUsGoB6bp_h9Naddhb",
                "F2hVsGoB6bp_h9NaJNie",
                "EWhUsGoB6bp_h9NaHtin",
                "FmhUsGoB6bp_h9Na-Nga",
                "FGhUsGoB6bp_h9NaoNgY",
                "EmhUsGoB6bp_h9NaSdir",
                "FWhUsGoB6bp_h9Nay9ir",
                "EGhTsGoB6bp_h9Na8tgR",
                "JGhXsGoB6bp_h9NaZdiW",
                "JWhXsGoB6bp_h9Naj9i9",
                "ImhXsGoB6bp_h9NaDNiG",
                "IWhWsGoB6bp_h9Na4NhC",
                "IGhWsGoB6bp_h9Natdiz",
                "JmhXsGoB6bp_h9NavNiy",
                "I2hXsGoB6bp_h9NaONhx",
                "J2hXsGoB6bp_h9Na6dhw",
                "MWhZsGoB6bp_h9NapNjj",
                "N2hasGoB6bp_h9NaqdiR",
                "M2hZsGoB6bp_h9Na_NiU",
                "MGhZsGoB6bp_h9NaeNgy",
                "NGhasGoB6bp_h9NaJtiA",
                "MmhZsGoB6bp_h9Na0Ngw",
                "NmhasGoB6bp_h9NafNhZ",
                "NWhasGoB6bp_h9NaUdg7",
                "QGhcsGoB6bp_h9NaQNgt",
                "QWhcsGoB6bp_h9Nabdjp",
                "R2hdsGoB6bp_h9NaediD",
                "RGhcsGoB6bp_h9Na8diO",
                "RmhdsGoB6bp_h9NaStjW",
                "QmhcsGoB6bp_h9Nam9hs",
                "RWhdsGoB6bp_h9NaH9g5",
                "Q2hcsGoB6bp_h9Naydh7",
                "VWhgsGoB6bp_h9NaJthY",
                "VGhfsGoB6bp_h9Na-til",
                "UWhfsGoB6bp_h9NacdjB",
                "UGhfsGoB6bp_h9NaQ9gc",
                "UmhfsGoB6bp_h9Nan9hD",
                "U2hfsGoB6bp_h9NazdgP",
                "V2hgsGoB6bp_h9Naf9hL",
                "VmhgsGoB6bp_h9NaVdgJ",
                "ZGhisGoB6bp_h9Na_djf",
                "YmhisGoB6bp_h9Nandi-",
                "YWhisGoB6bp_h9NaaNjT",
                "ZWhjsGoB6bp_h9NaLdhx",
                "ZmhjsGoB6bp_h9NaX9gq",
                "Z2hjsGoB6bp_h9Naktjx",
                "Y2hisGoB6bp_h9NazdgE",
                "YGhisGoB6bp_h9NaNdjM",
                "cGhlsGoB6bp_h9NaPth5",
                "dWhmsGoB6bp_h9NaJNja",
                "dGhlsGoB6bp_h9Na-dg8",
                "cWhlsGoB6bp_h9NabdhV",
                "d2hmsGoB6bp_h9Nagdh6",
                "dmhmsGoB6bp_h9NaU9ge",
                "c2hlsGoB6bp_h9Nay9gp",
                "cmhlsGoB6bp_h9NanNhB",
                "gWhosGoB6bp_h9NaU9gi",
                "hmhpsGoB6bp_h9NaPNhR",
                "g2hosGoB6bp_h9Nasdjb",
                "gmhosGoB6bp_h9NagtgN",
                "gGhosGoB6bp_h9NaI9jr",
                "hWhpsGoB6bp_h9NaD9hS",
                "h2hpsGoB6bp_h9NaaNgs",
                "hGhosGoB6bp_h9Na39ij",
                "l2hssGoB6bp_h9NaSNjp",
                "kWhrsGoB6bp_h9NaNdjU",
                "kmhrsGoB6bp_h9NaZdgC",
                "lWhrsGoB6bp_h9Na7Nj9",
                "lGhrsGoB6bp_h9NawNh4",
                "k2hrsGoB6bp_h9NalNiX",
                "kGhrsGoB6bp_h9NaCtg9",
                "lmhssGoB6bp_h9NaGti8",
                "o2husGoB6bp_h9Nafthy",
                "oWhusGoB6bp_h9NaH9j_",
                "pmhvsGoB6bp_h9NaDdie",
                "pGhusGoB6bp_h9Nartgs",
                "omhusGoB6bp_h9NaT9gc",
                "p2hvsGoB6bp_h9NaPNh3",
                "pWhusGoB6bp_h9Na3di6",
                "oGhtsGoB6bp_h9Na8Nht",
                "sWhxsGoB6bp_h9NaDtjT",
                "tmhxsGoB6bp_h9Na_th9",
                "s2hxsGoB6bp_h9NabNh2",
                "smhxsGoB6bp_h9NaPthx",
                "t2hysGoB6bp_h9NaLthu",
                "sGhwsGoB6bp_h9Na3tgh",
                "tWhxsGoB6bp_h9Nazdhn",
                "tGhxsGoB6bp_h9NanNif",
                "uGhysGoB6bp_h9NaWtj2",
                "uWhysGoB6bp_h9Nahdgs",
                "umhysGoB6bp_h9Natdhy",
                "u2hysGoB6bp_h9Na5dj2",
                "vGhzsGoB6bp_h9NaFtg7",
                "vWhzsGoB6bp_h9NaQtiu",
                "vmhzsGoB6bp_h9Nac9gW",
                "yGiisGoB6bp_h9NatNiO",
                "92hPsGoB6bp_h9NawtdO"
            ],
            "preparation_encoding_tool_version": [
                "3.2",
                "3.0"
            ],
            "preparation_encoding_annotation_group": [
                "Transcription",
                "Lexical"
            ],
            "publication_version": "1.0",
            "preparation_author_annotator_affiliation_institution": [],
            "preparation_author_infrastructure_surname": [
                "Odebrecht"
            ],
            "preparation_author_transcription_affiliation_department": [],
            "preparation_publication_license_description": [
                "Annotation ist mit der ersten Version des Märchenkorpus veröffentlicht worden."
            ],
            "preparation_author_rolle": [
                "Infrastructure"
            ],
            "type": "doc",
            "annotation_merged_formats": "Treetagger,Search and Visualization tool ANNIS- Treetagger,ANNIS",
            "preparation_encoding_models": [
                "Automatic",
                "Automatic"
            ],
            "preparation_encoding_step": [
                "Tokenization",
                "Converting"
            ],
            "preparation_author_infrastructure_affiliation_institution": [
                "Humboldt-Universität zu Berlin"
            ],
            "elasticsearch_index": [
                "annotation_marchenkorpus-version-1-0_1-0_1557736034"
            ],
            "preparation_publication_tag_description": [
                " Faksimilia in PDF-Format. "
            ],
            "preparation_encoding_encoding_description": [
                "NA"
            ],
            "preparation_revision_corpus_version": [
                "1.0"
            ],
            "host": "127.0.0.1",
            "preparation_author_annotator_forename": [],
            "preparation_encoding_normalization_method": [
                "None",
                "None"
            ],
            "preparation_author_infrastructure_affiliation_department": [
                "Institut für deutsche Sprache und Linguistik"
            ],
            "preparation_author_annotator_surname": [],
            "corpus_editor_forename": [
                "Maik"
            ],
            "port": 43198,
            "preparation_encoding_description": [
                "Tokenisierung der Transkription 'text'.",
                "Konverstierung der Annotationsebene 'tok' vom treetaggeroutput nach relANNIS via SaltNPepper (https:\/\/korpling.german.hu-berlin.de\/p\/projects\/saltnpepper\/wiki\/)."
            ],
            "generated_id": "d4fbe801-47ef-4413-92d8-cbef21feebd5",
            "preparation_author_transcription_surname": [],
            "preparation_encoding_tool": [
                "Treetagger",
                "ANNIS"
            ],
            "preparation_size_value": [
                "295880"
            ],
            "preparation_encoding_correction_status": [
                "low",
                "low"
            ],
            "preparation_revision_publishing_date": [
                "2013"
            ],
            "elasticsearch_documentid": [],
            "preparation_author_annotator_affiliation_department": [],
            "preparation_encoding_project_url": [
                " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). ",
                " Das Märchenkorpus enthält die 201 Kinder- und Hausmärchen sowie die im 2. Band abgedruckten 10 Kinderlegenden in der von den Brüder Grimm herausgegeben Ausgabe letzter Hand. Das Korpus wurde für das Vertiefungsseminar \"Dramapädagogik des Märchens: Linguistik, Didaktik und Theater\" kompiliert und aufbereitet. Das Vertiefungsseminar fand im Sommersemester 2013 am Deutschen Seminar der Universität Tübingen unter Leitung von Maik Walter statt (vgl. Maik Walter (i.E.): Es VERBte (ein)mal. Linguistisches Forschungstheater im Grimm-Jahr 2013. Erscheint in Zeitschrift für Theaterpädagogik 63. 29.Jahrgang. Themenheft: Forschung, Fachdiskurse und Labore). "
            ],
            "preparation_annotation_id": [
                "tok"
            ],
            "preparation_title": [
                "tok"
            ],
            "preparation_revision_description": [
                "NA"
            ],
            "preparation_encoding_normalization_description": [
                "Keine Normalisierung.",
                "Keine Normalisierung."
            ],
            "preparation_author_transcription_forename": [],
            "corpus_editor_surname": [
                "Walter"
            ],
            "@version": "1",
            "preparation_encoding_annotation_sub_group": [
                "NA",
                "NA"
            ],
            "corpus_editor_affiliation_department": [
                "Institut für deutsche Sprache und Linguistik"
            ],
            "in_corpora": "corpus_marchenkorpus-version-1-0_1-0_1557736034",
            "publication_status": "1",
            "preparation_encoding_segmentation_description": [
                "Keine spezifische Segmentation.",
                "Keine spezifische Segmentation."
            ],
            "elasticsearch_index_action": [
                "index"
            ],
            "preparation_publication_release_type": [
                "AnnotationRelease"
            ],
            "preparation_encoding_correction_description": [
                "Keine Korrekturen.",
                "Keine Korrekturen."
            ],
            "preparation_encoding_segmentation_type": [
                "NA",
                "NA"
            ],
            "preparation_publication_release_date": [
                "2013"
            ],
            "corpus_editor_affiliation_institution": [
                "Humboldt-Universität zu Berlin"
            ],
            "@timestamp": "2019-05-13T09:23:00.229Z",
            "preparation_author_transcription_affilitation_institution": [],
            "preparation_size_type": [
                "Tokens"
            ],
            "preparation_encoding_full_name": [
                "Treetagger",
                "Search and Visualization tool ANNIS-"
            ],
            "preparation_author_infrastructure_forename": [
                "Carolin"
            ],
            "preparation_encoding_file_extension": [
                "treetaggeroutput",
                "relANNIS"
            ],
            "preparation_publication_tag_reference": [
                "http:\/\/commons.wikimedia.org\/wiki\/Category:Kinder_und_Hausmärchen_(Grimm)_1857_II"
            ],
            "preparation_encoding_segmentation_style": [
                "Independent",
                "Independent"
            ],
            "preparation_encoding_correction_method": [
                "manual",
                "manual"
            ]
        }
    },
    "message": "Annotation retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`GET api/elasticapi/v1/annotations/{id}/{index}/documents`

#### Query Parameters

Parameter | Status | Description
--------- | ------- | ------- | -----------
    id |  required  | The identifier of the document
    index |  required  | The elastic search index of the document

<!-- END_696edf70df2a1c64bd3e05ff868d7684 -->

<!-- START_7608aa6a85151f9ad23d5cf6f66430a8 -->
## /api/elasticapi/v1/documents/latest/searchMain

> Example request:

```bash
curl -X POST "/api/elasticapi/v1/annotations/latest/searchMain" \
    -H "Api-Version: v1" \
    -H "Content-Type: application/json" \
    -d '{ "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }'

```

```javascript
const url = new URL("/api/elasticapi/v1/annotations/latest/searchMain");

let headers = {
    "Api-Version": "v1",
    "Content-Type": "application/json",
    "Accept": "application/json",
}

let body = { "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }

fetch(url, {
    method: "POST",
    headers: headers,
    body: body
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": [
        {
            "_index": "annotation_germanc_1-0_1557150428",
            "_type": "doc",
            "_id": "IWgFkmoB6bp_h9Na9bWn",
            "_score": 6.576351,
            "_source": {
                "in_documents": [
                    "pGhmjWoB6bp_h9NamK_p",
                    "p2hmjWoB6bp_h9NayK8m",
                    "qWhmjWoB6bp_h9Na8q8s",
                    "q2hnjWoB6bp_h9NaHq8t",
                    "r2hnjWoB6bp_h9Nac6_Z",
                    "uGhojWoB6bp_h9NaMK9J",
                    "s2hnjWoB6bp_h9Na0q9W",
                    "tmhojWoB6bp_h9NaAK9Q",
                    "sWhnjWoB6bp_h9Nao68S",
                    "rWhnjWoB6bp_h9NaSa89",
                    "4WhrjWoB6bp_h9NaiK8U",
                    "7WhsjWoB6bp_h9Nalq8i",
                    "62hsjWoB6bp_h9NaZq8E",
                    "6WhsjWoB6bp_h9NaN6-f",
                    "52hsjWoB6bp_h9NaC6-e",
                    "42hrjWoB6bp_h9Nata9Y",
                    "5WhrjWoB6bp_h9Na4K_k",
                    "3mhrjWoB6bp_h9NaWK_2",
                    "B2hujWoB6bp_h9NawbB2",
                    "BWhujWoB6bp_h9NalLDL",
                    "CWhujWoB6bp_h9Na77Bx",
                    "DWhvjWoB6bp_h9NaTrC-",
                    "D2hvjWoB6bp_h9NafLDR",
                    "A2hujWoB6bp_h9NaZbAa",
                    "C2hvjWoB6bp_h9NaHbDF",
                    "AWhujWoB6bp_h9NaN7DL",
                    "G2hxjWoB6bp_h9NavLBj",
                    "HGhxjWoB6bp_h9Na7rAf",
                    "H2hyjWoB6bp_h9NaSbCM",
                    "GmhxjWoB6bp_h9NajrAh",
                    "GWhxjWoB6bp_h9NaXbAp",
                    "GGhxjWoB6bp_h9NaLLCR",
                    "IGhyjWoB6bp_h9NadrBH",
                    "HWhyjWoB6bp_h9NaGbDx",
                    "LWh0jWoB6bp_h9Na6rBh",
                    "LGh0jWoB6bp_h9NaubA6",
                    "KWh0jWoB6bp_h9NaJbCM",
                    "Lmh1jWoB6bp_h9NaHrAZ",
                    "MGh1jWoB6bp_h9NagbC5",
                    "Kmh0jWoB6bp_h9NaV7B5",
                    "L2h1jWoB6bp_h9NaT7CF",
                    "K2h0jWoB6bp_h9Nah7Cq",
                    "QGh7jWoB6bp_h9NatLA9",
                    "OWh6jWoB6bp_h9NaW7CQ",
                    "P2h7jWoB6bp_h9Nag7CJ",
                    "Pmh7jWoB6bp_h9NaUrA9",
                    "PWh7jWoB6bp_h9NaILA2",
                    "O2h6jWoB6bp_h9NawLDG",
                    "Omh6jWoB6bp_h9NajbCI",
                    "PGh6jWoB6bp_h9Na77Dm",
                    "T2h-jWoB6bp_h9NanrDR",
                    "Tmh-jWoB6bp_h9Nab7Cg",
                    "SWh9jWoB6bp_h9NaebAN",
                    "Smh9jWoB6bp_h9Naq7Cz",
                    "TGh-jWoB6bp_h9NaDbAW",
                    "UGh-jWoB6bp_h9NazrCK",
                    "TWh-jWoB6bp_h9NaPrC9",
                    "S2h9jWoB6bp_h9Na3bCc",
                    "WmiAjWoB6bp_h9Naw7AO",
                    "YGiBjWoB6bp_h9Na8bA5",
                    "XGiBjWoB6bp_h9NaJbB-",
                    "WWiAjWoB6bp_h9NakrBJ",
                    "X2iBjWoB6bp_h9Nav7Dj",
                    "W2iAjWoB6bp_h9Na8rB1",
                    "XmiBjWoB6bp_h9NajLAZ",
                    "XWiBjWoB6bp_h9NaWLDU",
                    "wmiEjWoB6bp_h9NaCLEC",
                    "y2iEjWoB6bp_h9Na-bGa",
                    "v2iDjWoB6bp_h9Na2LFh",
                    "vWiDjWoB6bp_h9NaqbGe",
                    "w2iEjWoB6bp_h9NaObHD",
                    "xWiEjWoB6bp_h9NaarHa",
                    "yWiEjWoB6bp_h9NaybHO",
                    "x2iEjWoB6bp_h9NamrFK",
                    "5miHjWoB6bp_h9NaNLHA",
                    "6WiHjWoB6bp_h9NaZLHb",
                    "5GiHjWoB6bp_h9NaBbEq",
                    "72iHjWoB6bp_h9Na9LG4",
                    "4GiGjWoB6bp_h9NaqbH0",
                    "7WiHjWoB6bp_h9Naw7GH",
                    "4miGjWoB6bp_h9Na1rGU",
                    "62iHjWoB6bp_h9NalLH_",
                    "EGiKjWoB6bp_h9NaoLLS",
                    "C2iKjWoB6bp_h9NaOrKO",
                    "DWiKjWoB6bp_h9NabbLL",
                    "FGiKjWoB6bp_h9Na_7IP",
                    "BGiJjWoB6bp_h9Nap7JG",
                    "BmiJjWoB6bp_h9Na3LIh",
                    "CWiKjWoB6bp_h9NaB7Iz",
                    "EmiKjWoB6bp_h9Na0bIQ",
                    "KWiMjWoB6bp_h9NaxrKX",
                    "MGiNjWoB6bp_h9NaX7L9",
                    "OWiOjWoB6bp_h9NaHrIt",
                    "MmiNjWoB6bp_h9NakbIC",
                    "K2iMjWoB6bp_h9Na-7LG",
                    "N2iNjWoB6bp_h9Na8LLl",
                    "LWiNjWoB6bp_h9NaLbKR",
                    "NGiNjWoB6bp_h9NawLJ4",
                    "UmiRjWoB6bp_h9NaZbL1",
                    "UGiQjWoB6bp_h9Na-rI2",
                    "TGiQjWoB6bp_h9NaKrIE",
                    "TmiQjWoB6bp_h9NajbI_",
                    "TWiQjWoB6bp_h9NaXLI6",
                    "UWiRjWoB6bp_h9NaMLJc",
                    "T2iQjWoB6bp_h9NaxLIg",
                    "S2iPjWoB6bp_h9Na9bK2",
                    "YWiUjWoB6bp_h9NalrIk",
                    "XWiTjWoB6bp_h9NawLI6",
                    "YmiUjWoB6bp_h9NazbKW",
                    "XmiTjWoB6bp_h9Na97IF",
                    "X2iUjWoB6bp_h9NaKbLk",
                    "W2iTjWoB6bp_h9NaVbJI",
                    "YGiUjWoB6bp_h9NaYbI-",
                    "XGiTjWoB6bp_h9NaiLJ9",
                    "b2iXjWoB6bp_h9NairJD",
                    "cWiXjWoB6bp_h9Na-7IB",
                    "bGiWjWoB6bp_h9Na6bLN",
                    "cGiXjWoB6bp_h9NawrIt",
                    "cmiYjWoB6bp_h9NaLLL4",
                    "bWiXjWoB6bp_h9NaHbIt",
                    "bmiXjWoB6bp_h9NaVLIl",
                    "a2iWjWoB6bp_h9Nas7L8",
                    "kWifjWoB6bp_h9NaSbJf",
                    "jmiejWoB6bp_h9NaqLJ7",
                    "j2iejWoB6bp_h9Na37JF",
                    "jWiejWoB6bp_h9Nab7Kr",
                    "jGiejWoB6bp_h9NaObKX",
                    "kmifjWoB6bp_h9NafbLb",
                    "i2iejWoB6bp_h9NaALJq",
                    "kGifjWoB6bp_h9NaFbJu",
                    "mGigjWoB6bp_h9Nau7Iu",
                    "k2ifjWoB6bp_h9NasrLC",
                    "l2igjWoB6bp_h9NahbIT",
                    "mWigjWoB6bp_h9Na7rJF",
                    "lWigjWoB6bp_h9NaG7Jq",
                    "lmigjWoB6bp_h9NaUrLr",
                    "lGifjWoB6bp_h9Na57If",
                    "mmihjWoB6bp_h9NaJrKD",
                    "nGihjWoB6bp_h9NakrJg",
                    "m2ihjWoB6bp_h9NaXbIK",
                    "oGiijWoB6bp_h9NaZLKU",
                    "n2iijWoB6bp_h9NaMrJH",
                    "nmihjWoB6bp_h9Na_LLl",
                    "omiijWoB6bp_h9Na0rLW",
                    "nWihjWoB6bp_h9NaxbKH",
                    "oWiijWoB6bp_h9NanLIC",
                    "sGiljWoB6bp_h9NayLKH",
                    "r2iljWoB6bp_h9NakbKA",
                    "q2ikjWoB6bp_h9NavLIE",
                    "smimjWoB6bp_h9NaN7Lo",
                    "rmiljWoB6bp_h9NaV7Jp",
                    "rGikjWoB6bp_h9Na7rKK",
                    "rWiljWoB6bp_h9NaIrLW",
                    "sWiljWoB6bp_h9Na_rJ2",
                    "vGiojWoB6bp_h9NaVrIp",
                    "u2iojWoB6bp_h9NaHrL8",
                    "vWiojWoB6bp_h9NajrIW",
                    "wGipjWoB6bp_h9NaLbLE",
                    "vmiojWoB6bp_h9Naw7I2",
                    "v2iojWoB6bp_h9Na9rL2",
                    "wWipjWoB6bp_h9NaY7JQ",
                    "wmipjWoB6bp_h9NalbL6",
                    "wGhojWoB6bp_h9Na5q_n",
                    "vmhojWoB6bp_h9Natq-B",
                    "w2hpjWoB6bp_h9NaFK9L",
                    "xWhpjWoB6bp_h9NaQK87",
                    "umhojWoB6bp_h9NaXa9L",
                    "y2hpjWoB6bp_h9Nawa9O",
                    "vGhojWoB6bp_h9NaiK-c",
                    "x2hpjWoB6bp_h9Naa692",
                    "yWhpjWoB6bp_h9Nalq8p",
                    "0mhqjWoB6bp_h9NaSq_Y",
                    "zWhpjWoB6bp_h9Na8K-2",
                    "z2hqjWoB6bp_h9NaHK-1",
                    "2mhqjWoB6bp_h9Na-698",
                    "1GhqjWoB6bp_h9Nadq_V",
                    "2GhqjWoB6bp_h9Naz69O",
                    "1mhqjWoB6bp_h9Naoa-i",
                    "3GhrjWoB6bp_h9NaK68y",
                    "-mhtjWoB6bp_h9Nap69Q",
                    "9GhtjWoB6bp_h9NaIK85",
                    "-GhtjWoB6bp_h9NaeK_n",
                    "8mhsjWoB6bp_h9Na869d",
                    "9mhtjWoB6bp_h9NaTa-4",
                    "_GhtjWoB6bp_h9Na16-i",
                    "8GhsjWoB6bp_h9Naxa9O",
                    "_mhujWoB6bp_h9NaCK8U",
                    "EmhwjWoB6bp_h9NaDLD3",
                    "FGhwjWoB6bp_h9NabLAo",
                    "EGhvjWoB6bp_h9NarbDG",
                    "FmhwjWoB6bp_h9NazrCw",
                    "EWhvjWoB6bp_h9Na3rAq",
                    "F2hwjWoB6bp_h9Na_rDi",
                    "FWhwjWoB6bp_h9NanbAw",
                    "E2hwjWoB6bp_h9NaOrDf",
                    "J2hzjWoB6bp_h9Naw7AK",
                    "ImhyjWoB6bp_h9Na0bCT",
                    "JWhzjWoB6bp_h9NaYLDW",
                    "JGhzjWoB6bp_h9NaL7Dj",
                    "JmhzjWoB6bp_h9NakrAM",
                    "I2hyjWoB6bp_h9Na_rC6",
                    "IWhyjWoB6bp_h9Nao7AJ",
                    "KGhzjWoB6bp_h9Na87Dj",
                    "NGh2jWoB6bp_h9NaSbC-",
                    "Mmh1jWoB6bp_h9Na47Al",
                    "Nmh2jWoB6bp_h9Nap7DW",
                    "M2h2jWoB6bp_h9NaF7Dy",
                    "MWh1jWoB6bp_h9NatLAc",
                    "N2h5jWoB6bp_h9Na97BJ",
                    "NWh2jWoB6bp_h9Nae7CU",
                    "OGh6jWoB6bp_h9NaKbBU",
                    "Qmh8jWoB6bp_h9NaF7CS",
                    "QWh7jWoB6bp_h9Na5bCi",
                    "Rmh8jWoB6bp_h9Na4rBC",
                    "Q2h8jWoB6bp_h9NaSrBt",
                    "R2h9jWoB6bp_h9NaFLDO",
                    "SGh9jWoB6bp_h9NaRbB_",
                    "RWh8jWoB6bp_h9Nar7C7",
                    "RGh8jWoB6bp_h9NafbBq",
                    "U2h_jWoB6bp_h9NaZ7DC",
                    "UWh_jWoB6bp_h9NaAbC3",
                    "V2iAjWoB6bp_h9NaL7BQ",
                    "VWh_jWoB6bp_h9Nay7BB",
                    "WGiAjWoB6bp_h9NaYLBF",
                    "VGh_jWoB6bp_h9Nal7B3",
                    "Umh_jWoB6bp_h9NaNbAX",
                    "Vmh_jWoB6bp_h9Na_7BV",
                    "tWiCjWoB6bp_h9Na57He",
                    "YWiCjWoB6bp_h9NaJbA8",
                    "t2iDjWoB6bp_h9NaG7GY",
                    "aGiCjWoB6bp_h9NahLCo",
                    "u2iDjWoB6bp_h9Nae7Fe",
                    "s2iCjWoB6bp_h9NatLF6",
                    "uWiDjWoB6bp_h9NaTLGB",
                    "YmiCjWoB6bp_h9NaVrCy",
                    "zmiFjWoB6bp_h9NaJrGo",
                    "2WiGjWoB6bp_h9NaF7Ex",
                    "0miFjWoB6bp_h9NahrFG",
                    "22iGjWoB6bp_h9NaSLEr",
                    "0GiFjWoB6bp_h9NaVrFP",
                    "12iFjWoB6bp_h9Na5bHI",
                    "3WiGjWoB6bp_h9NaeLGY",
                    "1GiFjWoB6bp_h9NatLHx",
                    "9GiIjWoB6bp_h9NaVbH6",
                    "AmiJjWoB6bp_h9NaebKZ",
                    "_WiJjWoB6bp_h9NaGrHj",
                    "8miIjWoB6bp_h9NaJrEC",
                    "AGiJjWoB6bp_h9NaSbIF",
                    "-2iIjWoB6bp_h9Na67EJ",
                    "-WiIjWoB6bp_h9Nau7HN",
                    "9miIjWoB6bp_h9NaiLFh",
                    "JGiMjWoB6bp_h9NaYbJm",
                    "JmiMjWoB6bp_h9NakrLW",
                    "IGiLjWoB6bp_h9Na_rKN",
                    "HWiLjWoB6bp_h9NazLLW",
                    "FmiLjWoB6bp_h9NaNLKS",
                    "G2iLjWoB6bp_h9NamrLh",
                    "ImiMjWoB6bp_h9NaL7I9",
                    "GWiLjWoB6bp_h9NaZ7Im",
                    "RWiPjWoB6bp_h9NaJ7LS",
                    "PmiOjWoB6bp_h9NahbIj",
                    "Q2iOjWoB6bp_h9Na_LJf",
                    "SmiPjWoB6bp_h9Naw7IY",
                    "R2iPjWoB6bp_h9NaV7Kc",
                    "O2iOjWoB6bp_h9NaUrLs",
                    "SWiPjWoB6bp_h9NajLLC",
                    "QGiOjWoB6bp_h9NayLLC",
                    "WWiSjWoB6bp_h9Na6rLd",
                    "U2iRjWoB6bp_h9NanLK5",
                    "VWiSjWoB6bp_h9NaCLKT",
                    "V2iSjWoB6bp_h9NacbJp",
                    "VGiRjWoB6bp_h9Na1LI6",
                    "WGiSjWoB6bp_h9NavbIC",
                    "WmiTjWoB6bp_h9NaHbII",
                    "VmiSjWoB6bp_h9NaOrLW",
                    "aGiWjWoB6bp_h9NaErLF",
                    "aWiWjWoB6bp_h9NaRrL8",
                    "ZWiVjWoB6bp_h9Nab7JW",
                    "Y2iVjWoB6bp_h9NaA7LN",
                    "Z2iVjWoB6bp_h9Na3rJC",
                    "ZmiVjWoB6bp_h9Nap7If",
                    "amiWjWoB6bp_h9NafbKt",
                    "ZGiVjWoB6bp_h9NaObJ_",
                    "emiajWoB6bp_h9Naf7Ih",
                    "eGiajWoB6bp_h9NaFrIt",
                    "dWiZjWoB6bp_h9NadLIz",
                    "d2iZjWoB6bp_h9Na4bLk",
                    "dGiYjWoB6bp_h9NamLL4",
                    "dmiZjWoB6bp_h9NarLKe",
                    "eWiajWoB6bp_h9NaSrLm",
                    "c2iYjWoB6bp_h9NaY7LP",
                    "gmicjWoB6bp_h9NaIbK1",
                    "fWibjWoB6bp_h9NaGrKi",
                    "gWibjWoB6bp_h9Na7LIH",
                    "e2iajWoB6bp_h9NatLJF",
                    "f2ibjWoB6bp_h9NagLKm",
                    "fGiajWoB6bp_h9Na57LW",
                    "fmibjWoB6bp_h9NaTLJ-",
                    "gGibjWoB6bp_h9NatbK0",
                    "hGicjWoB6bp_h9NajbIH",
                    "h2idjWoB6bp_h9NaKrKe",
                    "iWidjWoB6bp_h9NakrKf",
                    "g2icjWoB6bp_h9NaWrIg",
                    "hmicjWoB6bp_h9Na9LIa",
                    "imidjWoB6bp_h9NayrKo",
                    "iGidjWoB6bp_h9NaYLI-",
                    "hWicjWoB6bp_h9Nav7LD",
                    "qmikjWoB6bp_h9NahLLn",
                    "o2ijjWoB6bp_h9NaCLKf",
                    "qGikjWoB6bp_h9NaGrJ7",
                    "pGijjWoB6bp_h9NaQbLu",
                    "qWikjWoB6bp_h9NaULIn",
                    "pWijjWoB6bp_h9NaebJm",
                    "p2ijjWoB6bp_h9Na5LKA",
                    "pmijjWoB6bp_h9Nar7Ij",
                    "tWimjWoB6bp_h9Na07JV",
                    "uGinjWoB6bp_h9NadrK8",
                    "tGimjWoB6bp_h9Nan7Kl",
                    "uWinjWoB6bp_h9NarLKj",
                    "tminjWoB6bp_h9NaC7KG",
                    "uminjWoB6bp_h9Na5rIw",
                    "t2injWoB6bp_h9NaQLLS",
                    "s2imjWoB6bp_h9Naa7Lg",
                    "xGiqjWoB6bp_h9NaBrL-",
                    "w2ipjWoB6bp_h9NazbK2",
                    "yWirjWoB6bp_h9NaFLJK",
                    "xWiqjWoB6bp_h9NaQLK0",
                    "ymirjWoB6bp_h9NaTrIE",
                    "xmiqjWoB6bp_h9Nad7Ju",
                    "yGiqjWoB6bp_h9Na4LIZ",
                    "x2iqjWoB6bp_h9Naq7Jx",
                    "y2irjWoB6bp_h9NahbIH",
                    "zGirjWoB6bp_h9NavbKk",
                    "zWirjWoB6bp_h9Na9LJq",
                    "zmisjWoB6bp_h9NaK7Jd"
                ],
                "preparation_annotation_id": [
                    "pos"
                ],
                "preparation_title": [
                    "pos"
                ],
                "preparation_encoding_full_name": [
                    "TReetagger",
                    "GATE Editor: http:\/\/gate.ac.uk\/sale\/tao\/splitch3.html#x6-390003.4.5.",
                    "NA"
                ],
                "preparation_encoding_annotation_group": [
                    "Lexical",
                    "Lexical",
                    "Lexical"
                ],
                "preparation_encoding_annotation_sub_group": [
                    "PartOfSpeech",
                    "PartOfSpeech",
                    "dependencies"
                ],
                "annotation_merged_formats": "TReetagger,GATE Editor: http:\/\/gate.ac.uk\/sale\/tao\/splitch3.html#x6-390003.4.5.,NA Treetagger,GATE-Editor",
                "publication_status": "1",
                "corpus_name": "GerManC",
                "visibility": 1
            },
            "highlight": {
                "preparation_title": [
                    "<span class=\"laudatiohighlight\">pos<\/span>"
                ],
                "preparation_annotation_id": [
                    "<span class=\"laudatiohighlight\">pos<\/span>"
                ]
            }
        }
    ],
    "message": "1 annotation results retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`POST api/elasticapi/v1/annotations/latest/searchMain`

#### Body Parameters

Parameter | Type | Status | Description
--------- | ------- | ------- | ------- | -----------
    Request | $request |  required  | {"searchData": {"from": '0', "size" : '10', "query": 'FOO'}}
    from | String |  required  | The offset to start the result from
    size | String |  required  | The limit of returned results
    query | String |  required  | The search query string

<!-- END_7608aa6a85151f9ad23d5cf6f66430a8 -->

<!-- START_be793b57f87dbddfef0004e77c09268f -->
## /api/elasticapi/v1/documents/latest/searchMain/count

> Example request:

```bash
curl -X POST "/api/elasticapi/v1/annotations/latest/searchMain/count" \
    -H "Api-Version: v1" \
    -H "Content-Type: application/json" \
    -d '{ "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }'

```

```javascript
const url = new URL("/api/elasticapi/v1/annotations/latest/searchMain/count");

let headers = {
    "Api-Version": "v1",
    "Content-Type": "application/json",
    "Accept": "application/json",
}

let body = { "searchData": {"from": '0', "size" : '10', "query": 'FOO'} }

fetch(url, {
    method: "POST",
    headers: headers,
    body: body
})
    .then(response => response.json())
    .then(json => console.log(json));
```


> Example response (200):

```json
{
    "success": true,
    "data": 1,
    "message": "Latest annotation result count retrieved successfully.",
    "status": 200
}
```

### HTTP Request
`POST api/elasticapi/v1/annotations/latest/searchMain/count`

#### Body Parameters

Parameter | Type | Status | Description
--------- | ------- | ------- | ------- | -----------
    Request | $request |  required  | {"searchData": {"from": '0', "size" : '10', "query": 'FOO'}}
    from | String |  required  | The offset to start the result from
    size | String |  required  | The limit of returned results
    query | String |  required  | The search query string

<!-- END_be793b57f87dbddfef0004e77c09268f -->


